import { ref as $, watch as fe, openBlock as c, createElementBlock as d, createElementVNode as p, defineComponent as _, createBlock as B, Transition as Oe, withCtx as z, normalizeClass as L, resolveDynamicComponent as ne, createCommentVNode as T, toDisplayString as C, renderSlot as R, withModifiers as kt, createVNode as U, unref as k, useSlots as Ut, toRef as ka, computed as h, useAttrs as xa, toRefs as Je, onMounted as j, normalizeStyle as be, withDirectives as ye, mergeProps as Te, vModelCheckbox as Rt, Fragment as Z, createTextVNode as se, cloneVNode as _a, h as V, inject as J, provide as ce, watchEffect as te, onUnmounted as oe, Teleport as $a, reactive as qa, shallowRef as Ca, nextTick as Ea, mergeModels as ze, useModel as et, vModelSelect as La, renderList as ie, createStaticVNode as Ht, TransitionGroup as ot, KeepAlive as Ba, vShow as Ze, vModelText as Sa } from "vue";
const Fa = {
  "--neutral-0": "#ffffff",
  "--neutral-50": "#f9fafb",
  "--neutral-100": "#f3f4f6",
  "--neutral-200": "#e5e7eb",
  "--neutral-300": "#d1d5db",
  "--neutral-400": "#9ca3af",
  "--neutral-500": "#6b7280",
  "--neutral-600": "#4b5563",
  "--neutral-700": "#374151",
  "--neutral-800": "#1f2937",
  "--neutral-900": "#111827",
  "--brand-50": "#f5f8f8",
  "--brand-100": "#eaeeef",
  "--brand-200": "#d2dadb",
  "--brand-300": "#acbdbd",
  "--brand-400": "#8ea6a6",
  "--brand-500": "#437571",
  "--brand-600": "#004e48",
  "--brand-700": "#023d38",
  "--brand-800": "#021f1c",
  "--brand-900": "#020a0b",
  "--green-50": "#eefff4",
  "--green-100": "#d7ffe7",
  "--green-200": "#b2ffd1",
  "--green-300": "#7dffb3",
  "--green-400": "#33f584",
  "--green-500": "#09de62",
  "--green-600": "#01b84e",
  "--green-700": "#059040",
  "--green-800": "#0a7137",
  "--green-900": "#0a5d2f",
  "--lime-50": "#f7ffe4",
  "--lime-100": "#ebffc4",
  "--lime-200": "#d8ff90",
  "--lime-300": "#bbff50",
  "--lime-400": "#a9ff34",
  "--lime-500": "#7fe600",
  "--lime-600": "#61b800",
  "--lime-700": "#498b00",
  "--lime-800": "#3b6d07",
  "--lime-900": "#335c0b",
  "--teal-50": "#effefd",
  "--teal-100": "#c7fffa",
  "--teal-200": "#7dfff4",
  "--teal-300": "#50f8ef",
  "--teal-400": "#1de4e1",
  "--teal-500": "#04c8c7",
  "--teal-600": "#009da1",
  "--teal-700": "#057d80",
  "--teal-800": "#0a6165",
  "--teal-900": "#0d5154",
  "--blue-50": "#eef9ff",
  "--blue-100": "#d9f1ff",
  "--blue-200": "#bce8ff",
  "--blue-300": "#8edbff",
  "--blue-400": "#59c5ff",
  "--blue-500": "#34a9ff",
  "--blue-600": "#1b8af5",
  "--blue-700": "#1472e1",
  "--blue-800": "#175bb6",
  "--blue-900": "#194e8f",
  "--purple-50": "#f9f4ff",
  "--purple-100": "#f0e5ff",
  "--purple-200": "#e4d0ff",
  "--purple-300": "#d0acff",
  "--purple-400": "#b276ff",
  "--purple-500": "#9542ff",
  "--purple-600": "#8a34ff",
  "--purple-700": "#6a0ee2",
  "--purple-800": "#5b12b7",
  "--purple-900": "#4c1093",
  "--pink-50": "#fef1f9",
  "--pink-100": "#fee5f5",
  "--pink-200": "#ffcaed",
  "--pink-300": "#ff9fdd",
  "--pink-400": "#ff63c4",
  "--pink-500": "#ff34a9",
  "--pink-600": "#f01287",
  "--pink-700": "#d1056b",
  "--pink-800": "#ad0758",
  "--pink-900": "#8f0c4c",
  "--red-50": "#fff1f1",
  "--red-100": "#ffe3e3",
  "--red-200": "#ffcccf",
  "--red-300": "#ffa1a7",
  "--red-400": "#ff7d88",
  "--red-500": "#f93a4f",
  "--red-600": "#e71738",
  "--red-700": "#c30d2e",
  "--red-800": "#a30e2e",
  "--red-900": "#8b102f",
  "--orange-50": "#fff5ed",
  "--orange-100": "#ffe9d4",
  "--orange-200": "#ffcfa9",
  "--orange-300": "#ffb37d",
  "--orange-400": "#fe7f39",
  "--orange-500": "#fc5c13",
  "--orange-600": "#ed4109",
  "--orange-700": "#c52e09",
  "--orange-800": "#9c2610",
  "--orange-900": "#7e2111",
  "--yellow-50": "#fefde8",
  "--yellow-100": "#fffdc2",
  "--yellow-200": "#fff87b",
  "--yellow-300": "#ffee45",
  "--yellow-400": "#fcdd13",
  "--yellow-500": "#ecc406",
  "--yellow-600": "#cc9902",
  "--yellow-700": "#a26d06",
  "--yellow-800": "#86550d",
  "--yellow-900": "#724611",
  "--silver-tree-50": "#f3faf7",
  "--silver-tree-100": "#d8efe5",
  "--silver-tree-200": "#b1decc",
  "--silver-tree-300": "#82c6ad",
  "--silver-tree-400": "#5cab91",
  "--silver-tree-500": "#3e8e75",
  "--silver-tree-600": "#30715e",
  "--silver-tree-700": "#2a5b4e",
  "--silver-tree-800": "#254a40",
  "--silver-tree-900": "#223f37",
  "--gimblet-50": "#faf9f2",
  "--gimblet-100": "#f3f1e1",
  "--gimblet-200": "#e5e1c3",
  "--gimblet-300": "#d5cd9c",
  "--gimblet-400": "#bdac67",
  "--gimblet-500": "#b6a059",
  "--gimblet-600": "#a98d4d",
  "--gimblet-700": "#8c7142",
  "--gimblet-800": "#725c3a",
  "--gimblet-900": "#5d4b31",
  "--mongoose-50": "#f9f7f3",
  "--mongoose-100": "#f2ede2",
  "--mongoose-200": "#e4d9c4",
  "--mongoose-300": "#d2bf9f",
  "--mongoose-400": "#bfa178",
  "--mongoose-500": "#b28b5d",
  "--mongoose-600": "#a47852",
  "--mongoose-700": "#896245",
  "--mongoose-800": "#6f4f3d",
  "--mongoose-900": "#5b4233",
  "--muddy-waters-50": "#f9f4f1",
  "--muddy-waters-100": "#eedfd7",
  "--muddy-waters-200": "#dbbeac",
  "--muddy-waters-300": "#c89a81",
  "--muddy-waters-400": "#bd8167",
  "--muddy-waters-500": "#b06450",
  "--muddy-waters-600": "#9b4f44",
  "--muddy-waters-700": "#813d3c",
  "--muddy-waters-800": "#6b3538",
  "--muddy-waters-900": "#592e30",
  "--viola-50": "#faf5f7",
  "--viola-100": "#f6edf1",
  "--viola-200": "#eedce3",
  "--viola-300": "#e2bfcc",
  "--viola-400": "#ce97ab",
  "--viola-500": "#bc788f",
  "--viola-600": "#a75b71",
  "--viola-700": "#8e485a",
  "--viola-800": "#763e4c",
  "--viola-900": "#643742",
  "--light-wisteria-50": "#fbf8fc",
  "--light-wisteria-100": "#f6eef9",
  "--light-wisteria-200": "#f0e0f4",
  "--light-wisteria-300": "#e3c7eb",
  "--light-wisteria-400": "#d0a3dd",
  "--light-wisteria-500": "#bd7fcd",
  "--light-wisteria-600": "#aa62bb",
  "--light-wisteria-700": "#924ea2",
  "--light-wisteria-800": "#7a4485",
  "--light-wisteria-900": "#63386b",
  "--cold-purple-50": "#f6f6fc",
  "--cold-purple-100": "#efeef9",
  "--cold-purple-200": "#e1e0f4",
  "--cold-purple-300": "#cac6ec",
  "--cold-purple-400": "#a69ddc",
  "--cold-purple-500": "#9181d1",
  "--cold-purple-600": "#7d65c2",
  "--cold-purple-700": "#6c53ae",
  "--cold-purple-800": "#5b4592",
  "--cold-purple-900": "#4b3a78",
  "--polo-blue-50": "#f4f6fa",
  "--polo-blue-100": "#e6ebf3",
  "--polo-blue-200": "#d2dbeb",
  "--polo-blue-300": "#b4c4dc",
  "--polo-blue-400": "#97abce",
  "--polo-blue-500": "#758abc",
  "--polo-blue-600": "#6274ae",
  "--polo-blue-700": "#57639e",
  "--polo-blue-800": "#4b5382",
  "--polo-blue-900": "#3f4669",
  "--neptune-50": "#f2f9f9",
  "--neptune-100": "#ddeef0",
  "--neptune-200": "#bfdfe2",
  "--neptune-300": "#92c7ce",
  "--neptune-400": "#74b2bc",
  "--neptune-500": "#438a97",
  "--neptune-600": "#3a7280",
  "--neptune-700": "#345e6a",
  "--neptune-800": "#314f59",
  "--neptune-900": "#2d444c",
  "--mantis-50": "#f5faf3",
  "--mantis-100": "#e7f5e3",
  "--mantis-200": "#cfeac8",
  "--mantis-300": "#a9d89d",
  "--mantis-400": "#78bd67",
  "--mantis-500": "#57a245",
  "--mantis-600": "#448534",
  "--mantis-700": "#37692c",
  "--mantis-800": "#2f5427",
  "--mantis-900": "#284522",
  "--isbre-50": "#FCFDFD",
  "--isbre-100": "#F6F9F9",
  "--isbre-200": "#F1F5F5",
  "--isbre-300": "#ECF1F1",
  "--isbre-400": "#E6EDED",
  "--isbre-500": "#E1E8E9",
  "--isbre-600": "#DCE4E4",
  "--isbre-700": "#D7DFE0",
  "--text-primary": "var(--neutral-900)",
  "--text-secondary": "var(--neutral-600)",
  "--text-tertiary": "var(--neutral-400)",
  "--text-success": "var(--green-900)",
  "--text-warning": "var(--yellow-900)",
  "--text-danger": "var(--red-900)",
  "--text-info": "var(--blue-900)",
  "--text-emphasis": "var(--neutral-0)",
  "--text-interactive": "var(--silver-tree-600)",
  "--text-interactive-hover": "var(--silver-tree-700)",
  "--text-interactive-active": "var(--silver-tree-500)",
  "--text-button-primary": "var(--neutral-0)",
  "--text-button-secondary": "var(--neutral-900)",
  "--text-button-tertiary": "var(--silver-tree-600)",
  "--text-button-tertiary-hover": "var(--silver-tree-700)",
  "--text-button-tertiary-active": "var(--silver-tree-500)",
  "--text-button-danger-primary": "var(--neutral-0)",
  "--text-button-danger-secondary": "var(--red-800)",
  "--text-button-danger-tertiary": "var(--neutral-900)",
  "--text-button-danger-tertiary-hover": "var(--red-800)",
  "--text-button-danger-tertiary-active": "var(--red-600)",
  "--border-on-primary": "var(--neutral-200)",
  "--border-on-secondary": "var(--neutral-300)",
  "--border-on-tertiary": "var(--neutral-400)",
  "--border-success": "rgba(10,92,47,0.4)",
  "--border-warning": "rgba(115,71,17,0.4)",
  "--border-danger": "rgba(137,16,46,0.4)",
  "--border-info": "rgba(25,78,143,0.4)",
  "--border-emphasis": "var(--neutral-800)",
  "--border-button-primary": "var(--silver-tree-700)",
  "--border-button-primary-hover": "var(--silver-tree-800)",
  "--border-button-primary-active": "var(--silver-tree-600)",
  "--border-button-secondary": "var(--neutral-300)",
  "--border-button-secondary-hover": "var(--neutral-900)",
  "--border-button-secondary-active": "var(--neutral-400)",
  "--border-button-danger-primary": "var(--red-800)",
  "--border-button-danger-primary-hover": "var(--red-900)",
  "--border-button-danger-primary-active": "var(--red-700)",
  "--border-button-danger-secondary": "var(--neutral-300)",
  "--border-button-danger-secondary-hover": "var(--red-800)",
  "--border-button-danger-secondary-active": "var(--red-700)",
  "--bg-primary": "var(--neutral-0)",
  "--bg-primary-hover": "var(--isbre-50)",
  "--bg-primary-active": "var(--isbre-200)",
  "--bg-secondary": "var(--isbre-100)",
  "--bg-secondary-hover": "var(--isbre-200)",
  "--bg-secondary-active": "var(--isbre-300)",
  "--bg-tertiary": "var(--isbre-400)",
  "--bg-tertiary-hover": "var(--isbre-500)",
  "--bg-tertiary-active": "var(--isbre-600)",
  "--bg-success": "var(--green-50)",
  "--bg-warning": "var(--yellow-50)",
  "--bg-danger": "var(--red-50)",
  "--bg-info": "var(--blue-50)",
  "--bg-emphasis": "var(--neutral-900)",
  "--bg-button-primary": "var(--silver-tree-600)",
  "--bg-button-primary-hover": "var(--silver-tree-700)",
  "--bg-button-primary-active": "var(--silver-tree-500)",
  "--bg-button-secondary": "var(--neutral-0)",
  "--bg-button-secondary-hover": "var(--neutral-50)",
  "--bg-button-secondary-active": "var(--neutral-50)",
  "--bg-button-danger-primary": "var(--red-700)",
  "--bg-button-danger-primary-hover": "var(--red-800)",
  "--bg-button-danger-primary-active": "var(--red-600)",
  "--bg-button-danger-secondary": "var(--neutral-0)",
  "--bg-button-danger-secondary-hover": "var(--red-50)",
  "--bg-button-danger-secondary-active": "var(--red-50)"
}, Pa = {
  "--text-primary": "var(--neutral-0)",
  "--text-secondary": "var(--brand-200)",
  "--text-tertiary": "var(--brand-400)",
  "--text-interactive": "#D8B9A6",
  "--text-interactive-hover": "var(--muddy-waters-300)",
  "--text-interactive-active": "#DFC5B4",
  "--text-button-primary": "var(--brand-800)",
  "--text-button-secondary": "var(--muddy-waters-200)",
  "--text-button-tertiary": "var(--muddy-waters-200)",
  "--text-button-tertiary-hover": "var(--muddy-waters-300)",
  "--text-button-tertiary-active": "#DFC5B4",
  "--border-on-primary": "var(--brand-400)",
  "--border-on-secondary": "var(--brand-300)",
  "--border-on-tertiary": "var(--brand-200)",
  "--border-button-primary-hover": "var(--muddy-waters-200)",
  "--border-button-primary-active": "var(--muddy-waters-50)",
  "--border-button-secondary": "var(--brand-500)",
  "--border-button-secondary-hover": "var(--brand-400)",
  "--border-button-secondary-active": "var(--brand-400)",
  "--bg-primary": "var(--brand-600)",
  "--bg-primary-hover": "var(--brand-700)",
  "--bg-primary-active": "var(--brand-500)",
  "--bg-secondary": "var(--brand-500)",
  "--bg-secondary-hover": "var(--brand-600)",
  "--bg-secondary-active": "var(--brand-400)",
  "--bg-tertiary": "var(--brand-400)",
  "--bg-tertiary-hover": "var(--brand-500)",
  "--bg-tertiary-active": "var(--brand-300)",
  "--bg-button-primary": "#D8B9A6",
  "--bg-button-primary-hover": "var(--muddy-waters-300)",
  "--bg-button-primary-active": "#DFC5B4",
  "--bg-button-secondary": "#00524B",
  "--bg-button-secondary-hover": "#004D47",
  "--bg-button-secondary-active": "#006159"
};
function jt(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var Aa = {
  aqua: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  azure: /#f0ffff(ff)?(?!\w)/gi,
  beige: /#f5f5dc(ff)?(?!\w)/gi,
  bisque: /#ffe4c4(ff)?(?!\w)/gi,
  black: /#000000(ff)?(?!\w)|#000(f)?(?!\w)/gi,
  blue: /#0000ff(ff)?(?!\w)|#00f(f)?(?!\w)/gi,
  brown: /#a52a2a(ff)?(?!\w)/gi,
  coral: /#ff7f50(ff)?(?!\w)/gi,
  cornsilk: /#fff8dc(ff)?(?!\w)/gi,
  crimson: /#dc143c(ff)?(?!\w)/gi,
  cyan: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  darkblue: /#00008b(ff)?(?!\w)/gi,
  darkcyan: /#008b8b(ff)?(?!\w)/gi,
  darkgrey: /#a9a9a9(ff)?(?!\w)/gi,
  darkred: /#8b0000(ff)?(?!\w)/gi,
  deeppink: /#ff1493(ff)?(?!\w)/gi,
  dimgrey: /#696969(ff)?(?!\w)/gi,
  gold: /#ffd700(ff)?(?!\w)/gi,
  green: /#008000(ff)?(?!\w)/gi,
  grey: /#808080(ff)?(?!\w)/gi,
  honeydew: /#f0fff0(ff)?(?!\w)/gi,
  hotpink: /#ff69b4(ff)?(?!\w)/gi,
  indigo: /#4b0082(ff)?(?!\w)/gi,
  ivory: /#fffff0(ff)?(?!\w)/gi,
  khaki: /#f0e68c(ff)?(?!\w)/gi,
  lavender: /#e6e6fa(ff)?(?!\w)/gi,
  lime: /#00ff00(ff)?(?!\w)|#0f0(f)?(?!\w)/gi,
  linen: /#faf0e6(ff)?(?!\w)/gi,
  maroon: /#800000(ff)?(?!\w)/gi,
  moccasin: /#ffe4b5(ff)?(?!\w)/gi,
  navy: /#000080(ff)?(?!\w)/gi,
  oldlace: /#fdf5e6(ff)?(?!\w)/gi,
  olive: /#808000(ff)?(?!\w)/gi,
  orange: /#ffa500(ff)?(?!\w)/gi,
  orchid: /#da70d6(ff)?(?!\w)/gi,
  peru: /#cd853f(ff)?(?!\w)/gi,
  pink: /#ffc0cb(ff)?(?!\w)/gi,
  plum: /#dda0dd(ff)?(?!\w)/gi,
  purple: /#800080(ff)?(?!\w)/gi,
  red: /#ff0000(ff)?(?!\w)|#f00(f)?(?!\w)/gi,
  salmon: /#fa8072(ff)?(?!\w)/gi,
  seagreen: /#2e8b57(ff)?(?!\w)/gi,
  seashell: /#fff5ee(ff)?(?!\w)/gi,
  sienna: /#a0522d(ff)?(?!\w)/gi,
  silver: /#c0c0c0(ff)?(?!\w)/gi,
  skyblue: /#87ceeb(ff)?(?!\w)/gi,
  snow: /#fffafa(ff)?(?!\w)/gi,
  tan: /#d2b48c(ff)?(?!\w)/gi,
  teal: /#008080(ff)?(?!\w)/gi,
  thistle: /#d8bfd8(ff)?(?!\w)/gi,
  tomato: /#ff6347(ff)?(?!\w)/gi,
  violet: /#ee82ee(ff)?(?!\w)/gi,
  wheat: /#f5deb3(ff)?(?!\w)/gi,
  white: /#ffffff(ff)?(?!\w)|#fff(f)?(?!\w)/gi
}, lt = Aa, xt = {
  whitespace: /\s+/g,
  urlHexPairs: /%[\dA-F]{2}/g,
  quotes: /"/g
};
function Da(e) {
  return e.trim().replace(xt.whitespace, " ");
}
function Ma(e) {
  return encodeURIComponent(e).replace(xt.urlHexPairs, za);
}
function Oa(e) {
  return Object.keys(lt).forEach(function(t) {
    lt[t].test(e) && (e = e.replace(lt[t], t));
  }), e;
}
function za(e) {
  switch (e) {
    case "%20":
      return " ";
    case "%3D":
      return "=";
    case "%3A":
      return ":";
    case "%2F":
      return "/";
    default:
      return e.toLowerCase();
  }
}
function bt(e) {
  if (typeof e != "string")
    throw new TypeError("Expected a string, but received " + typeof e);
  e.charCodeAt(0) === 65279 && (e = e.slice(1));
  var t = Oa(Da(e)).replace(xt.quotes, "'");
  return "data:image/svg+xml," + Ma(t);
}
bt.toSrcset = function(t) {
  return bt(t).replace(/ /g, "%20");
};
var Ia = bt, Nt = {}, Vt = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return a;
    }
  });
  function t(n, r) {
    return {
      handler: n,
      config: r
    };
  }
  t.withOptions = function(n, r = () => ({})) {
    const o = function(i) {
      return {
        __options: i,
        handler: n(i),
        config: r(i)
      };
    };
    return o.__isOptionsFunction = !0, o.__pluginFunction = n, o.__configFunction = r, o;
  };
  const a = t;
})(Vt);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return n;
    }
  });
  const t = /* @__PURE__ */ a(Vt);
  function a(r) {
    return r && r.__esModule ? r : {
      default: r
    };
  }
  const n = t.default;
})(Nt);
let it = Nt;
var Ua = (it.__esModule ? it : { default: it }).default, Zt = {}, Wt = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "cloneDeep", {
    enumerable: !0,
    get: function() {
      return t;
    }
  });
  function t(a) {
    return Array.isArray(a) ? a.map((n) => t(n)) : typeof a == "object" && a !== null ? Object.fromEntries(Object.entries(a).map(([n, r]) => [
      n,
      t(r)
    ])) : a;
  }
})(Wt);
var Ra = {
  content: [],
  presets: [],
  darkMode: "media",
  // or 'class'
  theme: {
    accentColor: ({ theme: e }) => ({
      ...e("colors"),
      auto: "auto"
    }),
    animation: {
      none: "none",
      spin: "spin 1s linear infinite",
      ping: "ping 1s cubic-bezier(0, 0, 0.2, 1) infinite",
      pulse: "pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite",
      bounce: "bounce 1s infinite"
    },
    aria: {
      busy: 'busy="true"',
      checked: 'checked="true"',
      disabled: 'disabled="true"',
      expanded: 'expanded="true"',
      hidden: 'hidden="true"',
      pressed: 'pressed="true"',
      readonly: 'readonly="true"',
      required: 'required="true"',
      selected: 'selected="true"'
    },
    aspectRatio: {
      auto: "auto",
      square: "1 / 1",
      video: "16 / 9"
    },
    backdropBlur: ({ theme: e }) => e("blur"),
    backdropBrightness: ({ theme: e }) => e("brightness"),
    backdropContrast: ({ theme: e }) => e("contrast"),
    backdropGrayscale: ({ theme: e }) => e("grayscale"),
    backdropHueRotate: ({ theme: e }) => e("hueRotate"),
    backdropInvert: ({ theme: e }) => e("invert"),
    backdropOpacity: ({ theme: e }) => e("opacity"),
    backdropSaturate: ({ theme: e }) => e("saturate"),
    backdropSepia: ({ theme: e }) => e("sepia"),
    backgroundColor: ({ theme: e }) => e("colors"),
    backgroundImage: {
      none: "none",
      "gradient-to-t": "linear-gradient(to top, var(--tw-gradient-stops))",
      "gradient-to-tr": "linear-gradient(to top right, var(--tw-gradient-stops))",
      "gradient-to-r": "linear-gradient(to right, var(--tw-gradient-stops))",
      "gradient-to-br": "linear-gradient(to bottom right, var(--tw-gradient-stops))",
      "gradient-to-b": "linear-gradient(to bottom, var(--tw-gradient-stops))",
      "gradient-to-bl": "linear-gradient(to bottom left, var(--tw-gradient-stops))",
      "gradient-to-l": "linear-gradient(to left, var(--tw-gradient-stops))",
      "gradient-to-tl": "linear-gradient(to top left, var(--tw-gradient-stops))"
    },
    backgroundOpacity: ({ theme: e }) => e("opacity"),
    backgroundPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    backgroundSize: {
      auto: "auto",
      cover: "cover",
      contain: "contain"
    },
    blur: {
      0: "0",
      none: "0",
      sm: "4px",
      DEFAULT: "8px",
      md: "12px",
      lg: "16px",
      xl: "24px",
      "2xl": "40px",
      "3xl": "64px"
    },
    borderColor: ({ theme: e }) => ({
      ...e("colors"),
      DEFAULT: e("colors.gray.200", "currentColor")
    }),
    borderOpacity: ({ theme: e }) => e("opacity"),
    borderRadius: {
      none: "0px",
      sm: "0.125rem",
      DEFAULT: "0.25rem",
      md: "0.375rem",
      lg: "0.5rem",
      xl: "0.75rem",
      "2xl": "1rem",
      "3xl": "1.5rem",
      full: "9999px"
    },
    borderSpacing: ({ theme: e }) => ({
      ...e("spacing")
    }),
    borderWidth: {
      DEFAULT: "1px",
      0: "0px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    boxShadow: {
      sm: "0 1px 2px 0 rgb(0 0 0 / 0.05)",
      DEFAULT: "0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)",
      md: "0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)",
      lg: "0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)",
      xl: "0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)",
      "2xl": "0 25px 50px -12px rgb(0 0 0 / 0.25)",
      inner: "inset 0 2px 4px 0 rgb(0 0 0 / 0.05)",
      none: "none"
    },
    boxShadowColor: ({ theme: e }) => e("colors"),
    brightness: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    caretColor: ({ theme: e }) => e("colors"),
    colors: ({ colors: e }) => ({
      inherit: e.inherit,
      current: e.current,
      transparent: e.transparent,
      black: e.black,
      white: e.white,
      slate: e.slate,
      gray: e.gray,
      zinc: e.zinc,
      neutral: e.neutral,
      stone: e.stone,
      red: e.red,
      orange: e.orange,
      amber: e.amber,
      yellow: e.yellow,
      lime: e.lime,
      green: e.green,
      emerald: e.emerald,
      teal: e.teal,
      cyan: e.cyan,
      sky: e.sky,
      blue: e.blue,
      indigo: e.indigo,
      violet: e.violet,
      purple: e.purple,
      fuchsia: e.fuchsia,
      pink: e.pink,
      rose: e.rose
    }),
    columns: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      "3xs": "16rem",
      "2xs": "18rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem"
    },
    container: {},
    content: {
      none: "none"
    },
    contrast: {
      0: "0",
      50: ".5",
      75: ".75",
      100: "1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    cursor: {
      auto: "auto",
      default: "default",
      pointer: "pointer",
      wait: "wait",
      text: "text",
      move: "move",
      help: "help",
      "not-allowed": "not-allowed",
      none: "none",
      "context-menu": "context-menu",
      progress: "progress",
      cell: "cell",
      crosshair: "crosshair",
      "vertical-text": "vertical-text",
      alias: "alias",
      copy: "copy",
      "no-drop": "no-drop",
      grab: "grab",
      grabbing: "grabbing",
      "all-scroll": "all-scroll",
      "col-resize": "col-resize",
      "row-resize": "row-resize",
      "n-resize": "n-resize",
      "e-resize": "e-resize",
      "s-resize": "s-resize",
      "w-resize": "w-resize",
      "ne-resize": "ne-resize",
      "nw-resize": "nw-resize",
      "se-resize": "se-resize",
      "sw-resize": "sw-resize",
      "ew-resize": "ew-resize",
      "ns-resize": "ns-resize",
      "nesw-resize": "nesw-resize",
      "nwse-resize": "nwse-resize",
      "zoom-in": "zoom-in",
      "zoom-out": "zoom-out"
    },
    divideColor: ({ theme: e }) => e("borderColor"),
    divideOpacity: ({ theme: e }) => e("borderOpacity"),
    divideWidth: ({ theme: e }) => e("borderWidth"),
    dropShadow: {
      sm: "0 1px 1px rgb(0 0 0 / 0.05)",
      DEFAULT: ["0 1px 2px rgb(0 0 0 / 0.1)", "0 1px 1px rgb(0 0 0 / 0.06)"],
      md: ["0 4px 3px rgb(0 0 0 / 0.07)", "0 2px 2px rgb(0 0 0 / 0.06)"],
      lg: ["0 10px 8px rgb(0 0 0 / 0.04)", "0 4px 3px rgb(0 0 0 / 0.1)"],
      xl: ["0 20px 13px rgb(0 0 0 / 0.03)", "0 8px 5px rgb(0 0 0 / 0.08)"],
      "2xl": "0 25px 25px rgb(0 0 0 / 0.15)",
      none: "0 0 #0000"
    },
    fill: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    flex: {
      1: "1 1 0%",
      auto: "1 1 auto",
      initial: "0 1 auto",
      none: "none"
    },
    flexBasis: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%"
    }),
    flexGrow: {
      0: "0",
      DEFAULT: "1"
    },
    flexShrink: {
      0: "0",
      DEFAULT: "1"
    },
    fontFamily: {
      sans: [
        "ui-sans-serif",
        "system-ui",
        "-apple-system",
        "BlinkMacSystemFont",
        '"Segoe UI"',
        "Roboto",
        '"Helvetica Neue"',
        "Arial",
        '"Noto Sans"',
        "sans-serif",
        '"Apple Color Emoji"',
        '"Segoe UI Emoji"',
        '"Segoe UI Symbol"',
        '"Noto Color Emoji"'
      ],
      serif: ["ui-serif", "Georgia", "Cambria", '"Times New Roman"', "Times", "serif"],
      mono: [
        "ui-monospace",
        "SFMono-Regular",
        "Menlo",
        "Monaco",
        "Consolas",
        '"Liberation Mono"',
        '"Courier New"',
        "monospace"
      ]
    },
    fontSize: {
      xs: ["0.75rem", { lineHeight: "1rem" }],
      sm: ["0.875rem", { lineHeight: "1.25rem" }],
      base: ["1rem", { lineHeight: "1.5rem" }],
      lg: ["1.125rem", { lineHeight: "1.75rem" }],
      xl: ["1.25rem", { lineHeight: "1.75rem" }],
      "2xl": ["1.5rem", { lineHeight: "2rem" }],
      "3xl": ["1.875rem", { lineHeight: "2.25rem" }],
      "4xl": ["2.25rem", { lineHeight: "2.5rem" }],
      "5xl": ["3rem", { lineHeight: "1" }],
      "6xl": ["3.75rem", { lineHeight: "1" }],
      "7xl": ["4.5rem", { lineHeight: "1" }],
      "8xl": ["6rem", { lineHeight: "1" }],
      "9xl": ["8rem", { lineHeight: "1" }]
    },
    fontWeight: {
      thin: "100",
      extralight: "200",
      light: "300",
      normal: "400",
      medium: "500",
      semibold: "600",
      bold: "700",
      extrabold: "800",
      black: "900"
    },
    gap: ({ theme: e }) => e("spacing"),
    gradientColorStops: ({ theme: e }) => e("colors"),
    gradientColorStopPositions: {
      "0%": "0%",
      "5%": "5%",
      "10%": "10%",
      "15%": "15%",
      "20%": "20%",
      "25%": "25%",
      "30%": "30%",
      "35%": "35%",
      "40%": "40%",
      "45%": "45%",
      "50%": "50%",
      "55%": "55%",
      "60%": "60%",
      "65%": "65%",
      "70%": "70%",
      "75%": "75%",
      "80%": "80%",
      "85%": "85%",
      "90%": "90%",
      "95%": "95%",
      "100%": "100%"
    },
    grayscale: {
      0: "0",
      DEFAULT: "100%"
    },
    gridAutoColumns: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridAutoRows: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridColumn: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-7": "span 7 / span 7",
      "span-8": "span 8 / span 8",
      "span-9": "span 9 / span 9",
      "span-10": "span 10 / span 10",
      "span-11": "span 11 / span 11",
      "span-12": "span 12 / span 12",
      "span-full": "1 / -1"
    },
    gridColumnEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridColumnStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridRow: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-full": "1 / -1"
    },
    gridRowEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridRowStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridTemplateColumns: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))",
      7: "repeat(7, minmax(0, 1fr))",
      8: "repeat(8, minmax(0, 1fr))",
      9: "repeat(9, minmax(0, 1fr))",
      10: "repeat(10, minmax(0, 1fr))",
      11: "repeat(11, minmax(0, 1fr))",
      12: "repeat(12, minmax(0, 1fr))"
    },
    gridTemplateRows: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))"
    },
    height: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    hueRotate: {
      0: "0deg",
      15: "15deg",
      30: "30deg",
      60: "60deg",
      90: "90deg",
      180: "180deg"
    },
    inset: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    invert: {
      0: "0",
      DEFAULT: "100%"
    },
    keyframes: {
      spin: {
        to: {
          transform: "rotate(360deg)"
        }
      },
      ping: {
        "75%, 100%": {
          transform: "scale(2)",
          opacity: "0"
        }
      },
      pulse: {
        "50%": {
          opacity: ".5"
        }
      },
      bounce: {
        "0%, 100%": {
          transform: "translateY(-25%)",
          animationTimingFunction: "cubic-bezier(0.8,0,1,1)"
        },
        "50%": {
          transform: "none",
          animationTimingFunction: "cubic-bezier(0,0,0.2,1)"
        }
      }
    },
    letterSpacing: {
      tighter: "-0.05em",
      tight: "-0.025em",
      normal: "0em",
      wide: "0.025em",
      wider: "0.05em",
      widest: "0.1em"
    },
    lineHeight: {
      none: "1",
      tight: "1.25",
      snug: "1.375",
      normal: "1.5",
      relaxed: "1.625",
      loose: "2",
      3: ".75rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem"
    },
    listStyleType: {
      none: "none",
      disc: "disc",
      decimal: "decimal"
    },
    listStyleImage: {
      none: "none"
    },
    margin: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing")
    }),
    lineClamp: {
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6"
    },
    maxHeight: ({ theme: e }) => ({
      ...e("spacing"),
      none: "none",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    maxWidth: ({ theme: e, breakpoints: t }) => ({
      none: "none",
      0: "0rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content",
      prose: "65ch",
      ...t(e("screens"))
    }),
    minHeight: {
      0: "0px",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    minWidth: {
      0: "0px",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    objectPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    opacity: {
      0: "0",
      5: "0.05",
      10: "0.1",
      20: "0.2",
      25: "0.25",
      30: "0.3",
      40: "0.4",
      50: "0.5",
      60: "0.6",
      70: "0.7",
      75: "0.75",
      80: "0.8",
      90: "0.9",
      95: "0.95",
      100: "1"
    },
    order: {
      first: "-9999",
      last: "9999",
      none: "0",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12"
    },
    outlineColor: ({ theme: e }) => e("colors"),
    outlineOffset: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    outlineWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    padding: ({ theme: e }) => e("spacing"),
    placeholderColor: ({ theme: e }) => e("colors"),
    placeholderOpacity: ({ theme: e }) => e("opacity"),
    ringColor: ({ theme: e }) => ({
      DEFAULT: e("colors.blue.500", "#3b82f6"),
      ...e("colors")
    }),
    ringOffsetColor: ({ theme: e }) => e("colors"),
    ringOffsetWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    ringOpacity: ({ theme: e }) => ({
      DEFAULT: "0.5",
      ...e("opacity")
    }),
    ringWidth: {
      DEFAULT: "3px",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    rotate: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg",
      45: "45deg",
      90: "90deg",
      180: "180deg"
    },
    saturate: {
      0: "0",
      50: ".5",
      100: "1",
      150: "1.5",
      200: "2"
    },
    scale: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5"
    },
    screens: {
      sm: "640px",
      md: "768px",
      lg: "1024px",
      xl: "1280px",
      "2xl": "1536px"
    },
    scrollMargin: ({ theme: e }) => ({
      ...e("spacing")
    }),
    scrollPadding: ({ theme: e }) => e("spacing"),
    sepia: {
      0: "0",
      DEFAULT: "100%"
    },
    skew: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg"
    },
    space: ({ theme: e }) => ({
      ...e("spacing")
    }),
    spacing: {
      px: "1px",
      0: "0px",
      0.5: "0.125rem",
      1: "0.25rem",
      1.5: "0.375rem",
      2: "0.5rem",
      2.5: "0.625rem",
      3: "0.75rem",
      3.5: "0.875rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem",
      11: "2.75rem",
      12: "3rem",
      14: "3.5rem",
      16: "4rem",
      20: "5rem",
      24: "6rem",
      28: "7rem",
      32: "8rem",
      36: "9rem",
      40: "10rem",
      44: "11rem",
      48: "12rem",
      52: "13rem",
      56: "14rem",
      60: "15rem",
      64: "16rem",
      72: "18rem",
      80: "20rem",
      96: "24rem"
    },
    stroke: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    strokeWidth: {
      0: "0",
      1: "1",
      2: "2"
    },
    supports: {},
    data: {},
    textColor: ({ theme: e }) => e("colors"),
    textDecorationColor: ({ theme: e }) => e("colors"),
    textDecorationThickness: {
      auto: "auto",
      "from-font": "from-font",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    textIndent: ({ theme: e }) => ({
      ...e("spacing")
    }),
    textOpacity: ({ theme: e }) => e("opacity"),
    textUnderlineOffset: {
      auto: "auto",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    transformOrigin: {
      center: "center",
      top: "top",
      "top-right": "top right",
      right: "right",
      "bottom-right": "bottom right",
      bottom: "bottom",
      "bottom-left": "bottom left",
      left: "left",
      "top-left": "top left"
    },
    transitionDelay: {
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionDuration: {
      DEFAULT: "150ms",
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionProperty: {
      none: "none",
      all: "all",
      DEFAULT: "color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter",
      colors: "color, background-color, border-color, text-decoration-color, fill, stroke",
      opacity: "opacity",
      shadow: "box-shadow",
      transform: "transform"
    },
    transitionTimingFunction: {
      DEFAULT: "cubic-bezier(0.4, 0, 0.2, 1)",
      linear: "linear",
      in: "cubic-bezier(0.4, 0, 1, 1)",
      out: "cubic-bezier(0, 0, 0.2, 1)",
      "in-out": "cubic-bezier(0.4, 0, 0.2, 1)"
    },
    translate: ({ theme: e }) => ({
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    width: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%",
      screen: "100vw",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    willChange: {
      auto: "auto",
      scroll: "scroll-position",
      contents: "contents",
      transform: "transform"
    },
    zIndex: {
      auto: "auto",
      0: "0",
      10: "10",
      20: "20",
      30: "30",
      40: "40",
      50: "50"
    }
  },
  plugins: []
};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return r;
    }
  });
  const t = Wt, a = /* @__PURE__ */ n(Ra);
  function n(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  const r = (0, t.cloneDeep)(a.default.theme);
})(Zt);
let st = Zt;
var Gt = (st.__esModule ? st : { default: st }).default;
const St = /* @__PURE__ */ jt(Gt);
var Kt = {}, Xt = {}, _t = { exports: {} }, H = String, Yt = function() {
  return { isColorSupported: !1, reset: H, bold: H, dim: H, italic: H, underline: H, inverse: H, hidden: H, strikethrough: H, black: H, red: H, green: H, yellow: H, blue: H, magenta: H, cyan: H, white: H, gray: H, bgBlack: H, bgRed: H, bgGreen: H, bgYellow: H, bgBlue: H, bgMagenta: H, bgCyan: H, bgWhite: H };
};
_t.exports = Yt();
_t.exports.createColors = Yt;
var Ha = _t.exports;
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  });
  function t(l, u) {
    for (var f in u)
      Object.defineProperty(l, f, {
        enumerable: !0,
        get: u[f]
      });
  }
  t(e, {
    dim: function() {
      return i;
    },
    default: function() {
      return s;
    }
  });
  const a = /* @__PURE__ */ n(Ha);
  function n(l) {
    return l && l.__esModule ? l : {
      default: l
    };
  }
  let r = /* @__PURE__ */ new Set();
  function o(l, u, f) {
    typeof process < "u" && process.env.JEST_WORKER_ID || f && r.has(f) || (f && r.add(f), console.warn(""), u.forEach((b) => console.warn(l, "-", b)));
  }
  function i(l) {
    return a.default.dim(l);
  }
  const s = {
    info(l, u) {
      o(a.default.bold(a.default.cyan("info")), ...Array.isArray(l) ? [
        l
      ] : [
        u,
        l
      ]);
    },
    warn(l, u) {
      o(a.default.bold(a.default.yellow("warn")), ...Array.isArray(l) ? [
        l
      ] : [
        u,
        l
      ]);
    },
    risk(l, u) {
      o(a.default.bold(a.default.magenta("risk")), ...Array.isArray(l) ? [
        l
      ] : [
        u,
        l
      ]);
    }
  };
})(Xt);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return r;
    }
  });
  const t = /* @__PURE__ */ a(Xt);
  function a(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  function n({ version: o, from: i, to: s }) {
    t.default.warn(`${i}-color-renamed`, [
      `As of Tailwind CSS ${o}, \`${i}\` has been renamed to \`${s}\`.`,
      "Update your configuration file to silence this warning."
    ]);
  }
  const r = {
    inherit: "inherit",
    current: "currentColor",
    transparent: "transparent",
    black: "#000",
    white: "#fff",
    slate: {
      50: "#f8fafc",
      100: "#f1f5f9",
      200: "#e2e8f0",
      300: "#cbd5e1",
      400: "#94a3b8",
      500: "#64748b",
      600: "#475569",
      700: "#334155",
      800: "#1e293b",
      900: "#0f172a",
      950: "#020617"
    },
    gray: {
      50: "#f9fafb",
      100: "#f3f4f6",
      200: "#e5e7eb",
      300: "#d1d5db",
      400: "#9ca3af",
      500: "#6b7280",
      600: "#4b5563",
      700: "#374151",
      800: "#1f2937",
      900: "#111827",
      950: "#030712"
    },
    zinc: {
      50: "#fafafa",
      100: "#f4f4f5",
      200: "#e4e4e7",
      300: "#d4d4d8",
      400: "#a1a1aa",
      500: "#71717a",
      600: "#52525b",
      700: "#3f3f46",
      800: "#27272a",
      900: "#18181b",
      950: "#09090b"
    },
    neutral: {
      50: "#fafafa",
      100: "#f5f5f5",
      200: "#e5e5e5",
      300: "#d4d4d4",
      400: "#a3a3a3",
      500: "#737373",
      600: "#525252",
      700: "#404040",
      800: "#262626",
      900: "#171717",
      950: "#0a0a0a"
    },
    stone: {
      50: "#fafaf9",
      100: "#f5f5f4",
      200: "#e7e5e4",
      300: "#d6d3d1",
      400: "#a8a29e",
      500: "#78716c",
      600: "#57534e",
      700: "#44403c",
      800: "#292524",
      900: "#1c1917",
      950: "#0c0a09"
    },
    red: {
      50: "#fef2f2",
      100: "#fee2e2",
      200: "#fecaca",
      300: "#fca5a5",
      400: "#f87171",
      500: "#ef4444",
      600: "#dc2626",
      700: "#b91c1c",
      800: "#991b1b",
      900: "#7f1d1d",
      950: "#450a0a"
    },
    orange: {
      50: "#fff7ed",
      100: "#ffedd5",
      200: "#fed7aa",
      300: "#fdba74",
      400: "#fb923c",
      500: "#f97316",
      600: "#ea580c",
      700: "#c2410c",
      800: "#9a3412",
      900: "#7c2d12",
      950: "#431407"
    },
    amber: {
      50: "#fffbeb",
      100: "#fef3c7",
      200: "#fde68a",
      300: "#fcd34d",
      400: "#fbbf24",
      500: "#f59e0b",
      600: "#d97706",
      700: "#b45309",
      800: "#92400e",
      900: "#78350f",
      950: "#451a03"
    },
    yellow: {
      50: "#fefce8",
      100: "#fef9c3",
      200: "#fef08a",
      300: "#fde047",
      400: "#facc15",
      500: "#eab308",
      600: "#ca8a04",
      700: "#a16207",
      800: "#854d0e",
      900: "#713f12",
      950: "#422006"
    },
    lime: {
      50: "#f7fee7",
      100: "#ecfccb",
      200: "#d9f99d",
      300: "#bef264",
      400: "#a3e635",
      500: "#84cc16",
      600: "#65a30d",
      700: "#4d7c0f",
      800: "#3f6212",
      900: "#365314",
      950: "#1a2e05"
    },
    green: {
      50: "#f0fdf4",
      100: "#dcfce7",
      200: "#bbf7d0",
      300: "#86efac",
      400: "#4ade80",
      500: "#22c55e",
      600: "#16a34a",
      700: "#15803d",
      800: "#166534",
      900: "#14532d",
      950: "#052e16"
    },
    emerald: {
      50: "#ecfdf5",
      100: "#d1fae5",
      200: "#a7f3d0",
      300: "#6ee7b7",
      400: "#34d399",
      500: "#10b981",
      600: "#059669",
      700: "#047857",
      800: "#065f46",
      900: "#064e3b",
      950: "#022c22"
    },
    teal: {
      50: "#f0fdfa",
      100: "#ccfbf1",
      200: "#99f6e4",
      300: "#5eead4",
      400: "#2dd4bf",
      500: "#14b8a6",
      600: "#0d9488",
      700: "#0f766e",
      800: "#115e59",
      900: "#134e4a",
      950: "#042f2e"
    },
    cyan: {
      50: "#ecfeff",
      100: "#cffafe",
      200: "#a5f3fc",
      300: "#67e8f9",
      400: "#22d3ee",
      500: "#06b6d4",
      600: "#0891b2",
      700: "#0e7490",
      800: "#155e75",
      900: "#164e63",
      950: "#083344"
    },
    sky: {
      50: "#f0f9ff",
      100: "#e0f2fe",
      200: "#bae6fd",
      300: "#7dd3fc",
      400: "#38bdf8",
      500: "#0ea5e9",
      600: "#0284c7",
      700: "#0369a1",
      800: "#075985",
      900: "#0c4a6e",
      950: "#082f49"
    },
    blue: {
      50: "#eff6ff",
      100: "#dbeafe",
      200: "#bfdbfe",
      300: "#93c5fd",
      400: "#60a5fa",
      500: "#3b82f6",
      600: "#2563eb",
      700: "#1d4ed8",
      800: "#1e40af",
      900: "#1e3a8a",
      950: "#172554"
    },
    indigo: {
      50: "#eef2ff",
      100: "#e0e7ff",
      200: "#c7d2fe",
      300: "#a5b4fc",
      400: "#818cf8",
      500: "#6366f1",
      600: "#4f46e5",
      700: "#4338ca",
      800: "#3730a3",
      900: "#312e81",
      950: "#1e1b4b"
    },
    violet: {
      50: "#f5f3ff",
      100: "#ede9fe",
      200: "#ddd6fe",
      300: "#c4b5fd",
      400: "#a78bfa",
      500: "#8b5cf6",
      600: "#7c3aed",
      700: "#6d28d9",
      800: "#5b21b6",
      900: "#4c1d95",
      950: "#2e1065"
    },
    purple: {
      50: "#faf5ff",
      100: "#f3e8ff",
      200: "#e9d5ff",
      300: "#d8b4fe",
      400: "#c084fc",
      500: "#a855f7",
      600: "#9333ea",
      700: "#7e22ce",
      800: "#6b21a8",
      900: "#581c87",
      950: "#3b0764"
    },
    fuchsia: {
      50: "#fdf4ff",
      100: "#fae8ff",
      200: "#f5d0fe",
      300: "#f0abfc",
      400: "#e879f9",
      500: "#d946ef",
      600: "#c026d3",
      700: "#a21caf",
      800: "#86198f",
      900: "#701a75",
      950: "#4a044e"
    },
    pink: {
      50: "#fdf2f8",
      100: "#fce7f3",
      200: "#fbcfe8",
      300: "#f9a8d4",
      400: "#f472b6",
      500: "#ec4899",
      600: "#db2777",
      700: "#be185d",
      800: "#9d174d",
      900: "#831843",
      950: "#500724"
    },
    rose: {
      50: "#fff1f2",
      100: "#ffe4e6",
      200: "#fecdd3",
      300: "#fda4af",
      400: "#fb7185",
      500: "#f43f5e",
      600: "#e11d48",
      700: "#be123c",
      800: "#9f1239",
      900: "#881337",
      950: "#4c0519"
    },
    get lightBlue() {
      return n({
        version: "v2.2",
        from: "lightBlue",
        to: "sky"
      }), this.sky;
    },
    get warmGray() {
      return n({
        version: "v3.0",
        from: "warmGray",
        to: "stone"
      }), this.stone;
    },
    get trueGray() {
      return n({
        version: "v3.0",
        from: "trueGray",
        to: "neutral"
      }), this.neutral;
    },
    get coolGray() {
      return n({
        version: "v3.0",
        from: "coolGray",
        to: "gray"
      }), this.gray;
    },
    get blueGray() {
      return n({
        version: "v3.0",
        from: "blueGray",
        to: "slate"
      }), this.slate;
    }
  };
})(Kt);
let ct = Kt;
var ja = (ct.__esModule ? ct : { default: ct }).default;
const We = Ia, Na = Ua, Qt = Gt, ge = ja, [Va, { lineHeight: Za }] = Qt.fontSize.base, { spacing: pe, borderWidth: Ft, borderRadius: Pt } = Qt;
function he(e, t) {
  return e.replace("<alpha-value>", `var(${t}, 1)`);
}
const Wa = Na.withOptions(function(e = { strategy: void 0 }) {
  return function({ addBase: t, addComponents: a, theme: n }) {
    const r = e.strategy === void 0 ? ["base", "class"] : [e.strategy], o = [
      {
        base: [
          "[type='text']",
          "input:where(:not([type]))",
          "[type='email']",
          "[type='url']",
          "[type='password']",
          "[type='number']",
          "[type='date']",
          "[type='datetime-local']",
          "[type='month']",
          "[type='search']",
          "[type='tel']",
          "[type='time']",
          "[type='week']",
          "[multiple]",
          "textarea",
          "select"
        ],
        class: [".form-input", ".form-textarea", ".form-select", ".form-multiselect"],
        styles: {
          appearance: "none",
          "background-color": "#fff",
          "border-color": he(
            n("colors.gray.500", ge.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": Ft.DEFAULT,
          "border-radius": Pt.none,
          "padding-top": pe[2],
          "padding-right": pe[3],
          "padding-bottom": pe[2],
          "padding-left": pe[3],
          "font-size": Va,
          "line-height": Za,
          "--tw-shadow": "0 0 #0000",
          "&:focus": {
            outline: "2px solid transparent",
            "outline-offset": "2px",
            "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
            "--tw-ring-offset-width": "0px",
            "--tw-ring-offset-color": "#fff",
            "--tw-ring-color": he(
              n("colors.blue.600", ge.blue[600]),
              "--tw-ring-opacity"
            ),
            "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
            "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
            "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)",
            "border-color": he(
              n("colors.blue.600", ge.blue[600]),
              "--tw-border-opacity"
            )
          }
        }
      },
      {
        base: ["input::placeholder", "textarea::placeholder"],
        class: [".form-input::placeholder", ".form-textarea::placeholder"],
        styles: {
          color: he(n("colors.gray.500", ge.gray[500]), "--tw-text-opacity"),
          opacity: "1"
        }
      },
      {
        base: ["::-webkit-datetime-edit-fields-wrapper"],
        class: [".form-input::-webkit-datetime-edit-fields-wrapper"],
        styles: {
          padding: "0"
        }
      },
      {
        // Unfortunate hack until https://bugs.webkit.org/show_bug.cgi?id=198959 is fixed.
        // This sucks because users can't change line-height with a utility on date inputs now.
        // Reference: https://github.com/twbs/bootstrap/pull/31993
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "min-height": "1.5em"
        }
      },
      {
        // In Safari on iOS date and time inputs are centered instead of left-aligned and can't be
        // changed with `text-align` utilities on the input by default. Resetting this to `inherit`
        // makes them left-aligned by default and makes it possible to override the alignment with
        // utility classes without using an arbitrary variant to target the pseudo-elements.
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "text-align": "inherit"
        }
      },
      {
        // In Safari on macOS date time inputs that are set to `display: block` have unexpected
        // extra bottom spacing. This can be corrected by setting the `::-webkit-datetime-edit`
        // pseudo-element to `display: inline-flex`, instead of the browser default of
        // `display: inline-block`.
        base: ["::-webkit-datetime-edit"],
        class: [".form-input::-webkit-datetime-edit"],
        styles: {
          display: "inline-flex"
        }
      },
      {
        // In Safari on macOS date time inputs are 4px taller than normal inputs
        // This is because there is extra padding on the datetime-edit and datetime-edit-{part}-field pseudo elements
        // See https://github.com/tailwindlabs/tailwindcss-forms/issues/95
        base: [
          "::-webkit-datetime-edit",
          "::-webkit-datetime-edit-year-field",
          "::-webkit-datetime-edit-month-field",
          "::-webkit-datetime-edit-day-field",
          "::-webkit-datetime-edit-hour-field",
          "::-webkit-datetime-edit-minute-field",
          "::-webkit-datetime-edit-second-field",
          "::-webkit-datetime-edit-millisecond-field",
          "::-webkit-datetime-edit-meridiem-field"
        ],
        class: [
          ".form-input::-webkit-datetime-edit",
          ".form-input::-webkit-datetime-edit-year-field",
          ".form-input::-webkit-datetime-edit-month-field",
          ".form-input::-webkit-datetime-edit-day-field",
          ".form-input::-webkit-datetime-edit-hour-field",
          ".form-input::-webkit-datetime-edit-minute-field",
          ".form-input::-webkit-datetime-edit-second-field",
          ".form-input::-webkit-datetime-edit-millisecond-field",
          ".form-input::-webkit-datetime-edit-meridiem-field"
        ],
        styles: {
          "padding-top": 0,
          "padding-bottom": 0
        }
      },
      {
        base: ["select"],
        class: [".form-select"],
        styles: {
          "background-image": `url("${We(
            `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20"><path stroke="${he(
              n("colors.gray.500", ge.gray[500]),
              "--tw-stroke-opacity"
            )}" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M6 8l4 4 4-4"/></svg>`
          )}")`,
          "background-position": `right ${pe[2]} center`,
          "background-repeat": "no-repeat",
          "background-size": "1.5em 1.5em",
          "padding-right": pe[10],
          "print-color-adjust": "exact"
        }
      },
      {
        base: ["[multiple]", '[size]:where(select:not([size="1"]))'],
        class: ['.form-select:where([size]:not([size="1"]))'],
        styles: {
          "background-image": "initial",
          "background-position": "initial",
          "background-repeat": "unset",
          "background-size": "initial",
          "padding-right": pe[3],
          "print-color-adjust": "unset"
        }
      },
      {
        base: ["[type='checkbox']", "[type='radio']"],
        class: [".form-checkbox", ".form-radio"],
        styles: {
          appearance: "none",
          padding: "0",
          "print-color-adjust": "exact",
          display: "inline-block",
          "vertical-align": "middle",
          "background-origin": "border-box",
          "user-select": "none",
          "flex-shrink": "0",
          height: pe[4],
          width: pe[4],
          color: he(n("colors.blue.600", ge.blue[600]), "--tw-text-opacity"),
          "background-color": "#fff",
          "border-color": he(
            n("colors.gray.500", ge.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": Ft.DEFAULT,
          "--tw-shadow": "0 0 #0000"
        }
      },
      {
        base: ["[type='checkbox']"],
        class: [".form-checkbox"],
        styles: {
          "border-radius": Pt.none
        }
      },
      {
        base: ["[type='radio']"],
        class: [".form-radio"],
        styles: {
          "border-radius": "100%"
        }
      },
      {
        base: ["[type='checkbox']:focus", "[type='radio']:focus"],
        class: [".form-checkbox:focus", ".form-radio:focus"],
        styles: {
          outline: "2px solid transparent",
          "outline-offset": "2px",
          "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
          "--tw-ring-offset-width": "2px",
          "--tw-ring-offset-color": "#fff",
          "--tw-ring-color": he(
            n("colors.blue.600", ge.blue[600]),
            "--tw-ring-opacity"
          ),
          "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
          "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
          "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)"
        }
      },
      {
        base: ["[type='checkbox']:checked", "[type='radio']:checked"],
        class: [".form-checkbox:checked", ".form-radio:checked"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat"
        }
      },
      {
        base: ["[type='checkbox']:checked"],
        class: [".form-checkbox:checked"],
        styles: {
          "background-image": `url("${We(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><path d="M12.207 4.793a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0l-2-2a1 1 0 011.414-1.414L6.5 9.086l4.293-4.293a1 1 0 011.414 0z"/></svg>'
          )}")`
        }
      },
      {
        base: ["[type='radio']:checked"],
        class: [".form-radio:checked"],
        styles: {
          "background-image": `url("${We(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><circle cx="8" cy="8" r="3"/></svg>'
          )}")`
        }
      },
      {
        base: [
          "[type='checkbox']:checked:hover",
          "[type='checkbox']:checked:focus",
          "[type='radio']:checked:hover",
          "[type='radio']:checked:focus"
        ],
        class: [
          ".form-checkbox:checked:hover",
          ".form-checkbox:checked:focus",
          ".form-radio:checked:hover",
          ".form-radio:checked:focus"
        ],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='checkbox']:indeterminate"],
        class: [".form-checkbox:indeterminate"],
        styles: {
          "background-image": `url("${We(
            '<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 16 16"><path stroke="white" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 8h8"/></svg>'
          )}")`,
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat"
        }
      },
      {
        base: ["[type='checkbox']:indeterminate:hover", "[type='checkbox']:indeterminate:focus"],
        class: [".form-checkbox:indeterminate:hover", ".form-checkbox:indeterminate:focus"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='file']"],
        class: null,
        styles: {
          background: "unset",
          "border-color": "inherit",
          "border-width": "0",
          "border-radius": "0",
          padding: "0",
          "font-size": "unset",
          "line-height": "inherit"
        }
      },
      {
        base: ["[type='file']:focus"],
        class: null,
        styles: {
          outline: ["1px solid ButtonText", "1px auto -webkit-focus-ring-color"]
        }
      }
    ], i = (s) => o.map((l) => l[s] === null ? null : { [l[s]]: l.styles }).filter(Boolean);
    r.includes("base") && t(i("base")), r.includes("class") && a(i("class"));
  };
});
var Ga = Wa;
const Ka = /* @__PURE__ */ jt(Ga), l0 = function({ addBase: e, addComponents: t, theme: a }) {
  for (const [n, r] of Object.entries(Fa))
    e({
      ":root, :host": {
        [n]: r
      }
    });
  for (const [n, r] of Object.entries(Pa))
    e({
      '[data-context="alternative"]': {
        [n]: r
      }
    });
  Ka({
    strategy: "class"
  }).handler({ addBase: e, addComponents: t, theme: a });
}, Xa = {
  neutral: {
    0: "var(--neutral-0)",
    50: "var(--neutral-50)",
    100: "var(--neutral-100)",
    200: "var(--neutral-200)",
    300: "var(--neutral-300)",
    400: "var(--neutral-400)",
    500: "var(--neutral-500)",
    600: "var(--neutral-600)",
    700: "var(--neutral-700)",
    800: "var(--neutral-800)",
    900: "var(--neutral-900)"
  },
  brand: {
    50: "var(--brand-50)",
    100: "var(--brand-100)",
    200: "var(--brand-200)",
    300: "var(--brand-300)",
    400: "var(--brand-400)",
    500: "var(--brand-500)",
    600: "var(--brand-600)",
    700: "var(--brand-700)",
    800: "var(--brand-800)",
    900: "var(--brand-900)"
  },
  green: {
    50: "var(--green-50)",
    100: "var(--green-100)",
    200: "var(--green-200)",
    300: "var(--green-300)",
    400: "var(--green-400)",
    500: "var(--green-500)",
    600: "var(--green-600)",
    700: "var(--green-700)",
    800: "var(--green-800)",
    900: "var(--green-900)"
  },
  lime: {
    50: "var(--lime-50)",
    100: "var(--lime-100)",
    200: "var(--lime-200)",
    300: "var(--lime-300)",
    400: "var(--lime-400)",
    500: "var(--lime-500)",
    600: "var(--lime-600)",
    700: "var(--lime-700)",
    800: "var(--lime-800)",
    900: "var(--lime-900)"
  },
  teal: {
    50: "var(--teal-50)",
    100: "var(--teal-100)",
    200: "var(--teal-200)",
    300: "var(--teal-300)",
    400: "var(--teal-400)",
    500: "var(--teal-500)",
    600: "var(--teal-600)",
    700: "var(--teal-700)",
    800: "var(--teal-800)",
    900: "var(--teal-900)"
  },
  blue: {
    50: "var(--blue-50)",
    100: "var(--blue-100)",
    200: "var(--blue-200)",
    300: "var(--blue-300)",
    400: "var(--blue-400)",
    500: "var(--blue-500)",
    600: "var(--blue-600)",
    700: "var(--blue-700)",
    800: "var(--blue-800)",
    900: "var(--blue-900)"
  },
  purple: {
    50: "var(--purple-50)",
    100: "var(--purple-100)",
    200: "var(--purple-200)",
    300: "var(--purple-300)",
    400: "var(--purple-400)",
    500: "var(--purple-500)",
    600: "var(--purple-600)",
    700: "var(--purple-700)",
    800: "var(--purple-800)",
    900: "var(--purple-900)"
  },
  pink: {
    50: "var(--pink-50)",
    100: "var(--pink-100)",
    200: "var(--pink-200)",
    300: "var(--pink-300)",
    400: "var(--pink-400)",
    500: "var(--pink-500)",
    600: "var(--pink-600)",
    700: "var(--pink-700)",
    800: "var(--pink-800)",
    900: "var(--pink-900)"
  },
  red: {
    50: "var(--red-50)",
    100: "var(--red-100)",
    200: "var(--red-200)",
    300: "var(--red-300)",
    400: "var(--red-400)",
    500: "var(--red-500)",
    600: "var(--red-600)",
    700: "var(--red-700)",
    800: "var(--red-800)",
    900: "var(--red-900)"
  },
  orange: {
    50: "var(--orange-50)",
    100: "var(--orange-100)",
    200: "var(--orange-200)",
    300: "var(--orange-300)",
    400: "var(--orange-400)",
    500: "var(--orange-500)",
    600: "var(--orange-600)",
    700: "var(--orange-700)",
    800: "var(--orange-800)",
    900: "var(--orange-900)"
  },
  yellow: {
    50: "var(--yellow-50)",
    100: "var(--yellow-100)",
    200: "var(--yellow-200)",
    300: "var(--yellow-300)",
    400: "var(--yellow-400)",
    500: "var(--yellow-500)",
    600: "var(--yellow-600)",
    700: "var(--yellow-700)",
    800: "var(--yellow-800)",
    900: "var(--yellow-900)"
  },
  "silver-tree": {
    50: "var(--silver-tree-50)",
    100: "var(--silver-tree-100)",
    200: "var(--silver-tree-200)",
    300: "var(--silver-tree-300)",
    400: "var(--silver-tree-400)",
    500: "var(--silver-tree-500)",
    600: "var(--silver-tree-600)",
    700: "var(--silver-tree-700)",
    800: "var(--silver-tree-800)",
    900: "var(--silver-tree-900)"
  },
  gimblet: {
    50: "var(--gimblet-50)",
    100: "var(--gimblet-100)",
    200: "var(--gimblet-200)",
    300: "var(--gimblet-300)",
    400: "var(--gimblet-400)",
    500: "var(--gimblet-500)",
    600: "var(--gimblet-600)",
    700: "var(--gimblet-700)",
    800: "var(--gimblet-800)",
    900: "var(--gimblet-900)"
  },
  mongoose: {
    50: "var(--mongoose-50)",
    100: "var(--mongoose-100)",
    200: "var(--mongoose-200)",
    300: "var(--mongoose-300)",
    400: "var(--mongoose-400)",
    500: "var(--mongoose-500)",
    600: "var(--mongoose-600)",
    700: "var(--mongoose-700)",
    800: "var(--mongoose-800)",
    900: "var(--mongoose-900)"
  },
  "muddy-waters": {
    50: "var(--muddy-waters-50)",
    100: "var(--muddy-waters-100)",
    200: "var(--muddy-waters-200)",
    300: "var(--muddy-waters-300)",
    400: "var(--muddy-waters-400)",
    500: "var(--muddy-waters-500)",
    600: "var(--muddy-waters-600)",
    700: "var(--muddy-waters-700)",
    800: "var(--muddy-waters-800)",
    900: "var(--muddy-waters-900)"
  },
  viola: {
    50: "var(--viola-50)",
    100: "var(--viola-100)",
    200: "var(--viola-200)",
    300: "var(--viola-300)",
    400: "var(--viola-400)",
    500: "var(--viola-500)",
    600: "var(--viola-600)",
    700: "var(--viola-700)",
    800: "var(--viola-800)",
    900: "var(--viola-900)"
  },
  "light-wisteria": {
    50: "var(--light-wisteria-50)",
    100: "var(--light-wisteria-100)",
    200: "var(--light-wisteria-200)",
    300: "var(--light-wisteria-300)",
    400: "var(--light-wisteria-400)",
    500: "var(--light-wisteria-500)",
    600: "var(--light-wisteria-600)",
    700: "var(--light-wisteria-700)",
    800: "var(--light-wisteria-800)",
    900: "var(--light-wisteria-900)"
  },
  "cold-purple": {
    50: "var(--cold-purple-50)",
    100: "var(--cold-purple-100)",
    200: "var(--cold-purple-200)",
    300: "var(--cold-purple-300)",
    400: "var(--cold-purple-400)",
    500: "var(--cold-purple-500)",
    600: "var(--cold-purple-600)",
    700: "var(--cold-purple-700)",
    800: "var(--cold-purple-800)",
    900: "var(--cold-purple-900)"
  },
  "polo-blue": {
    50: "var(--polo-blue-50)",
    100: "var(--polo-blue-100)",
    200: "var(--polo-blue-200)",
    300: "var(--polo-blue-300)",
    400: "var(--polo-blue-400)",
    500: "var(--polo-blue-500)",
    600: "var(--polo-blue-600)",
    700: "var(--polo-blue-700)",
    800: "var(--polo-blue-800)",
    900: "var(--polo-blue-900)"
  },
  neptune: {
    50: "var(--neptune-50)",
    100: "var(--neptune-100)",
    200: "var(--neptune-200)",
    300: "var(--neptune-300)",
    400: "var(--neptune-400)",
    500: "var(--neptune-500)",
    600: "var(--neptune-600)",
    700: "var(--neptune-700)",
    800: "var(--neptune-800)",
    900: "var(--neptune-900)"
  },
  mantis: {
    50: "var(--mantis-50)",
    100: "var(--mantis-100)",
    200: "var(--mantis-200)",
    300: "var(--mantis-300)",
    400: "var(--mantis-400)",
    500: "var(--mantis-500)",
    600: "var(--mantis-600)",
    700: "var(--mantis-700)",
    800: "var(--mantis-800)",
    900: "var(--mantis-900)"
  },
  isbre: {
    50: "var(--isbre-50)",
    100: "var(--isbre-100)",
    200: "var(--isbre-200)",
    300: "var(--isbre-300)",
    400: "var(--isbre-400)",
    500: "var(--isbre-500)",
    600: "var(--isbre-600)",
    700: "var(--isbre-700)"
  }
}, Ya = {
  sans: ["Archivo", ...St.fontFamily.sans],
  serif: ["IBM Plex Serif", ...St.fontFamily.serif]
}, Qa = {
  xxs: "0.625rem"
  // 10px
  // Uses default font sizes otherwise
}, Ja = {
  4.5: "1.125rem"
}, er = {
  primary: "var(--text-primary)",
  secondary: "var(--text-secondary)",
  tertiary: "var(--text-tertiary)",
  success: {
    DEFAULT: "var(--text-success)"
  },
  warning: {
    DEFAULT: "var(--text-warning)"
  },
  danger: {
    DEFAULT: "var(--text-danger)"
  },
  info: {
    DEFAULT: "var(--text-info)"
  },
  emphasis: {
    DEFAULT: "var(--text-emphasis)"
  },
  interactive: {
    DEFAULT: "var(--text-interactive)",
    hover: "var(--text-interactive-hover)",
    active: "var(--text-interactive-active)"
  },
  button: {
    primary: {
      DEFAULT: "var(--text-button-primary)"
    },
    secondary: {
      DEFAULT: "var(--text-button-secondary)"
    },
    tertiary: {
      DEFAULT: "var(--text-button-tertiary)",
      hover: "var(--text-button-tertiary-hover)",
      active: "var(--text-button-tertiary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--text-button-danger-primary)"
      },
      secondary: {
        DEFAULT: "var(--text-button-danger-secondary)"
      },
      tertiary: {
        DEFAULT: "var(--text-button-danger-tertiary)",
        hover: "var(--text-button-danger-tertiary-hover)",
        active: "var(--text-button-danger-tertiary-active)"
      }
    }
  }
}, tr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, ar = {
  primary: {
    DEFAULT: "var(--bg-primary)",
    hover: "var(--bg-primary-hover)",
    active: "var(--bg-primary-active)"
  },
  secondary: {
    DEFAULT: "var(--bg-secondary)",
    hover: "var(--bg-secondary-hover)",
    active: "var(--bg-secondary-active)"
  },
  tertiary: {
    DEFAULT: "var(--bg-tertiary)",
    hover: "var(--bg-tertiary-hover)",
    active: "var(--bg-tertiary-active)"
  },
  success: {
    DEFAULT: "var(--bg-success)"
  },
  warning: {
    DEFAULT: "var(--bg-warning)"
  },
  danger: {
    DEFAULT: "var(--bg-danger)"
  },
  info: {
    DEFAULT: "var(--bg-info)"
  },
  emphasis: {
    DEFAULT: "var(--bg-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--bg-button-primary)",
      hover: "var(--bg-button-primary-hover)",
      active: "var(--bg-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--bg-button-secondary)",
      hover: "var(--bg-button-secondary-hover)",
      active: "var(--bg-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--bg-button-danger-primary)",
        hover: "var(--bg-button-danger-primary-hover)",
        active: "var(--bg-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--bg-button-danger-secondary)",
        hover: "var(--bg-button-danger-secondary-hover)",
        active: "var(--bg-button-danger-secondary-active)"
      }
    }
  }
}, rr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, nr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, or = {
  wiggle: {
    "0%, 100%": { transform: "rotate(-3deg)" },
    "50%": { transform: "rotate(3deg)" }
  }
}, lr = {
  wiggle: "wiggle 0.3s ease-in-out infinite"
}, i0 = {
  theme: {
    extend: {
      fontFamily: Ya,
      fontSize: Qa,
      lineHeight: Ja,
      colors: Xa,
      textColor: er,
      borderColor: tr,
      backgroundColor: ar,
      outlineColor: rr,
      ringColor: nr,
      keyframes: or,
      animation: lr
    }
  }
};
function At(e, t = 0, a = 1e3) {
  if (a <= 0.1)
    return { value: e };
  const n = $(t);
  function r(o, i) {
    const s = Date.now(), l = a, u = i - o, f = () => {
      const b = Date.now() - s, m = ir(b, o, u, l);
      b < l ? (n.value = Math.floor(m), window.requestAnimationFrame(f)) : n.value = i;
    };
    f();
  }
  return fe(
    e,
    (o) => {
      r(n.value ?? t, o);
    },
    { immediate: !0 }
  ), { value: n };
}
function ir(e, t, a, n) {
  return e /= n, -a * e * (e - 2) + t;
}
function sr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q43 0 83 8.5t77 24.5v90q0 32 22.5 54.5T717-680h3v23q0 23 17 40t40 17h85q9 29 13.5 58.5T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm0-180q58 0 107-28t79-76q6-12-1-24t-21-12H316q-14 0-21 12t-1 24q30 48 79.5 76T480-260ZM340-520q25 0 42.5-17.5T400-580q0-25-17.5-42.5T340-640q-25 0-42.5 17.5T280-580q0 25 17.5 42.5T340-520Zm280 0q25 0 42.5-17.5T680-580q0-25-17.5-42.5T620-640q-25 0-42.5 17.5T560-580q0 25 17.5 42.5T620-520Zm180-240h-40q-17 0-28.5-11.5T720-800q0-17 11.5-28.5T760-840h40v-40q0-17 11.5-28.5T840-920q17 0 28.5 11.5T880-880v40h40q17 0 28.5 11.5T960-800q0 17-11.5 28.5T920-760h-40v40q0 17-11.5 28.5T840-680q-17 0-28.5-11.5T800-720v-40Z" })
  ]);
}
function cr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-480Zm0 400q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q43 0 83 8.5t77 24.5v90q-35-20-75.5-31.5T480-800q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160q133 0 226.5-93.5T800-480q0-32-6.5-62T776-600h86q9 29 13.5 58.5T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm320-680h-40q-17 0-28.5-11.5T720-800q0-17 11.5-28.5T760-840h40v-40q0-17 11.5-28.5T840-920q17 0 28.5 11.5T880-880v40h40q17 0 28.5 11.5T960-800q0 17-11.5 28.5T920-760h-40v40q0 17-11.5 28.5T840-680q-17 0-28.5-11.5T800-720v-40ZM620-520q25 0 42.5-17.5T680-580q0-25-17.5-42.5T620-640q-25 0-42.5 17.5T560-580q0 25 17.5 42.5T620-520Zm-280 0q25 0 42.5-17.5T400-580q0-25-17.5-42.5T340-640q-25 0-42.5 17.5T280-580q0 25 17.5 42.5T340-520Zm140 260q58 0 107-28t79-76q6-12-1-24t-21-12H316q-14 0-21 12t-1 24q30 48 79.5 76T480-260Z" })
  ]);
}
function ur(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "m382-480 294 294q15 15 14.5 35T675-116q-15 15-35 15t-35-15L297-423q-12-12-18-27t-6-30q0-15 6-30t18-27l308-308q15-15 35.5-14.5T676-844q15 15 15 35t-15 35L382-480Z" })
  ]);
}
function dr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M440-313v-447q0-17 11.5-28.5T480-800q17 0 28.5 11.5T520-760v447l196-196q12-12 28-11.5t28 12.5q11 12 11.5 28T772-452L508-188q-6 6-13 8.5t-15 2.5q-8 0-15-2.5t-13-8.5L188-452q-11-11-11-27.5t11-28.5q12-12 28.5-12t28.5 12l195 195Z" })
  ]);
}
function fr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M647-440H200q-17 0-28.5-11.5T160-480q0-17 11.5-28.5T200-520h447L451-716q-12-12-11.5-28t12.5-28q12-11 28-11.5t28 11.5l264 264q6 6 8.5 13t2.5 15q0 8-2.5 15t-8.5 13L508-188q-11 11-27.5 11T452-188q-12-12-12-28.5t12-28.5l195-195Z" })
  ]);
}
function pr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M579-480 285-774q-15-15-14.5-35.5T286-845q15-15 35.5-15t35.5 15l307 308q12 12 18 27t6 30q0 15-6 30t-18 27L356-115q-15 15-35 14.5T286-116q-15-15-15-35.5t15-35.5l293-293Z" })
  ]);
}
function br(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M440-647 244-451q-12 12-28 11.5T188-452q-11-12-11.5-28t11.5-28l264-264q6-6 13-8.5t15-2.5q8 0 15 2.5t13 8.5l264 264q11 11 11 27.5T772-452q-12 12-28.5 12T715-452L520-647v447q0 17-11.5 28.5T480-160q-17 0-28.5-11.5T440-200v-447Z" })
  ]);
}
function Jt(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "m382-354 339-339q12-12 28.5-12t28.5 12q12 12 12 28.5T778-636L410-268q-12 12-28 12t-28-12L182-440q-12-12-11.5-28.5T183-497q12-12 28.5-12t28.5 12l142 143Z" })
  ]);
}
function vr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "m424-408-86-86q-11-11-28-11t-28 11q-11 11-11 28t11 28l114 114q12 12 28 12t28-12l226-226q11-11 11-28t-11-28q-11-11-28-11t-28 11L424-408Zm56 328q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Z" })
  ]);
}
function Re(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-424 284-228q-11 11-28 11t-28-11q-11-11-11-28t11-28l196-196-196-196q-11-11-11-28t11-28q11-11 28-11t28 11l196 196 196-196q11-11 28-11t28 11q11 11 11 28t-11 28L536-480l196 196q11 11 11 28t-11 28q-11 11-28 11t-28-11L480-424Z" })
  ]);
}
function mr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-81 33.5-157.5t93-134.5Q266-830 348-860t180-18q15 2 23 12.5t9 28.5q2 64 47.5 109.5T716-680q21 1 32 12t12 34q2 42 25.5 69t65.5 41q14 5 21.5 14.5T880-486q2 83-29 157t-85 129.5Q712-144 638-112T480-80Zm0-80q122 0 216.5-84T800-458q-50-22-78.5-60T683-603q-77-11-132-66t-68-132q-80-2-140.5 29t-101 79.5Q201-644 180.5-587T160-480q0 133 93.5 226.5T480-160Zm0-324Zm-60-76q25 0 42.5-17.5T480-620q0-25-17.5-42.5T420-680q-25 0-42.5 17.5T360-620q0 25 17.5 42.5T420-560Zm-80 200q25 0 42.5-17.5T400-420q0-25-17.5-42.5T340-480q-25 0-42.5 17.5T280-420q0 25 17.5 42.5T340-360Zm260 40q17 0 28.5-11.5T640-360q0-17-11.5-28.5T600-400q-17 0-28.5 11.5T560-360q0 17 11.5 28.5T600-320Z" })
  ]);
}
function gr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-280q17 0 28.5-11.5T520-320q0-17-11.5-28.5T480-360q-17 0-28.5 11.5T440-320q0 17 11.5 28.5T480-280Zm0-160q17 0 28.5-11.5T520-480v-160q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640v160q0 17 11.5 28.5T480-440Zm0 360q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Z" })
  ]);
}
function hr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-362q-8 0-15-2.5t-13-8.5L268-557q-11-11-11-28t11-28q11-11 28-11t28 11l156 156 156-156q11-11 28-11t28 11q11 11 11 28t-11 28L508-373q-6 6-13 8.5t-15 2.5Z" })
  ]);
}
function yr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-280q17 0 28.5-11.5T520-320v-160q0-17-11.5-28.5T480-520q-17 0-28.5 11.5T440-480v160q0 17 11.5 28.5T480-280Zm0-320q17 0 28.5-11.5T520-640q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640q0 17 11.5 28.5T480-600Zm0 520q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Z" })
  ]);
}
function wr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "m432-480 156 156q11 11 11 28t-11 28q-11 11-28 11t-28-11L348-452q-6-6-8.5-13t-2.5-15q0-8 2.5-15t8.5-13l184-184q11-11 28-11t28 11q11 11 11 28t-11 28L432-480Z" })
  ]);
}
function Tr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M240-80q-33 0-56.5-23.5T160-160v-400q0-33 23.5-56.5T240-640h40v-80q0-83 58.5-141.5T480-920q83 0 141.5 58.5T680-720v80h40q33 0 56.5 23.5T800-560v400q0 33-23.5 56.5T720-80H240Zm0-80h480v-400H240v400Zm240-120q33 0 56.5-23.5T560-360q0-33-23.5-56.5T480-440q-33 0-56.5 23.5T400-360q0 33 23.5 56.5T480-280ZM360-640h240v-80q0-50-35-85t-85-35q-50 0-85 35t-35 85v80ZM240-160v-400 400Z" })
  ]);
}
function kr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M200-200q-17 0-28.5-11.5T160-240q0-17 11.5-28.5T200-280h40v-280q0-83 50-147.5T420-792v-28q0-25 17.5-42.5T480-880q25 0 42.5 17.5T540-820v28q80 20 130 84.5T720-560v280h40q17 0 28.5 11.5T800-240q0 17-11.5 28.5T760-200H200ZM480-80q-33 0-56.5-23.5T400-160h160q0 33-23.5 56.5T480-80Z" })
  ]);
}
function xr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M200-120q-33 0-56.5-23.5T120-200v-560q0-33 23.5-56.5T200-840h240q17 0 28.5 11.5T480-800q0 17-11.5 28.5T440-760H200v560h560v-240q0-17 11.5-28.5T800-480q17 0 28.5 11.5T840-440v240q0 33-23.5 56.5T760-120H200Zm560-584L416-360q-11 11-28 11t-28-11q-11-11-11-28t11-28l344-344H600q-17 0-28.5-11.5T560-800q0-17 11.5-28.5T600-840h240v240q0 17-11.5 28.5T800-560q-17 0-28.5-11.5T760-600v-104Z" })
  ]);
}
function _r(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M520-496v-144q0-17-11.5-28.5T480-680q-17 0-28.5 11.5T440-640v159q0 8 3 15.5t9 13.5l132 132q11 11 28 11t28-11q11-11 11-28t-11-28L520-496ZM480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q83 0 156 31.5T763-763q54 54 85.5 127T880-480q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm0-400Zm0 320q133 0 226.5-93.5T800-480q0-133-93.5-226.5T480-800q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160Z" })
  ]);
}
function $r(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M360-440q-17 0-28.5-11.5T320-480v-247l-75 75q-11 11-27.5 11T189-652q-12-12-12-28.5t12-28.5l143-143q6-6 13-8.5t15-2.5q8 0 15 2.5t13 8.5l144 144q12 12 11.5 28T531-652q-12 11-28 11.5T475-652l-75-75v247q0 17-11.5 28.5T360-440ZM600-97q-8 0-15-2.5t-13-8.5L428-252q-12-12-11.5-28t12.5-28q12-11 28-11.5t28 11.5l75 75v-247q0-17 11.5-28.5T600-520q17 0 28.5 11.5T640-480v247l75-75q11-11 27.5-11t28.5 11q12 12 12 28.5T771-251L628-108q-6 6-13 8.5T600-97Z" })
  ]);
}
function qr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M480-80q-83 0-156-31.5T197-197q-54-54-85.5-127T80-480q0-83 31.5-156T197-763q54-54 127-85.5T480-880q48 0 93.5 11t87.5 32q15 8 19.5 24t-5.5 30q-10 14-26.5 18t-32.5-4q-32-15-66.5-23t-69.5-8q-133 0-226.5 93.5T160-480q0 133 93.5 226.5T480-160q133 0 226.5-93.5T800-480q0-8-.5-15.5T798-511q-2-17 6.5-32.5T830-564q16-5 30 3t16 24q2 14 3 28t1 29q0 83-31.5 156T763-197q-54 54-127 85.5T480-80Zm-56-328 372-373q11-11 27.5-11.5T852-781q11 11 11 28t-11 28L452-324q-12 12-28 12t-28-12L282-438q-11-11-11-28t11-28q11-11 28-11t28 11l86 86Z" })
  ]);
}
function Cr(e, t) {
  return c(), d("svg", {
    "aria-hidden": "true",
    viewBox: "0 -960 960 960",
    fill: "currentColor"
  }, [
    p("path", { d: "M109-120q-11 0-20-5.5T75-140q-5-9-5.5-19.5T75-180l370-640q6-10 15.5-15t19.5-5q10 0 19.5 5t15.5 15l370 640q6 10 5.5 20.5T885-140q-5 9-14 14.5t-20 5.5H109Zm371-120q17 0 28.5-11.5T520-280q0-17-11.5-28.5T480-320q-17 0-28.5 11.5T440-280q0 17 11.5 28.5T480-240Zm0-120q17 0 28.5-11.5T520-400v-120q0-17-11.5-28.5T480-560q-17 0-28.5 11.5T440-520v120q0 17 11.5 28.5T480-360Z" })
  ]);
}
const Er = { class: "bcc-alert-content" }, Lr = {
  key: 0,
  class: "bcc-alert-title"
}, s0 = /* @__PURE__ */ _({
  __name: "BccAlert",
  props: {
    context: { default: "info" },
    icon: { type: [Boolean, String, Function, Object], default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !1 },
    open: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const a = t, n = {
      info: {
        class: "",
        icon: yr
      },
      success: {
        class: "bcc-alert-success",
        icon: qr
      },
      warning: {
        class: "bcc-alert-warning",
        icon: Cr
      },
      danger: {
        class: "bcc-alert-danger",
        icon: gr
      },
      neutral: {
        class: "bcc-alert-neutral",
        icon: kr
      }
    };
    return (r, o) => (c(), B(Oe, { name: "bcc-fade" }, {
      default: z(() => [
        r.open ? (c(), d("div", {
          key: 0,
          class: L(["bcc-alert", n[r.context].class])
        }, [
          r.icon ? (c(), B(ne(typeof r.icon == "boolean" ? n[r.context].icon : r.icon), {
            key: 0,
            class: "bcc-alert-icon"
          })) : T("", !0),
          p("div", Er, [
            r.title ? (c(), d("h3", Lr, C(r.title), 1)) : T("", !0),
            p("p", null, [
              R(r.$slots, "default")
            ])
          ]),
          r.closeButton ? (c(), d("button", {
            key: 1,
            onClick: o[0] || (o[0] = kt((i) => a("close"), ["prevent"])),
            "aria-label": "Close alert",
            class: "bcc-alert-close-button"
          }, [
            U(k(Re), { class: "bcc-alert-close-icon" })
          ])) : T("", !0)
        ], 2)) : T("", !0)
      ]),
      _: 3
    }));
  }
}), c0 = /* @__PURE__ */ _({
  __name: "BccAvatar",
  props: {
    initials: {},
    gender: { default: "unknown" },
    child: { type: Boolean, default: !1 },
    size: { default: "sm" }
  },
  setup(e) {
    return (t, a) => (c(), d("div", {
      class: L(["bcc-avatar", {
        "bcc-avatar-xs": t.size === "xs",
        "bcc-avatar-man": !t.child && t.gender === "male",
        "bcc-avatar-woman": !t.child && t.gender === "female",
        "bcc-avatar-person": !t.child && t.gender === "unknown",
        "bcc-avatar-boy": t.child && t.gender === "male",
        "bcc-avatar-girl": t.child && t.gender === "female",
        "bcc-avatar-child": t.child && t.gender === "unknown"
      }])
    }, C(t.initials.slice(0, 2)), 3));
  }
}), Br = { class: "order-2" }, Sr = /* @__PURE__ */ _({
  __name: "BccBadge",
  props: {
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    size: { default: "xs" },
    contrast: { default: "light" },
    bordered: { type: Boolean, default: !1 },
    context: { default: "neutral" }
  },
  setup(e) {
    const t = {
      neutral: "bcc-badge-neutral",
      danger: "bcc-badge-danger",
      warning: "bcc-badge-warning",
      success: "bcc-badge-success",
      info: "bcc-badge-info",
      "muddy-waters": "bcc-badge-muddy-waters",
      mongoose: "bcc-badge-mongoose",
      brand: "bcc-badge-brand"
    };
    return (a, n) => (c(), d("div", {
      class: L(["bcc-badge", [t[a.context], a.contrast, a.size, { bordered: a.bordered }]])
    }, [
      a.icon ? (c(), B(ne(a.icon), {
        key: 0,
        class: L(["bcc-badge-icon", [a.iconRight ? "order-3" : "order-1"]])
      }, null, 8, ["class"])) : T("", !0),
      p("span", Br, [
        R(a.$slots, "default")
      ])
    ], 2));
  }
}), Qe = /* @__PURE__ */ _({
  __name: "BccButton",
  props: {
    is: { type: [String, Function, Object], default: "button" },
    variant: { default: "primary" },
    context: { default: "default" },
    size: { default: "base" },
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    justifyContent: { type: Boolean, default: !1 },
    rounded: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    padding: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e, a = Ut(), n = t.icon !== void 0 && !a.default, r = {
      xs: "bcc-button-xs",
      sm: "bcc-button-sm",
      base: "",
      lg: "bcc-button-lg",
      xl: "bcc-button-xl"
    }, o = {
      primary: "bcc-button-primary",
      secondary: "bcc-button-secondary",
      tertiary: "bcc-button-tertiary"
    }, i = {
      default: "",
      danger: "bcc-button-danger"
    };
    return (s, l) => (c(), B(ne(s.is), {
      disabled: s.disabled,
      class: L(["bcc-button", [
        r[s.size],
        o[s.variant],
        i[s.context],
        {
          "bcc-button-no-padding": !s.padding,
          "bcc-button-icon-only": k(n),
          "bcc-button-rounded": s.rounded,
          "bcc-button-justify-content": s.justifyContent
        }
      ]])
    }, {
      default: z(() => [
        R(s.$slots, "default"),
        s.icon ? (c(), B(ne(s.icon), {
          key: 0,
          class: L(["bcc-button-icon", [s.iconRight ? "order-2" : "-order-1"]])
        }, null, 8, ["class"])) : T("", !0)
      ]),
      _: 3
    }, 8, ["disabled", "class"]));
  }
}), Fr = /* @__PURE__ */ p("circle", {
  cx: "20",
  cy: "20",
  r: "18",
  fill: "none",
  "stroke-width": "2",
  stroke: "currentColor"
}, null, -1), Pr = ["stroke-dashoffset"], Ar = {
  key: 1,
  "text-anchor": "middle",
  x: "20",
  y: "25",
  "font-size": "14",
  "font-weight": "600",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, Dr = {
  key: 2,
  d: "M14.4122 25.1588C13.1109 25.1588 12.017 24.6844 11.1305 23.7354C10.244 22.7864 9.80078 21.6525 9.80078 20.3337C9.80078 19.0287 10.2475 17.9121 11.1409 16.984C12.0343 16.0559 13.1247 15.5918 14.4122 15.5918C14.9358 15.5918 15.4424 15.679 15.9319 15.8533C16.4214 16.0277 16.8557 16.2965 17.2347 16.6597L19.0662 18.417L17.885 19.5628L16.1877 17.9045C15.9538 17.6704 15.6828 17.5015 15.3745 17.3978C15.0663 17.294 14.7475 17.2422 14.4182 17.2422C13.5803 17.2422 12.8763 17.5449 12.3063 18.1504C11.7362 18.756 11.4512 19.4851 11.4512 20.3379C11.4512 21.2047 11.7327 21.9497 12.2957 22.5732C12.8587 23.1967 13.566 23.5085 14.4176 23.5085C14.7413 23.5085 15.0554 23.4567 15.3599 23.3532C15.6644 23.2497 15.9391 23.088 16.1839 22.8681L22.7673 16.6597C23.1462 16.2965 23.5805 16.0277 24.07 15.8533C24.5596 15.679 25.0592 15.5918 25.5689 15.5918C26.8702 15.5918 27.9676 16.0559 28.861 16.984C29.7544 17.9121 30.2012 19.0287 30.2012 20.3337C30.2012 21.6525 29.7544 22.7864 28.861 23.7354C27.9676 24.6844 26.8702 25.1588 25.5689 25.1588C25.0592 25.1588 24.5561 25.0751 24.0596 24.9077C23.5631 24.7403 23.1324 24.475 22.7673 24.1117L20.9892 22.3545L22.1586 21.2087L23.8177 22.8681C24.0383 23.0885 24.3035 23.2503 24.6133 23.3536C24.9231 23.4568 25.2398 23.5085 25.5635 23.5085C26.4151 23.5085 27.1259 23.1961 27.6958 22.5714C28.2658 21.9467 28.5508 21.2021 28.5508 20.3377C28.5508 19.4872 28.2623 18.7586 27.6854 18.152C27.1085 17.5455 26.4012 17.2422 25.5635 17.2422C25.2398 17.2422 24.9257 17.3009 24.6212 17.4183C24.3167 17.5357 24.0489 17.7043 23.818 17.9242L17.2347 24.1326C16.8557 24.4819 16.418 24.7403 15.9215 24.9077C15.425 25.0751 14.9219 25.1588 14.4122 25.1588Z",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, u0 = /* @__PURE__ */ _({
  __name: "BccCapacityIndicator",
  props: {
    total: {},
    used: { default: 0 },
    size: { default: "base" },
    animationDuration: { default: 1e3 }
  },
  setup(e) {
    const t = e, { value: a } = At(
      ka(t, "used"),
      t.used,
      t.animationDuration
    ), n = h(() => t.total === -1 ? -1 : t.used > t.total || t.used === t.total ? 100 : t.total > 0 ? t.used / t.total * 100 : 0), { value: r } = At(
      n,
      n.value,
      t.animationDuration
    ), o = Math.PI * 18 * 2;
    return (i, s) => (c(), d("svg", {
      width: "2em",
      height: "2em",
      viewBox: "0 0 40 40",
      class: L(["bcc-capacity-indicator", {
        "bcc-capacity-indicator-lg": i.size == "lg",
        "bcc-capacity-indicator-open": i.total == -1 || k(r) >= 0 && k(r) < 50,
        "bcc-capacity-indicator-warning": k(r) >= 50 && k(r) < 100,
        "bcc-capacity-indicator-full": k(r) >= 100
      }])
    }, [
      Fr,
      k(r) > -1 ? (c(), d("circle", {
        key: 0,
        cx: "20",
        cy: "20",
        r: "18",
        fill: "none",
        "stroke-width": "2",
        "stroke-dasharray": o,
        "stroke-dashoffset": o * ((100 - k(r)) / 100),
        stroke: "currentColor",
        transform: "rotate(-90 20 20)",
        class: "bcc-capacity-indicator-circle-used"
      }, null, 8, Pr)) : T("", !0),
      k(r) > -1 ? (c(), d("text", Ar, C(k(r) < 100 ? i.total - k(a) : 0), 1)) : (c(), d("path", Dr))
    ], 2));
  }
});
function tt() {
  const e = xa(), t = h(() => {
    const a = {};
    for (const n in e)
      n !== "class" && n !== "style" && (a[n] = e[n]);
    return a;
  });
  return { attrs: e, attrsWithoutStyles: t };
}
let Mr = 0;
function Or() {
  return ++Mr;
}
function at() {
  return Or();
}
const zr = ["disabled"], Ir = {
  inheritAttrs: !1
}, d0 = /* @__PURE__ */ _({
  ...Ir,
  __name: "BccCheckbox",
  props: {
    modelValue: { type: Boolean },
    label: {},
    disabled: { type: Boolean, default: !1 },
    indeterminate: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const a = e, { modelValue: n, indeterminate: r } = Je(a), o = $(null), i = `bcc-checkbox-${at()}`, s = t, l = h({
      get() {
        return !!n.value;
      },
      set(m) {
        s("update:modelValue", m);
      }
    });
    j(() => {
      fe(
        r,
        (m) => {
          if (o.value) {
            const y = o.value;
            y.indeterminate = m;
          }
        },
        { immediate: !0 }
      );
    });
    const { attrs: u, attrsWithoutStyles: f } = tt(), b = h(() => {
      const m = [];
      return a.disabled && m.push("bcc-checkbox-wrapper-disabled"), u.class && m.push(u.class), m;
    });
    return (m, y) => (c(), d("div", {
      class: L(["bcc-checkbox-wrapper", b.value]),
      style: be(m.$attrs.style)
    }, [
      ye(p("input", Te({
        type: "checkbox",
        class: "bcc-checkbox",
        id: i,
        disabled: m.disabled,
        "onUpdate:modelValue": y[0] || (y[0] = (w) => l.value = w)
      }, k(f), {
        ref_key: "input",
        ref: o
      }), null, 16, zr), [
        [Rt, l.value]
      ]),
      m.label ? (c(), d("label", {
        key: 0,
        for: i
      }, C(m.label), 1)) : T("", !0)
    ], 6));
  }
}), Ur = {
  key: 0,
  class: "bcc-cookie-banner-overlay"
}, Rr = {
  key: 0,
  class: "bcc-cookie-banner-wrapper"
}, Hr = { class: "bcc-cookie-banner" }, jr = { class: "bcc-cookie-banner-content" }, Nr = { class: "bcc-cookie-banner-title" }, Vr = { class: "bcc-cookie-banner-actions" }, f0 = /* @__PURE__ */ _({
  __name: "BccCookieBanner",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    showOverlay: { type: Boolean, default: !0 },
    declineButtonText: { default: "Decline" },
    acceptButtonText: { default: "Accept" }
  },
  emits: ["accept", "decline"],
  setup(e, { emit: t }) {
    const a = t;
    return (n, r) => (c(), d(Z, null, [
      n.showOverlay ? (c(), B(Oe, {
        key: 0,
        name: "fade"
      }, {
        default: z(() => [
          n.open ? (c(), d("div", Ur)) : T("", !0)
        ]),
        _: 1
      })) : T("", !0),
      U(Oe, { name: "fade-fast" }, {
        default: z(() => [
          n.open ? (c(), d("div", Rr, [
            p("div", Hr, [
              p("div", jr, [
                p("div", Nr, [
                  U(k(mr), { class: "bcc-cookie-banner-icon" }),
                  p("h4", null, C(n.title), 1)
                ]),
                p("p", null, [
                  R(n.$slots, "default")
                ])
              ]),
              p("div", Vr, [
                U(Qe, {
                  variant: "secondary",
                  onClick: r[0] || (r[0] = (o) => a("decline")),
                  class: "bcc-cookie-banner-decline-button"
                }, {
                  default: z(() => [
                    se(C(n.declineButtonText), 1)
                  ]),
                  _: 1
                }),
                U(Qe, {
                  onClick: r[1] || (r[1] = (o) => a("accept")),
                  class: "bcc-cookie-banner-accept-button"
                }, {
                  default: z(() => [
                    se(C(n.acceptButtonText), 1)
                  ]),
                  _: 1
                })
              ])
            ])
          ])) : T("", !0)
        ]),
        _: 3
      })
    ], 64));
  }
}), Zr = ["for"], Wr = {
  key: 0,
  class: "bcc-form-label-optional"
}, $t = /* @__PURE__ */ _({
  __name: "BccFormLabel",
  props: {
    size: { default: "base" },
    for: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" }
  },
  setup(e) {
    const t = e;
    return (a, n) => (c(), d("label", {
      class: L(["bcc-form-label", { "bcc-form-label-lg": a.size === "lg" }]),
      for: t.for
    }, [
      p("span", null, [
        R(a.$slots, "default")
      ]),
      a.showOptionalLabel ? (c(), d("span", Wr, C(a.optionalLabel), 1)) : T("", !0)
    ], 10, Zr));
  }
}), ea = /* @__PURE__ */ _({
  __name: "BccFormMessage",
  props: {
    state: { default: "default" }
  },
  setup(e) {
    return (t, a) => (c(), d("span", {
      class: L(["bcc-form-message", {
        "bcc-form-message-default": t.state === "default",
        "bcc-form-message-error": t.state === "error",
        "bcc-form-message-success": t.state === "success"
      }])
    }, [
      R(t.$slots, "default")
    ], 2));
  }
}), Gr = {
  key: 0,
  class: "bcc-input-icon-wrapper"
}, Kr = {
  key: 1,
  class: "bcc-input-clear-button-wrapper"
}, Xr = /* @__PURE__ */ p("span", {
  class: "sr-only",
  id: "bcc-input-clear-desc"
}, "Clear input", -1), Yr = {
  inheritAttrs: !1
}, p0 = /* @__PURE__ */ _({
  ...Yr,
  __name: "BccInput",
  props: {
    modelValue: {},
    is: { default: "input" },
    state: { default: "default" },
    size: { default: "base" },
    icon: {},
    clearable: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue", "clear"],
  setup(e, { emit: t }) {
    const a = e, { attrsWithoutStyles: n } = tt(), r = `bcc-input-${at()}`, o = t, i = h(() => a.showOptionalLabel && !a.required);
    function s() {
      o("update:modelValue", ""), o("clear");
    }
    return (l, u) => (c(), d("div", {
      class: L(["bcc-input-container", l.$attrs.class]),
      style: be(l.$attrs.style)
    }, [
      l.label || i.value ? (c(), B($t, {
        key: 0,
        for: r,
        size: l.size === "lg" ? "lg" : void 0,
        showOptionalLabel: i.value,
        optionalLabel: l.optionalLabel
      }, {
        default: z(() => [
          se(C(l.label), 1)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : T("", !0),
      p("div", {
        class: L(["bcc-input-wrapper", {
          "bcc-input-sm": l.size === "sm",
          "bcc-input-lg": l.size === "lg"
        }])
      }, [
        l.icon && l.is !== "textarea" ? (c(), d("div", Gr, [
          (c(), B(ne(l.icon), {
            class: L(["bcc-input-icon", { "bcc-input-icon-disabled": l.disabled }]),
            "aria-hidden": "true"
          }, null, 8, ["class"]))
        ])) : T("", !0),
        (c(), B(ne(l.is), Te({
          id: r,
          disabled: l.disabled,
          required: l.required,
          class: ["bcc-input", {
            "bcc-input-error": l.state === "error",
            "bcc-input-success": l.state === "success",
            "bcc-input-with-icon": l.icon && l.is !== "textarea",
            "bcc-input-clearable": l.clearable && l.is !== "textarea"
          }],
          value: l.modelValue,
          onInput: u[0] || (u[0] = (f) => o("update:modelValue", f.target.value))
        }, k(n)), null, 16, ["disabled", "required", "class", "value"])),
        l.clearable && l.modelValue && l.is !== "textarea" ? (c(), d("div", Kr, [
          Xr,
          U(k(Re), {
            class: "bcc-input-clear-button",
            "aria-describedby": "bcc-input-clear-desc",
            onClick: s
          })
        ])) : T("", !0)
      ], 2),
      l.$slots.default ? (c(), B(ea, {
        key: 1,
        state: l.state
      }, {
        default: z(() => [
          R(l.$slots, "default")
        ]),
        _: 3
      }, 8, ["state"])) : T("", !0)
    ], 6));
  }
});
function ee(e, t, ...a) {
  if (e in t) {
    let r = t[e];
    return typeof r == "function" ? r(...a) : r;
  }
  let n = new Error(`Tried to handle "${e}" but there is no handler defined. Only defined handlers are: ${Object.keys(t).map((r) => `"${r}"`).join(", ")}.`);
  throw Error.captureStackTrace && Error.captureStackTrace(n, ee), n;
}
var Pe = ((e) => (e[e.None = 0] = "None", e[e.RenderStrategy = 1] = "RenderStrategy", e[e.Static = 2] = "Static", e))(Pe || {}), we = ((e) => (e[e.Unmount = 0] = "Unmount", e[e.Hidden = 1] = "Hidden", e))(we || {});
function Q({ visible: e = !0, features: t = 0, ourProps: a, theirProps: n, ...r }) {
  var o;
  let i = aa(n, a), s = Object.assign(r, { props: i });
  if (e || t & 2 && i.static)
    return ut(s);
  if (t & 1) {
    let l = (o = i.unmount) == null || o ? 0 : 1;
    return ee(l, { 0() {
      return null;
    }, 1() {
      return ut({ ...r, props: { ...i, hidden: !0, style: { display: "none" } } });
    } });
  }
  return ut(s);
}
function ut({ props: e, attrs: t, slots: a, slot: n, name: r }) {
  var o, i;
  let { as: s, ...l } = qt(e, ["unmount", "static"]), u = (o = a.default) == null ? void 0 : o.call(a, n), f = {};
  if (n) {
    let b = !1, m = [];
    for (let [y, w] of Object.entries(n))
      typeof w == "boolean" && (b = !0), w === !0 && m.push(y);
    b && (f["data-headlessui-state"] = m.join(" "));
  }
  if (s === "template") {
    if (u = ta(u ?? []), Object.keys(l).length > 0 || Object.keys(t).length > 0) {
      let [b, ...m] = u ?? [];
      if (!Qr(b) || m.length > 0)
        throw new Error(['Passing props on "template"!', "", `The current component <${r} /> is rendering a "template".`, "However we need to passthrough the following props:", Object.keys(l).concat(Object.keys(t)).map((v) => v.trim()).filter((v, g, E) => E.indexOf(v) === g).sort((v, g) => v.localeCompare(g)).map((v) => `  - ${v}`).join(`
`), "", "You can apply a few solutions:", ['Add an `as="..."` prop, to ensure that we render an actual element instead of a "template".', "Render a single element as the child so that we can forward the props onto that element."].map((v) => `  - ${v}`).join(`
`)].join(`
`));
      let y = aa((i = b.props) != null ? i : {}, l), w = _a(b, y);
      for (let v in y)
        v.startsWith("on") && (w.props || (w.props = {}), w.props[v] = y[v]);
      return w;
    }
    return Array.isArray(u) && u.length === 1 ? u[0] : u;
  }
  return V(s, Object.assign({}, l, f), { default: () => u });
}
function ta(e) {
  return e.flatMap((t) => t.type === Z ? ta(t.children) : [t]);
}
function aa(...e) {
  if (e.length === 0)
    return {};
  if (e.length === 1)
    return e[0];
  let t = {}, a = {};
  for (let n of e)
    for (let r in n)
      r.startsWith("on") && typeof n[r] == "function" ? (a[r] != null || (a[r] = []), a[r].push(n[r])) : t[r] = n[r];
  if (t.disabled || t["aria-disabled"])
    return Object.assign(t, Object.fromEntries(Object.keys(a).map((n) => [n, void 0])));
  for (let n in a)
    Object.assign(t, { [n](r, ...o) {
      let i = a[n];
      for (let s of i) {
        if (r instanceof Event && r.defaultPrevented)
          return;
        s(r, ...o);
      }
    } });
  return t;
}
function qt(e, t = []) {
  let a = Object.assign({}, e);
  for (let n of t)
    n in a && delete a[n];
  return a;
}
function Qr(e) {
  return e == null ? !1 : typeof e.type == "string" || typeof e.type == "object" || typeof e.type == "function";
}
let Jr = 0;
function en() {
  return ++Jr;
}
function ve() {
  return en();
}
var le = ((e) => (e.Space = " ", e.Enter = "Enter", e.Escape = "Escape", e.Backspace = "Backspace", e.Delete = "Delete", e.ArrowLeft = "ArrowLeft", e.ArrowUp = "ArrowUp", e.ArrowRight = "ArrowRight", e.ArrowDown = "ArrowDown", e.Home = "Home", e.End = "End", e.PageUp = "PageUp", e.PageDown = "PageDown", e.Tab = "Tab", e))(le || {});
function P(e) {
  var t;
  return e == null || e.value == null ? null : (t = e.value.$el) != null ? t : e.value;
}
let ra = Symbol("Context");
var re = ((e) => (e[e.Open = 1] = "Open", e[e.Closed = 2] = "Closed", e[e.Closing = 4] = "Closing", e[e.Opening = 8] = "Opening", e))(re || {});
function tn() {
  return Ct() !== null;
}
function Ct() {
  return J(ra, null);
}
function an(e) {
  ce(ra, e);
}
function Dt(e, t) {
  if (e)
    return e;
  let a = t ?? "button";
  if (typeof a == "string" && a.toLowerCase() === "button")
    return "button";
}
function rn(e, t) {
  let a = $(Dt(e.value.type, e.value.as));
  return j(() => {
    a.value = Dt(e.value.type, e.value.as);
  }), te(() => {
    var n;
    a.value || P(t) && P(t) instanceof HTMLButtonElement && !((n = P(t)) != null && n.hasAttribute("type")) && (a.value = "button");
  }), a;
}
var nn = Object.defineProperty, on = (e, t, a) => t in e ? nn(e, t, { enumerable: !0, configurable: !0, writable: !0, value: a }) : e[t] = a, Mt = (e, t, a) => (on(e, typeof t != "symbol" ? t + "" : t, a), a);
class ln {
  constructor() {
    Mt(this, "current", this.detect()), Mt(this, "currentId", 0);
  }
  set(t) {
    this.current !== t && (this.currentId = 0, this.current = t);
  }
  reset() {
    this.set(this.detect());
  }
  nextId() {
    return ++this.currentId;
  }
  get isServer() {
    return this.current === "server";
  }
  get isClient() {
    return this.current === "client";
  }
  detect() {
    return typeof window > "u" || typeof document > "u" ? "server" : "client";
  }
}
let He = new ln();
function Ee(e) {
  if (He.isServer)
    return null;
  if (e instanceof Node)
    return e.ownerDocument;
  if (e != null && e.hasOwnProperty("value")) {
    let t = P(e);
    if (t)
      return t.ownerDocument;
  }
  return document;
}
let vt = ["[contentEditable=true]", "[tabindex]", "a[href]", "area[href]", "button:not([disabled])", "iframe", "input:not([disabled])", "select:not([disabled])", "textarea:not([disabled])"].map((e) => `${e}:not([tabindex='-1'])`).join(",");
var Y = ((e) => (e[e.First = 1] = "First", e[e.Previous = 2] = "Previous", e[e.Next = 4] = "Next", e[e.Last = 8] = "Last", e[e.WrapAround = 16] = "WrapAround", e[e.NoScroll = 32] = "NoScroll", e))(Y || {}), Fe = ((e) => (e[e.Error = 0] = "Error", e[e.Overflow = 1] = "Overflow", e[e.Success = 2] = "Success", e[e.Underflow = 3] = "Underflow", e))(Fe || {}), sn = ((e) => (e[e.Previous = -1] = "Previous", e[e.Next = 1] = "Next", e))(sn || {});
function cn(e = document.body) {
  return e == null ? [] : Array.from(e.querySelectorAll(vt)).sort((t, a) => Math.sign((t.tabIndex || Number.MAX_SAFE_INTEGER) - (a.tabIndex || Number.MAX_SAFE_INTEGER)));
}
var na = ((e) => (e[e.Strict = 0] = "Strict", e[e.Loose = 1] = "Loose", e))(na || {});
function un(e, t = 0) {
  var a;
  return e === ((a = Ee(e)) == null ? void 0 : a.body) ? !1 : ee(t, { 0() {
    return e.matches(vt);
  }, 1() {
    let n = e;
    for (; n !== null; ) {
      if (n.matches(vt))
        return !0;
      n = n.parentElement;
    }
    return !1;
  } });
}
var dn = ((e) => (e[e.Keyboard = 0] = "Keyboard", e[e.Mouse = 1] = "Mouse", e))(dn || {});
typeof window < "u" && typeof document < "u" && (document.addEventListener("keydown", (e) => {
  e.metaKey || e.altKey || e.ctrlKey || (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0), document.addEventListener("click", (e) => {
  e.detail === 1 ? delete document.documentElement.dataset.headlessuiFocusVisible : e.detail === 0 && (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0));
function Ce(e) {
  e == null || e.focus({ preventScroll: !0 });
}
let fn = ["textarea", "input"].join(",");
function pn(e) {
  var t, a;
  return (a = (t = e == null ? void 0 : e.matches) == null ? void 0 : t.call(e, fn)) != null ? a : !1;
}
function Se(e, t = (a) => a) {
  return e.slice().sort((a, n) => {
    let r = t(a), o = t(n);
    if (r === null || o === null)
      return 0;
    let i = r.compareDocumentPosition(o);
    return i & Node.DOCUMENT_POSITION_FOLLOWING ? -1 : i & Node.DOCUMENT_POSITION_PRECEDING ? 1 : 0;
  });
}
function de(e, t, { sorted: a = !0, relativeTo: n = null, skipElements: r = [] } = {}) {
  var o;
  let i = (o = Array.isArray(e) ? e.length > 0 ? e[0].ownerDocument : document : e == null ? void 0 : e.ownerDocument) != null ? o : document, s = Array.isArray(e) ? a ? Se(e) : e : cn(e);
  r.length > 0 && s.length > 1 && (s = s.filter((w) => !r.includes(w))), n = n ?? i.activeElement;
  let l = (() => {
    if (t & 5)
      return 1;
    if (t & 10)
      return -1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), u = (() => {
    if (t & 1)
      return 0;
    if (t & 2)
      return Math.max(0, s.indexOf(n)) - 1;
    if (t & 4)
      return Math.max(0, s.indexOf(n)) + 1;
    if (t & 8)
      return s.length - 1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), f = t & 32 ? { preventScroll: !0 } : {}, b = 0, m = s.length, y;
  do {
    if (b >= m || b + m <= 0)
      return 0;
    let w = u + b;
    if (t & 16)
      w = (w + m) % m;
    else {
      if (w < 0)
        return 3;
      if (w >= m)
        return 1;
    }
    y = s[w], y == null || y.focus(f), b += l;
  } while (y !== i.activeElement);
  return t & 6 && pn(y) && y.select(), 2;
}
function Ge(e, t, a) {
  He.isServer || te((n) => {
    document.addEventListener(e, t, a), n(() => document.removeEventListener(e, t, a));
  });
}
function oa(e, t, a) {
  He.isServer || te((n) => {
    window.addEventListener(e, t, a), n(() => window.removeEventListener(e, t, a));
  });
}
function bn(e, t, a = h(() => !0)) {
  function n(o, i) {
    if (!a.value || o.defaultPrevented)
      return;
    let s = i(o);
    if (s === null || !s.getRootNode().contains(s))
      return;
    let l = function u(f) {
      return typeof f == "function" ? u(f()) : Array.isArray(f) || f instanceof Set ? f : [f];
    }(e);
    for (let u of l) {
      if (u === null)
        continue;
      let f = u instanceof HTMLElement ? u : P(u);
      if (f != null && f.contains(s) || o.composed && o.composedPath().includes(f))
        return;
    }
    return !un(s, na.Loose) && s.tabIndex !== -1 && o.preventDefault(), t(o, s);
  }
  let r = $(null);
  Ge("pointerdown", (o) => {
    var i, s;
    a.value && (r.value = ((s = (i = o.composedPath) == null ? void 0 : i.call(o)) == null ? void 0 : s[0]) || o.target);
  }, !0), Ge("mousedown", (o) => {
    var i, s;
    a.value && (r.value = ((s = (i = o.composedPath) == null ? void 0 : i.call(o)) == null ? void 0 : s[0]) || o.target);
  }, !0), Ge("click", (o) => {
    r.value && (n(o, () => r.value), r.value = null);
  }, !0), Ge("touchend", (o) => n(o, () => o.target instanceof HTMLElement ? o.target : null), !0), oa("blur", (o) => n(o, () => window.document.activeElement instanceof HTMLIFrameElement ? window.document.activeElement : null), !0);
}
var Ie = ((e) => (e[e.None = 1] = "None", e[e.Focusable = 2] = "Focusable", e[e.Hidden = 4] = "Hidden", e))(Ie || {});
let Ue = _({ name: "Hidden", props: { as: { type: [Object, String], default: "div" }, features: { type: Number, default: 1 } }, setup(e, { slots: t, attrs: a }) {
  return () => {
    let { features: n, ...r } = e, o = { "aria-hidden": (n & 2) === 2 ? !0 : void 0, style: { position: "fixed", top: 1, left: 1, width: 1, height: 0, padding: 0, margin: -1, overflow: "hidden", clip: "rect(0, 0, 0, 0)", whiteSpace: "nowrap", borderWidth: "0", ...(n & 4) === 4 && (n & 2) !== 2 && { display: "none" } } };
    return Q({ ourProps: o, theirProps: r, slot: {}, attrs: a, slots: t, name: "Hidden" });
  };
} });
function vn() {
  return /iPhone/gi.test(window.navigator.platform) || /Mac/gi.test(window.navigator.platform) && window.navigator.maxTouchPoints > 0;
}
function rt(e) {
  typeof queueMicrotask == "function" ? queueMicrotask(e) : Promise.resolve().then(e).catch((t) => setTimeout(() => {
    throw t;
  }));
}
function je() {
  let e = [], t = { addEventListener(a, n, r, o) {
    return a.addEventListener(n, r, o), t.add(() => a.removeEventListener(n, r, o));
  }, requestAnimationFrame(...a) {
    let n = requestAnimationFrame(...a);
    t.add(() => cancelAnimationFrame(n));
  }, nextFrame(...a) {
    t.requestAnimationFrame(() => {
      t.requestAnimationFrame(...a);
    });
  }, setTimeout(...a) {
    let n = setTimeout(...a);
    t.add(() => clearTimeout(n));
  }, microTask(...a) {
    let n = { current: !0 };
    return rt(() => {
      n.current && a[0]();
    }), t.add(() => {
      n.current = !1;
    });
  }, style(a, n, r) {
    let o = a.style.getPropertyValue(n);
    return Object.assign(a.style, { [n]: r }), this.add(() => {
      Object.assign(a.style, { [n]: o });
    });
  }, group(a) {
    let n = je();
    return a(n), this.add(() => n.dispose());
  }, add(a) {
    return e.push(a), () => {
      let n = e.indexOf(a);
      if (n >= 0)
        for (let r of e.splice(n, 1))
          r();
    };
  }, dispose() {
    for (let a of e.splice(0))
      a();
  } };
  return t;
}
var Me = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(Me || {});
function mn() {
  let e = $(0);
  return oa("keydown", (t) => {
    t.key === "Tab" && (e.value = t.shiftKey ? 1 : 0);
  }), e;
}
function la(e, t, a, n) {
  He.isServer || te((r) => {
    e = e ?? window, e.addEventListener(t, a, n), r(() => e.removeEventListener(t, a, n));
  });
}
function gn(e) {
  function t() {
    document.readyState !== "loading" && (e(), document.removeEventListener("DOMContentLoaded", t));
  }
  typeof window < "u" && typeof document < "u" && (document.addEventListener("DOMContentLoaded", t), t());
}
function ia(e) {
  if (!e)
    return /* @__PURE__ */ new Set();
  if (typeof e == "function")
    return new Set(e());
  let t = /* @__PURE__ */ new Set();
  for (let a of e.value) {
    let n = P(a);
    n instanceof HTMLElement && t.add(n);
  }
  return t;
}
var sa = ((e) => (e[e.None = 1] = "None", e[e.InitialFocus = 2] = "InitialFocus", e[e.TabLock = 4] = "TabLock", e[e.FocusLock = 8] = "FocusLock", e[e.RestoreFocus = 16] = "RestoreFocus", e[e.All = 30] = "All", e))(sa || {});
let Ae = Object.assign(_({ name: "FocusTrap", props: { as: { type: [Object, String], default: "div" }, initialFocus: { type: Object, default: null }, features: { type: Number, default: 30 }, containers: { type: [Object, Function], default: $(/* @__PURE__ */ new Set()) } }, inheritAttrs: !1, setup(e, { attrs: t, slots: a, expose: n }) {
  let r = $(null);
  n({ el: r, $el: r });
  let o = h(() => Ee(r)), i = $(!1);
  j(() => i.value = !0), oe(() => i.value = !1), yn({ ownerDocument: o }, h(() => i.value && !!(e.features & 16)));
  let s = wn({ ownerDocument: o, container: r, initialFocus: h(() => e.initialFocus) }, h(() => i.value && !!(e.features & 2)));
  Tn({ ownerDocument: o, container: r, containers: e.containers, previousActiveElement: s }, h(() => i.value && !!(e.features & 8)));
  let l = mn();
  function u(y) {
    let w = P(r);
    w && ((v) => v())(() => {
      ee(l.value, { [Me.Forwards]: () => {
        de(w, Y.First, { skipElements: [y.relatedTarget] });
      }, [Me.Backwards]: () => {
        de(w, Y.Last, { skipElements: [y.relatedTarget] });
      } });
    });
  }
  let f = $(!1);
  function b(y) {
    y.key === "Tab" && (f.value = !0, requestAnimationFrame(() => {
      f.value = !1;
    }));
  }
  function m(y) {
    if (!i.value)
      return;
    let w = ia(e.containers);
    P(r) instanceof HTMLElement && w.add(P(r));
    let v = y.relatedTarget;
    v instanceof HTMLElement && v.dataset.headlessuiFocusGuard !== "true" && (ca(w, v) || (f.value ? de(P(r), ee(l.value, { [Me.Forwards]: () => Y.Next, [Me.Backwards]: () => Y.Previous }) | Y.WrapAround, { relativeTo: y.target }) : y.target instanceof HTMLElement && Ce(y.target)));
  }
  return () => {
    let y = {}, w = { ref: r, onKeydown: b, onFocusout: m }, { features: v, initialFocus: g, containers: E, ...M } = e;
    return V(Z, [!!(v & 4) && V(Ue, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: u, features: Ie.Focusable }), Q({ ourProps: w, theirProps: { ...t, ...M }, slot: y, attrs: t, slots: a, name: "FocusTrap" }), !!(v & 4) && V(Ue, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: u, features: Ie.Focusable })]);
  };
} }), { features: sa }), $e = [];
gn(() => {
  function e(t) {
    t.target instanceof HTMLElement && t.target !== document.body && $e[0] !== t.target && ($e.unshift(t.target), $e = $e.filter((a) => a != null && a.isConnected), $e.splice(10));
  }
  window.addEventListener("click", e, { capture: !0 }), window.addEventListener("mousedown", e, { capture: !0 }), window.addEventListener("focus", e, { capture: !0 }), document.body.addEventListener("click", e, { capture: !0 }), document.body.addEventListener("mousedown", e, { capture: !0 }), document.body.addEventListener("focus", e, { capture: !0 });
});
function hn(e) {
  let t = $($e.slice());
  return fe([e], ([a], [n]) => {
    n === !0 && a === !1 ? rt(() => {
      t.value.splice(0);
    }) : n === !1 && a === !0 && (t.value = $e.slice());
  }, { flush: "post" }), () => {
    var a;
    return (a = t.value.find((n) => n != null && n.isConnected)) != null ? a : null;
  };
}
function yn({ ownerDocument: e }, t) {
  let a = hn(t);
  j(() => {
    te(() => {
      var n, r;
      t.value || ((n = e.value) == null ? void 0 : n.activeElement) === ((r = e.value) == null ? void 0 : r.body) && Ce(a());
    }, { flush: "post" });
  }), oe(() => {
    t.value && Ce(a());
  });
}
function wn({ ownerDocument: e, container: t, initialFocus: a }, n) {
  let r = $(null), o = $(!1);
  return j(() => o.value = !0), oe(() => o.value = !1), j(() => {
    fe([t, a, n], (i, s) => {
      if (i.every((u, f) => (s == null ? void 0 : s[f]) === u) || !n.value)
        return;
      let l = P(t);
      l && rt(() => {
        var u, f;
        if (!o.value)
          return;
        let b = P(a), m = (u = e.value) == null ? void 0 : u.activeElement;
        if (b) {
          if (b === m) {
            r.value = m;
            return;
          }
        } else if (l.contains(m)) {
          r.value = m;
          return;
        }
        b ? Ce(b) : de(l, Y.First | Y.NoScroll) === Fe.Error && console.warn("There are no focusable elements inside the <FocusTrap />"), r.value = (f = e.value) == null ? void 0 : f.activeElement;
      });
    }, { immediate: !0, flush: "post" });
  }), r;
}
function Tn({ ownerDocument: e, container: t, containers: a, previousActiveElement: n }, r) {
  var o;
  la((o = e.value) == null ? void 0 : o.defaultView, "focus", (i) => {
    if (!r.value)
      return;
    let s = ia(a);
    P(t) instanceof HTMLElement && s.add(P(t));
    let l = n.value;
    if (!l)
      return;
    let u = i.target;
    u && u instanceof HTMLElement ? ca(s, u) ? (n.value = u, Ce(u)) : (i.preventDefault(), i.stopPropagation(), Ce(l)) : Ce(n.value);
  }, !0);
}
function ca(e, t) {
  for (let a of e)
    if (a.contains(t))
      return !0;
  return !1;
}
let dt = /* @__PURE__ */ new Map(), De = /* @__PURE__ */ new Map();
function Ot(e, t = $(!0)) {
  te((a) => {
    var n;
    if (!t.value)
      return;
    let r = P(e);
    if (!r)
      return;
    a(function() {
      var i;
      if (!r)
        return;
      let s = (i = De.get(r)) != null ? i : 1;
      if (s === 1 ? De.delete(r) : De.set(r, s - 1), s !== 1)
        return;
      let l = dt.get(r);
      l && (l["aria-hidden"] === null ? r.removeAttribute("aria-hidden") : r.setAttribute("aria-hidden", l["aria-hidden"]), r.inert = l.inert, dt.delete(r));
    });
    let o = (n = De.get(r)) != null ? n : 0;
    De.set(r, o + 1), o === 0 && (dt.set(r, { "aria-hidden": r.getAttribute("aria-hidden"), inert: r.inert }), r.setAttribute("aria-hidden", "true"), r.inert = !0);
  });
}
let ua = Symbol("ForcePortalRootContext");
function kn() {
  return J(ua, !1);
}
let mt = _({ name: "ForcePortalRoot", props: { as: { type: [Object, String], default: "template" }, force: { type: Boolean, default: !1 } }, setup(e, { slots: t, attrs: a }) {
  return ce(ua, e.force), () => {
    let { force: n, ...r } = e;
    return Q({ theirProps: r, ourProps: {}, slot: {}, slots: t, attrs: a, name: "ForcePortalRoot" });
  };
} });
function xn(e) {
  let t = Ee(e);
  if (!t) {
    if (e === null)
      return null;
    throw new Error(`[Headless UI]: Cannot find ownerDocument for contextElement: ${e}`);
  }
  let a = t.getElementById("headlessui-portal-root");
  if (a)
    return a;
  let n = t.createElement("div");
  return n.setAttribute("id", "headlessui-portal-root"), t.body.appendChild(n);
}
let da = _({ name: "Portal", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: a }) {
  let n = $(null), r = h(() => Ee(n)), o = kn(), i = J(fa, null), s = $(o === !0 || i == null ? xn(n.value) : i.resolveTarget());
  te(() => {
    o || i != null && (s.value = i.resolveTarget());
  });
  let l = J(gt, null);
  return j(() => {
    let u = P(n);
    u && l && oe(l.register(u));
  }), oe(() => {
    var u, f;
    let b = (u = r.value) == null ? void 0 : u.getElementById("headlessui-portal-root");
    b && s.value === b && s.value.children.length <= 0 && ((f = s.value.parentElement) == null || f.removeChild(s.value));
  }), () => {
    if (s.value === null)
      return null;
    let u = { ref: n, "data-headlessui-portal": "" };
    return V($a, { to: s.value }, Q({ ourProps: u, theirProps: e, slot: {}, attrs: a, slots: t, name: "Portal" }));
  };
} }), gt = Symbol("PortalParentContext");
function _n() {
  let e = J(gt, null), t = $([]);
  function a(o) {
    return t.value.push(o), e && e.register(o), () => n(o);
  }
  function n(o) {
    let i = t.value.indexOf(o);
    i !== -1 && t.value.splice(i, 1), e && e.unregister(o);
  }
  let r = { register: a, unregister: n, portals: t };
  return [t, _({ name: "PortalWrapper", setup(o, { slots: i }) {
    return ce(gt, r), () => {
      var s;
      return (s = i.default) == null ? void 0 : s.call(i);
    };
  } })];
}
let fa = Symbol("PortalGroupContext"), $n = _({ name: "PortalGroup", props: { as: { type: [Object, String], default: "template" }, target: { type: Object, default: null } }, setup(e, { attrs: t, slots: a }) {
  let n = qa({ resolveTarget() {
    return e.target;
  } });
  return ce(fa, n), () => {
    let { target: r, ...o } = e;
    return Q({ theirProps: o, ourProps: {}, slot: {}, attrs: t, slots: a, name: "PortalGroup" });
  };
} }), pa = Symbol("StackContext");
var ht = ((e) => (e[e.Add = 0] = "Add", e[e.Remove = 1] = "Remove", e))(ht || {});
function qn() {
  return J(pa, () => {
  });
}
function Cn({ type: e, enabled: t, element: a, onUpdate: n }) {
  let r = qn();
  function o(...i) {
    n == null || n(...i), r(...i);
  }
  j(() => {
    fe(t, (i, s) => {
      i ? o(0, e, a) : s === !0 && o(1, e, a);
    }, { immediate: !0, flush: "sync" });
  }), oe(() => {
    t.value && o(1, e, a);
  }), ce(pa, o);
}
let ba = Symbol("DescriptionContext");
function En() {
  let e = J(ba, null);
  if (e === null)
    throw new Error("Missing parent");
  return e;
}
function Ln({ slot: e = $({}), name: t = "Description", props: a = {} } = {}) {
  let n = $([]);
  function r(o) {
    return n.value.push(o), () => {
      let i = n.value.indexOf(o);
      i !== -1 && n.value.splice(i, 1);
    };
  }
  return ce(ba, { register: r, slot: e, name: t, props: a }), h(() => n.value.length > 0 ? n.value.join(" ") : void 0);
}
_({ name: "Description", props: { as: { type: [Object, String], default: "p" }, id: { type: String, default: () => `headlessui-description-${ve()}` } }, setup(e, { attrs: t, slots: a }) {
  let n = En();
  return j(() => oe(n.register(e.id))), () => {
    let { name: r = "Description", slot: o = $({}), props: i = {} } = n, { id: s, ...l } = e, u = { ...Object.entries(i).reduce((f, [b, m]) => Object.assign(f, { [b]: k(m) }), {}), id: s };
    return Q({ ourProps: u, theirProps: l, slot: o.value, attrs: t, slots: a, name: r });
  };
} });
function Bn(e) {
  let t = Ca(e.getSnapshot());
  return oe(e.subscribe(() => {
    t.value = e.getSnapshot();
  })), t;
}
function Sn(e, t) {
  let a = e(), n = /* @__PURE__ */ new Set();
  return { getSnapshot() {
    return a;
  }, subscribe(r) {
    return n.add(r), () => n.delete(r);
  }, dispatch(r, ...o) {
    let i = t[r].call(a, ...o);
    i && (a = i, n.forEach((s) => s()));
  } };
}
function Fn() {
  let e;
  return { before({ doc: t }) {
    var a;
    let n = t.documentElement;
    e = ((a = t.defaultView) != null ? a : window).innerWidth - n.clientWidth;
  }, after({ doc: t, d: a }) {
    let n = t.documentElement, r = n.clientWidth - n.offsetWidth, o = e - r;
    a.style(n, "paddingRight", `${o}px`);
  } };
}
function Pn() {
  if (!vn())
    return {};
  let e;
  return { before() {
    e = window.pageYOffset;
  }, after({ doc: t, d: a, meta: n }) {
    function r(i) {
      return n.containers.flatMap((s) => s()).some((s) => s.contains(i));
    }
    if (window.getComputedStyle(t.documentElement).scrollBehavior !== "auto") {
      let i = je();
      i.style(t.documentElement, "scroll-behavior", "auto"), a.add(() => a.microTask(() => i.dispose()));
    }
    a.style(t.body, "marginTop", `-${e}px`), window.scrollTo(0, 0);
    let o = null;
    a.addEventListener(t, "click", (i) => {
      if (i.target instanceof HTMLElement)
        try {
          let s = i.target.closest("a");
          if (!s)
            return;
          let { hash: l } = new URL(s.href), u = t.querySelector(l);
          u && !r(u) && (o = u);
        } catch {
        }
    }, !0), a.addEventListener(t, "touchmove", (i) => {
      i.target instanceof HTMLElement && !r(i.target) && i.preventDefault();
    }, { passive: !1 }), a.add(() => {
      window.scrollTo(0, window.pageYOffset + e), o && o.isConnected && (o.scrollIntoView({ block: "nearest" }), o = null);
    });
  } };
}
function An() {
  return { before({ doc: e, d: t }) {
    t.style(e.documentElement, "overflow", "hidden");
  } };
}
function Dn(e) {
  let t = {};
  for (let a of e)
    Object.assign(t, a(t));
  return t;
}
let qe = Sn(() => /* @__PURE__ */ new Map(), { PUSH(e, t) {
  var a;
  let n = (a = this.get(e)) != null ? a : { doc: e, count: 0, d: je(), meta: /* @__PURE__ */ new Set() };
  return n.count++, n.meta.add(t), this.set(e, n), this;
}, POP(e, t) {
  let a = this.get(e);
  return a && (a.count--, a.meta.delete(t)), this;
}, SCROLL_PREVENT({ doc: e, d: t, meta: a }) {
  let n = { doc: e, d: t, meta: Dn(a) }, r = [Pn(), Fn(), An()];
  r.forEach(({ before: o }) => o == null ? void 0 : o(n)), r.forEach(({ after: o }) => o == null ? void 0 : o(n));
}, SCROLL_ALLOW({ d: e }) {
  e.dispose();
}, TEARDOWN({ doc: e }) {
  this.delete(e);
} });
qe.subscribe(() => {
  let e = qe.getSnapshot(), t = /* @__PURE__ */ new Map();
  for (let [a] of e)
    t.set(a, a.documentElement.style.overflow);
  for (let a of e.values()) {
    let n = t.get(a.doc) === "hidden", r = a.count !== 0;
    (r && !n || !r && n) && qe.dispatch(a.count > 0 ? "SCROLL_PREVENT" : "SCROLL_ALLOW", a), a.count === 0 && qe.dispatch("TEARDOWN", a);
  }
});
function Mn(e, t, a) {
  let n = Bn(qe), r = h(() => {
    let o = e.value ? n.value.get(e.value) : void 0;
    return o ? o.count > 0 : !1;
  });
  return fe([e, t], ([o, i], [s], l) => {
    if (!o || !i)
      return;
    qe.dispatch("PUSH", o, a);
    let u = !1;
    l(() => {
      u || (qe.dispatch("POP", s ?? o, a), u = !0);
    });
  }, { immediate: !0 }), r;
}
function On({ defaultContainers: e = [], portals: t, mainTreeNodeRef: a } = {}) {
  let n = $(null), r = Ee(n);
  function o() {
    var i;
    let s = [];
    for (let l of e)
      l !== null && (l instanceof HTMLElement ? s.push(l) : "value" in l && l.value instanceof HTMLElement && s.push(l.value));
    if (t != null && t.value)
      for (let l of t.value)
        s.push(l);
    for (let l of (i = r == null ? void 0 : r.querySelectorAll("html > *, body > *")) != null ? i : [])
      l !== document.body && l !== document.head && l instanceof HTMLElement && l.id !== "headlessui-portal-root" && (l.contains(P(n)) || s.some((u) => l.contains(u)) || s.push(l));
    return s;
  }
  return { resolveContainers: o, contains(i) {
    return o().some((s) => s.contains(i));
  }, mainTreeNodeRef: n, MainTreeNode() {
    return a != null ? null : V(Ue, { features: Ie.Hidden, ref: n });
  } };
}
var zn = ((e) => (e[e.Open = 0] = "Open", e[e.Closed = 1] = "Closed", e))(zn || {});
let yt = Symbol("DialogContext");
function Ne(e) {
  let t = J(yt, null);
  if (t === null) {
    let a = new Error(`<${e} /> is missing a parent <Dialog /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(a, Ne), a;
  }
  return t;
}
let Ke = "DC8F892D-2EBD-447C-A4C8-A03058436FF4", In = _({ name: "Dialog", inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, open: { type: [Boolean, String], default: Ke }, initialFocus: { type: Object, default: null }, id: { type: String, default: () => `headlessui-dialog-${ve()}` } }, emits: { close: (e) => !0 }, setup(e, { emit: t, attrs: a, slots: n, expose: r }) {
  var o;
  let i = $(!1);
  j(() => {
    i.value = !0;
  });
  let s = $(0), l = Ct(), u = h(() => e.open === Ke && l !== null ? (l.value & re.Open) === re.Open : e.open), f = $(null), b = h(() => Ee(f));
  if (r({ el: f, $el: f }), !(e.open !== Ke || l !== null))
    throw new Error("You forgot to provide an `open` prop to the `Dialog`.");
  if (typeof u.value != "boolean")
    throw new Error(`You provided an \`open\` prop to the \`Dialog\`, but the value is not a boolean. Received: ${u.value === Ke ? void 0 : e.open}`);
  let m = h(() => i.value && u.value ? 0 : 1), y = h(() => m.value === 0), w = h(() => s.value > 1), v = J(yt, null) !== null, [g, E] = _n(), { resolveContainers: M, mainTreeNodeRef: F, MainTreeNode: A } = On({ portals: g, defaultContainers: [h(() => {
    var S;
    return (S = x.panelRef.value) != null ? S : f.value;
  })] }), q = h(() => w.value ? "parent" : "leaf"), N = h(() => l !== null ? (l.value & re.Closing) === re.Closing : !1), ue = h(() => v || N.value ? !1 : y.value), ke = h(() => {
    var S, D, G;
    return (G = Array.from((D = (S = b.value) == null ? void 0 : S.querySelectorAll("body > *")) != null ? D : []).find((ae) => ae.id === "headlessui-portal-root" ? !1 : ae.contains(P(F)) && ae instanceof HTMLElement)) != null ? G : null;
  });
  Ot(ke, ue);
  let Le = h(() => w.value ? !0 : y.value), Be = h(() => {
    var S, D, G;
    return (G = Array.from((D = (S = b.value) == null ? void 0 : S.querySelectorAll("[data-headlessui-portal]")) != null ? D : []).find((ae) => ae.contains(P(F)) && ae instanceof HTMLElement)) != null ? G : null;
  });
  Ot(Be, Le), Cn({ type: "Dialog", enabled: h(() => m.value === 0), element: f, onUpdate: (S, D) => {
    if (D === "Dialog")
      return ee(S, { [ht.Add]: () => s.value += 1, [ht.Remove]: () => s.value -= 1 });
  } });
  let xe = Ln({ name: "DialogDescription", slot: h(() => ({ open: u.value })) }), me = $(null), x = { titleId: me, panelRef: $(null), dialogState: m, setTitleId(S) {
    me.value !== S && (me.value = S);
  }, close() {
    t("close", !1);
  } };
  ce(yt, x);
  let O = h(() => !(!y.value || w.value));
  bn(M, (S, D) => {
    x.close(), Ea(() => D == null ? void 0 : D.focus());
  }, O);
  let I = h(() => !(w.value || m.value !== 0));
  la((o = b.value) == null ? void 0 : o.defaultView, "keydown", (S) => {
    I.value && (S.defaultPrevented || S.key === le.Escape && (S.preventDefault(), S.stopPropagation(), x.close()));
  });
  let W = h(() => !(N.value || m.value !== 0 || v));
  return Mn(b, W, (S) => {
    var D;
    return { containers: [...(D = S.containers) != null ? D : [], M] };
  }), te((S) => {
    if (m.value !== 0)
      return;
    let D = P(f);
    if (!D)
      return;
    let G = new ResizeObserver((ae) => {
      for (let K of ae) {
        let X = K.target.getBoundingClientRect();
        X.x === 0 && X.y === 0 && X.width === 0 && X.height === 0 && x.close();
      }
    });
    G.observe(D), S(() => G.disconnect());
  }), () => {
    let { id: S, open: D, initialFocus: G, ...ae } = e, K = { ...a, ref: f, id: S, role: "dialog", "aria-modal": m.value === 0 ? !0 : void 0, "aria-labelledby": me.value, "aria-describedby": xe.value }, X = { open: m.value === 0 };
    return V(mt, { force: !0 }, () => [V(da, () => V($n, { target: f.value }, () => V(mt, { force: !1 }, () => V(Ae, { initialFocus: G, containers: M, features: y.value ? ee(q.value, { parent: Ae.features.RestoreFocus, leaf: Ae.features.All & ~Ae.features.FocusLock }) : Ae.features.None }, () => V(E, {}, () => Q({ ourProps: K, theirProps: { ...ae, ...a }, slot: X, attrs: a, slots: n, visible: m.value === 0, features: Pe.RenderStrategy | Pe.Static, name: "Dialog" })))))), V(A)]);
  };
} });
_({ name: "DialogOverlay", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-overlay-${ve()}` } }, setup(e, { attrs: t, slots: a }) {
  let n = Ne("DialogOverlay");
  function r(o) {
    o.target === o.currentTarget && (o.preventDefault(), o.stopPropagation(), n.close());
  }
  return () => {
    let { id: o, ...i } = e;
    return Q({ ourProps: { id: o, "aria-hidden": !0, onClick: r }, theirProps: i, slot: { open: n.dialogState.value === 0 }, attrs: t, slots: a, name: "DialogOverlay" });
  };
} });
_({ name: "DialogBackdrop", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-backdrop-${ve()}` } }, inheritAttrs: !1, setup(e, { attrs: t, slots: a, expose: n }) {
  let r = Ne("DialogBackdrop"), o = $(null);
  return n({ el: o, $el: o }), j(() => {
    if (r.panelRef.value === null)
      throw new Error("A <DialogBackdrop /> component is being used, but a <DialogPanel /> component is missing.");
  }), () => {
    let { id: i, ...s } = e, l = { id: i, ref: o, "aria-hidden": !0 };
    return V(mt, { force: !0 }, () => V(da, () => Q({ ourProps: l, theirProps: { ...t, ...s }, slot: { open: r.dialogState.value === 0 }, attrs: t, slots: a, name: "DialogBackdrop" })));
  };
} });
let Un = _({ name: "DialogPanel", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-panel-${ve()}` } }, setup(e, { attrs: t, slots: a, expose: n }) {
  let r = Ne("DialogPanel");
  n({ el: r.panelRef, $el: r.panelRef });
  function o(i) {
    i.stopPropagation();
  }
  return () => {
    let { id: i, ...s } = e, l = { id: i, ref: r.panelRef, onClick: o };
    return Q({ ourProps: l, theirProps: s, slot: { open: r.dialogState.value === 0 }, attrs: t, slots: a, name: "DialogPanel" });
  };
} }), Rn = _({ name: "DialogTitle", props: { as: { type: [Object, String], default: "h2" }, id: { type: String, default: () => `headlessui-dialog-title-${ve()}` } }, setup(e, { attrs: t, slots: a }) {
  let n = Ne("DialogTitle");
  return j(() => {
    n.setTitleId(e.id), oe(() => n.setTitleId(null));
  }), () => {
    let { id: r, ...o } = e;
    return Q({ ourProps: { id: r }, theirProps: o, slot: { open: n.dialogState.value === 0 }, attrs: t, slots: a, name: "DialogTitle" });
  };
} }), Hn = _({ props: { onFocus: { type: Function, required: !0 } }, setup(e) {
  let t = $(!0);
  return () => t.value ? V(Ue, { as: "button", type: "button", features: Ie.Focusable, onFocus(a) {
    a.preventDefault();
    let n, r = 50;
    function o() {
      var i;
      if (r-- <= 0) {
        n && cancelAnimationFrame(n);
        return;
      }
      if ((i = e.onFocus) != null && i.call(e)) {
        t.value = !1, cancelAnimationFrame(n);
        return;
      }
      n = requestAnimationFrame(o);
    }
    n = requestAnimationFrame(o);
  } }) : null;
} });
var jn = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(jn || {}), Nn = ((e) => (e[e.Less = -1] = "Less", e[e.Equal = 0] = "Equal", e[e.Greater = 1] = "Greater", e))(Nn || {});
let va = Symbol("TabsContext");
function Ve(e) {
  let t = J(va, null);
  if (t === null) {
    let a = new Error(`<${e} /> is missing a parent <TabGroup /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(a, Ve), a;
  }
  return t;
}
let Et = Symbol("TabsSSRContext"), Vn = _({ name: "TabGroup", emits: { change: (e) => !0 }, props: { as: { type: [Object, String], default: "template" }, selectedIndex: { type: [Number], default: null }, defaultIndex: { type: [Number], default: 0 }, vertical: { type: [Boolean], default: !1 }, manual: { type: [Boolean], default: !1 } }, inheritAttrs: !1, setup(e, { slots: t, attrs: a, emit: n }) {
  var r;
  let o = $((r = e.selectedIndex) != null ? r : e.defaultIndex), i = $([]), s = $([]), l = h(() => e.selectedIndex !== null), u = h(() => l.value ? e.selectedIndex : o.value);
  function f(v) {
    var g;
    let E = Se(b.tabs.value, P), M = Se(b.panels.value, P), F = E.filter((A) => {
      var q;
      return !((q = P(A)) != null && q.hasAttribute("disabled"));
    });
    if (v < 0 || v > E.length - 1) {
      let A = ee(o.value === null ? 0 : Math.sign(v - o.value), { [-1]: () => 1, 0: () => ee(Math.sign(v), { [-1]: () => 0, 0: () => 0, 1: () => 1 }), 1: () => 0 }), q = ee(A, { 0: () => E.indexOf(F[0]), 1: () => E.indexOf(F[F.length - 1]) });
      q !== -1 && (o.value = q), b.tabs.value = E, b.panels.value = M;
    } else {
      let A = E.slice(0, v), q = [...E.slice(v), ...A].find((ue) => F.includes(ue));
      if (!q)
        return;
      let N = (g = E.indexOf(q)) != null ? g : b.selectedIndex.value;
      N === -1 && (N = b.selectedIndex.value), o.value = N, b.tabs.value = E, b.panels.value = M;
    }
  }
  let b = { selectedIndex: h(() => {
    var v, g;
    return (g = (v = o.value) != null ? v : e.defaultIndex) != null ? g : null;
  }), orientation: h(() => e.vertical ? "vertical" : "horizontal"), activation: h(() => e.manual ? "manual" : "auto"), tabs: i, panels: s, setSelectedIndex(v) {
    u.value !== v && n("change", v), l.value || f(v);
  }, registerTab(v) {
    var g;
    if (i.value.includes(v))
      return;
    let E = i.value[o.value];
    i.value.push(v), i.value = Se(i.value, P);
    let M = (g = i.value.indexOf(E)) != null ? g : o.value;
    M !== -1 && (o.value = M);
  }, unregisterTab(v) {
    let g = i.value.indexOf(v);
    g !== -1 && i.value.splice(g, 1);
  }, registerPanel(v) {
    s.value.includes(v) || (s.value.push(v), s.value = Se(s.value, P));
  }, unregisterPanel(v) {
    let g = s.value.indexOf(v);
    g !== -1 && s.value.splice(g, 1);
  } };
  ce(va, b);
  let m = $({ tabs: [], panels: [] }), y = $(!1);
  j(() => {
    y.value = !0;
  }), ce(Et, h(() => y.value ? null : m.value));
  let w = h(() => e.selectedIndex);
  return j(() => {
    fe([w], () => {
      var v;
      return f((v = e.selectedIndex) != null ? v : e.defaultIndex);
    }, { immediate: !0 });
  }), te(() => {
    if (!l.value || u.value == null || b.tabs.value.length <= 0)
      return;
    let v = Se(b.tabs.value, P);
    v.some((g, E) => P(b.tabs.value[E]) !== P(g)) && b.setSelectedIndex(v.findIndex((g) => P(g) === P(b.tabs.value[u.value])));
  }), () => {
    let v = { selectedIndex: o.value };
    return V(Z, [i.value.length <= 0 && V(Hn, { onFocus: () => {
      for (let g of i.value) {
        let E = P(g);
        if ((E == null ? void 0 : E.tabIndex) === 0)
          return E.focus(), !0;
      }
      return !1;
    } }), Q({ theirProps: { ...a, ...qt(e, ["selectedIndex", "defaultIndex", "manual", "vertical", "onChange"]) }, ourProps: {}, slot: v, slots: t, attrs: a, name: "TabGroup" })]);
  };
} }), Zn = _({ name: "TabList", props: { as: { type: [Object, String], default: "div" } }, setup(e, { attrs: t, slots: a }) {
  let n = Ve("TabList");
  return () => {
    let r = { selectedIndex: n.selectedIndex.value }, o = { role: "tablist", "aria-orientation": n.orientation.value };
    return Q({ ourProps: o, theirProps: e, slot: r, attrs: t, slots: a, name: "TabList" });
  };
} }), Wn = _({ name: "Tab", props: { as: { type: [Object, String], default: "button" }, disabled: { type: [Boolean], default: !1 }, id: { type: String, default: () => `headlessui-tabs-tab-${ve()}` } }, setup(e, { attrs: t, slots: a, expose: n }) {
  let r = Ve("Tab"), o = $(null);
  n({ el: o, $el: o }), j(() => r.registerTab(o)), oe(() => r.unregisterTab(o));
  let i = J(Et), s = h(() => {
    if (i.value) {
      let g = i.value.tabs.indexOf(e.id);
      return g === -1 ? i.value.tabs.push(e.id) - 1 : g;
    }
    return -1;
  }), l = h(() => {
    let g = r.tabs.value.indexOf(o);
    return g === -1 ? s.value : g;
  }), u = h(() => l.value === r.selectedIndex.value);
  function f(g) {
    var E;
    let M = g();
    if (M === Fe.Success && r.activation.value === "auto") {
      let F = (E = Ee(o)) == null ? void 0 : E.activeElement, A = r.tabs.value.findIndex((q) => P(q) === F);
      A !== -1 && r.setSelectedIndex(A);
    }
    return M;
  }
  function b(g) {
    let E = r.tabs.value.map((M) => P(M)).filter(Boolean);
    if (g.key === le.Space || g.key === le.Enter) {
      g.preventDefault(), g.stopPropagation(), r.setSelectedIndex(l.value);
      return;
    }
    switch (g.key) {
      case le.Home:
      case le.PageUp:
        return g.preventDefault(), g.stopPropagation(), f(() => de(E, Y.First));
      case le.End:
      case le.PageDown:
        return g.preventDefault(), g.stopPropagation(), f(() => de(E, Y.Last));
    }
    if (f(() => ee(r.orientation.value, { vertical() {
      return g.key === le.ArrowUp ? de(E, Y.Previous | Y.WrapAround) : g.key === le.ArrowDown ? de(E, Y.Next | Y.WrapAround) : Fe.Error;
    }, horizontal() {
      return g.key === le.ArrowLeft ? de(E, Y.Previous | Y.WrapAround) : g.key === le.ArrowRight ? de(E, Y.Next | Y.WrapAround) : Fe.Error;
    } })) === Fe.Success)
      return g.preventDefault();
  }
  let m = $(!1);
  function y() {
    var g;
    m.value || (m.value = !0, !e.disabled && ((g = P(o)) == null || g.focus({ preventScroll: !0 }), r.setSelectedIndex(l.value), rt(() => {
      m.value = !1;
    })));
  }
  function w(g) {
    g.preventDefault();
  }
  let v = rn(h(() => ({ as: e.as, type: t.type })), o);
  return () => {
    var g;
    let E = { selected: u.value }, { id: M, ...F } = e, A = { ref: o, onKeydown: b, onMousedown: w, onClick: y, id: M, role: "tab", type: v.value, "aria-controls": (g = P(r.panels.value[l.value])) == null ? void 0 : g.id, "aria-selected": u.value, tabIndex: u.value ? 0 : -1, disabled: e.disabled ? !0 : void 0 };
    return Q({ ourProps: A, theirProps: F, slot: E, attrs: t, slots: a, name: "Tab" });
  };
} }), Gn = _({ name: "TabPanels", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: a }) {
  let n = Ve("TabPanels");
  return () => {
    let r = { selectedIndex: n.selectedIndex.value };
    return Q({ theirProps: e, ourProps: {}, slot: r, attrs: a, slots: t, name: "TabPanels" });
  };
} }), Kn = _({ name: "TabPanel", props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, id: { type: String, default: () => `headlessui-tabs-panel-${ve()}` }, tabIndex: { type: Number, default: 0 } }, setup(e, { attrs: t, slots: a, expose: n }) {
  let r = Ve("TabPanel"), o = $(null);
  n({ el: o, $el: o }), j(() => r.registerPanel(o)), oe(() => r.unregisterPanel(o));
  let i = J(Et), s = h(() => {
    if (i.value) {
      let f = i.value.panels.indexOf(e.id);
      return f === -1 ? i.value.panels.push(e.id) - 1 : f;
    }
    return -1;
  }), l = h(() => {
    let f = r.panels.value.indexOf(o);
    return f === -1 ? s.value : f;
  }), u = h(() => l.value === r.selectedIndex.value);
  return () => {
    var f;
    let b = { selected: u.value }, { id: m, tabIndex: y, ...w } = e, v = { ref: o, id: m, role: "tabpanel", "aria-labelledby": (f = P(r.tabs.value[l.value])) == null ? void 0 : f.id, tabIndex: u.value ? y : -1 };
    return !u.value && e.unmount && !e.static ? V(Ue, { as: "span", ...v }) : Q({ ourProps: v, theirProps: w, slot: b, attrs: t, slots: a, features: Pe.Static | Pe.RenderStrategy, visible: u.value, name: "TabPanel" });
  };
} });
function Xn(e) {
  let t = { called: !1 };
  return (...a) => {
    if (!t.called)
      return t.called = !0, e(...a);
  };
}
function ft(e, ...t) {
  e && t.length > 0 && e.classList.add(...t);
}
function Xe(e, ...t) {
  e && t.length > 0 && e.classList.remove(...t);
}
var wt = ((e) => (e.Finished = "finished", e.Cancelled = "cancelled", e))(wt || {});
function Yn(e, t) {
  let a = je();
  if (!e)
    return a.dispose;
  let { transitionDuration: n, transitionDelay: r } = getComputedStyle(e), [o, i] = [n, r].map((s) => {
    let [l = 0] = s.split(",").filter(Boolean).map((u) => u.includes("ms") ? parseFloat(u) : parseFloat(u) * 1e3).sort((u, f) => f - u);
    return l;
  });
  return o !== 0 ? a.setTimeout(() => t("finished"), o + i) : t("finished"), a.add(() => t("cancelled")), a.dispose;
}
function zt(e, t, a, n, r, o) {
  let i = je(), s = o !== void 0 ? Xn(o) : () => {
  };
  return Xe(e, ...r), ft(e, ...t, ...a), i.nextFrame(() => {
    Xe(e, ...a), ft(e, ...n), i.add(Yn(e, (l) => (Xe(e, ...n, ...t), ft(e, ...r), s(l))));
  }), i.add(() => Xe(e, ...t, ...a, ...n, ...r)), i.add(() => s("cancelled")), i.dispose;
}
function _e(e = "") {
  return e.split(" ").filter((t) => t.trim().length > 1);
}
let Lt = Symbol("TransitionContext");
var Qn = ((e) => (e.Visible = "visible", e.Hidden = "hidden", e))(Qn || {});
function Jn() {
  return J(Lt, null) !== null;
}
function eo() {
  let e = J(Lt, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
function to() {
  let e = J(Bt, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
let Bt = Symbol("NestingContext");
function nt(e) {
  return "children" in e ? nt(e.children) : e.value.filter(({ state: t }) => t === "visible").length > 0;
}
function ma(e) {
  let t = $([]), a = $(!1);
  j(() => a.value = !0), oe(() => a.value = !1);
  function n(o, i = we.Hidden) {
    let s = t.value.findIndex(({ id: l }) => l === o);
    s !== -1 && (ee(i, { [we.Unmount]() {
      t.value.splice(s, 1);
    }, [we.Hidden]() {
      t.value[s].state = "hidden";
    } }), !nt(t) && a.value && (e == null || e()));
  }
  function r(o) {
    let i = t.value.find(({ id: s }) => s === o);
    return i ? i.state !== "visible" && (i.state = "visible") : t.value.push({ id: o, state: "visible" }), () => n(o, we.Unmount);
  }
  return { children: t, register: r, unregister: n };
}
let ga = Pe.RenderStrategy, Tt = _({ props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: a, slots: n, expose: r }) {
  let o = $(0);
  function i() {
    o.value |= re.Opening, t("beforeEnter");
  }
  function s() {
    o.value &= ~re.Opening, t("afterEnter");
  }
  function l() {
    o.value |= re.Closing, t("beforeLeave");
  }
  function u() {
    o.value &= ~re.Closing, t("afterLeave");
  }
  if (!Jn() && tn())
    return () => V(ha, { ...e, onBeforeEnter: i, onAfterEnter: s, onBeforeLeave: l, onAfterLeave: u }, n);
  let f = $(null), b = h(() => e.unmount ? we.Unmount : we.Hidden);
  r({ el: f, $el: f });
  let { show: m, appear: y } = eo(), { register: w, unregister: v } = to(), g = $(m.value ? "visible" : "hidden"), E = { value: !0 }, M = ve(), F = { value: !1 }, A = ma(() => {
    !F.value && g.value !== "hidden" && (g.value = "hidden", v(M), u());
  });
  j(() => {
    let x = w(M);
    oe(x);
  }), te(() => {
    if (b.value === we.Hidden && M) {
      if (m.value && g.value !== "visible") {
        g.value = "visible";
        return;
      }
      ee(g.value, { hidden: () => v(M), visible: () => w(M) });
    }
  });
  let q = _e(e.enter), N = _e(e.enterFrom), ue = _e(e.enterTo), ke = _e(e.entered), Le = _e(e.leave), Be = _e(e.leaveFrom), xe = _e(e.leaveTo);
  j(() => {
    te(() => {
      if (g.value === "visible") {
        let x = P(f);
        if (x instanceof Comment && x.data === "")
          throw new Error("Did you forget to passthrough the `ref` to the actual DOM node?");
      }
    });
  });
  function me(x) {
    let O = E.value && !y.value, I = P(f);
    !I || !(I instanceof HTMLElement) || O || (F.value = !0, m.value && i(), m.value || l(), x(m.value ? zt(I, q, N, ue, ke, (W) => {
      F.value = !1, W === wt.Finished && s();
    }) : zt(I, Le, Be, xe, ke, (W) => {
      F.value = !1, W === wt.Finished && (nt(A) || (g.value = "hidden", v(M), u()));
    })));
  }
  return j(() => {
    fe([m], (x, O, I) => {
      me(I), E.value = !1;
    }, { immediate: !0 });
  }), ce(Bt, A), an(h(() => ee(g.value, { visible: re.Open, hidden: re.Closed }) | o.value)), () => {
    let { appear: x, show: O, enter: I, enterFrom: W, enterTo: S, entered: D, leave: G, leaveFrom: ae, leaveTo: K, ...X } = e, wa = { ref: f }, Ta = { ...X, ...y.value && m.value && He.isServer ? { class: L([a.class, X.class, ...q, ...N]) } : {} };
    return Q({ theirProps: Ta, ourProps: wa, slot: {}, slots: n, attrs: a, features: ga, visible: g.value === "visible", name: "TransitionChild" });
  };
} }), ao = Tt, ha = _({ inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: a, slots: n }) {
  let r = Ct(), o = h(() => e.show === null && r !== null ? (r.value & re.Open) === re.Open : e.show);
  te(() => {
    if (![!0, !1].includes(o.value))
      throw new Error('A <Transition /> is used but it is missing a `:show="true | false"` prop.');
  });
  let i = $(o.value ? "visible" : "hidden"), s = ma(() => {
    i.value = "hidden";
  }), l = $(!0), u = { show: o, appear: h(() => e.appear || !l.value) };
  return j(() => {
    te(() => {
      l.value = !1, o.value ? i.value = "visible" : nt(s) || (i.value = "hidden");
    });
  }), ce(Bt, s), ce(Lt, u), () => {
    let f = qt(e, ["show", "appear", "unmount", "onBeforeEnter", "onBeforeLeave", "onAfterEnter", "onAfterLeave"]), b = { unmount: e.unmount };
    return Q({ ourProps: { ...b, as: "template" }, theirProps: {}, slot: {}, slots: { ...n, default: () => [V(ao, { onBeforeEnter: () => t("beforeEnter"), onAfterEnter: () => t("afterEnter"), onBeforeLeave: () => t("beforeLeave"), onAfterLeave: () => t("afterLeave"), ...a, ...b, ...f }, n.default)] }, attrs: {}, features: ga, visible: i.value === "visible", name: "Transition" });
  };
} });
const ro = { class: "flex h-[100dvh] w-[100dvw] items-center justify-center overflow-hidden" }, no = /* @__PURE__ */ p("div", { class: "bcc-modal-overlay" }, null, -1), oo = { class: "bcc-modal-wrapper" }, lo = {
  key: 0,
  class: "bcc-modal-header"
}, io = {
  key: 1,
  class: "bcc-modal-body"
}, so = {
  key: 0,
  class: "bcc-modal-title"
}, co = { class: "bcc-modal-content" }, uo = { class: "bcc-modal-footer" }, fo = {
  key: 0,
  class: "bcc-modal-footer-content"
}, po = { class: "bcc-modal-actions" }, bo = {
  key: 0,
  class: "bcc-modal-secondary-action"
}, vo = { class: "bcc-modal-primary-action" }, b0 = /* @__PURE__ */ _({
  inheritAttrs: !1,
  __name: "BccModal",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !0 },
    closeOnOutsideClick: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const a = e, n = t, r = Ut(), o = h(() => a.closeButton && !r.header), i = () => {
      a.closeOnOutsideClick && n("close");
    };
    return (s, l) => (c(), B(k(ha), {
      as: "template",
      show: s.open
    }, {
      default: z(() => [
        U(k(In), {
          as: "div",
          class: "bcc-modal-overlay-wrapper",
          onClose: i
        }, {
          default: z(() => [
            p("div", ro, [
              U(k(Tt), {
                as: "div",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0",
                "enter-to": "opacity-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100",
                "leave-to": "opacity-0"
              }, {
                default: z(() => [
                  no
                ]),
                _: 1
              }),
              U(k(Tt), {
                as: "template",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95",
                "enter-to": "opacity-100 translate-y-0 sm:scale-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100 translate-y-0 sm:scale-100",
                "leave-to": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
              }, {
                default: z(() => [
                  p("div", oo, [
                    U(k(Un), Te({ class: "bcc-modal" }, s.$attrs), {
                      default: z(() => [
                        s.$slots.header ? (c(), d("div", lo, [
                          R(s.$slots, "header")
                        ])) : T("", !0),
                        s.title || o.value || k(r).default ? (c(), d("div", io, [
                          s.title || o.value ? (c(), d("div", so, [
                            U(k(Rn), { as: "h3" }, {
                              default: z(() => [
                                se(C(s.title), 1)
                              ]),
                              _: 1
                            }),
                            o.value ? (c(), d("button", {
                              key: 0,
                              onClick: l[0] || (l[0] = kt((u) => n("close"), ["prevent"])),
                              class: "bcc-modal-close-button",
                              "aria-label": "Close modal window"
                            }, [
                              U(k(Re), { class: "bcc-modal-close-icon" })
                            ])) : T("", !0)
                          ])) : T("", !0),
                          p("div", co, [
                            R(s.$slots, "default")
                          ])
                        ])) : T("", !0),
                        p("div", uo, [
                          s.$slots.footer ? (c(), d("div", fo, [
                            R(s.$slots, "footer")
                          ])) : T("", !0),
                          p("div", po, [
                            s.$slots.secondaryAction ? (c(), d("div", bo, [
                              R(s.$slots, "secondaryAction")
                            ])) : T("", !0),
                            p("div", vo, [
                              R(s.$slots, "primaryAction", {}, () => [
                                U(Qe, {
                                  onClick: l[1] || (l[1] = (u) => n("close"))
                                }, {
                                  default: z(() => [
                                    se(" OK ")
                                  ]),
                                  _: 1
                                })
                              ])
                            ])
                          ])
                        ])
                      ]),
                      _: 3
                    }, 16)
                  ])
                ]),
                _: 3
              })
            ])
          ]),
          _: 3
        })
      ]),
      _: 3
    }, 8, ["show"]));
  }
}), mo = { key: 1 }, go = /* @__PURE__ */ _({
  __name: "BccPin",
  props: {
    icon: {},
    context: { default: "neutral" },
    contrast: { default: "light" },
    size: { default: "base" },
    text: {},
    bordered: { type: Boolean, default: !1 },
    squared: { type: Boolean, default: !1 }
  },
  setup(e) {
    const t = {
      neutral: "bcc-pin-neutral",
      danger: "bcc-pin-danger",
      warning: "bcc-pin-warning",
      success: "bcc-pin-success",
      info: "bcc-pin-info",
      "muddy-waters": "bcc-pin-muddy-waters",
      mongoose: "bcc-pin-mongoose",
      brand: "bcc-pin-brand"
    };
    return (a, n) => (c(), d("div", {
      class: L(["bcc-pin", [
        t[a.context],
        a.contrast,
        a.size,
        {
          bordered: a.bordered,
          squared: a.squared,
          "bcc-pin-text": !a.icon && a.text && String(a.text).length > 1
        }
      ]])
    }, [
      a.icon ? (c(), B(ne(a.icon), {
        key: 0,
        class: "bcc-pin-icon"
      })) : a.text ? (c(), d("span", mo, C(a.text), 1)) : T("", !0)
    ], 2));
  }
}), ho = ["disabled", "value", "checked"], yo = {
  inheritAttrs: !1
}, v0 = /* @__PURE__ */ _({
  ...yo,
  __name: "BccRadio",
  props: {
    modelValue: {},
    value: {},
    label: {},
    disabled: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const a = e, n = `bcc-radio-${at()}`, r = t, { attrs: o, attrsWithoutStyles: i } = tt(), s = h(() => {
      const l = [];
      return a.disabled && l.push("bcc-radio-wrapper-disabled"), o.class && l.push(o.class), l;
    });
    return (l, u) => (c(), d("div", {
      class: L(["bcc-radio-wrapper", s.value]),
      style: be(l.$attrs.style)
    }, [
      p("input", Te({
        type: "radio",
        class: "bcc-radio",
        id: n,
        disabled: l.disabled,
        value: l.value,
        checked: l.modelValue == l.value,
        onInput: u[0] || (u[0] = (f) => r("update:modelValue", l.value))
      }, k(i)), null, 16, ho),
      l.label ? (c(), d("label", {
        key: 0,
        for: n
      }, C(l.label), 1)) : T("", !0)
    ], 6));
  }
}), wo = ["disabled", "required", "multiple"], To = {
  inheritAttrs: !1
}, ko = /* @__PURE__ */ _({
  ...To,
  __name: "BccSelect",
  props: /* @__PURE__ */ ze({
    state: { default: "default" },
    size: { default: "base" },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 },
    multiple: { type: Boolean, default: !1 }
  }, {
    modelValue: { default: null },
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(e) {
    const t = e, a = `bcc-input-${at()}`, n = et(e, "modelValue"), r = h(() => t.showOptionalLabel && !t.required), { attrsWithoutStyles: o } = tt();
    return (i, s) => (c(), d("div", {
      class: L(["bcc-input-container", i.$attrs.class]),
      style: be(i.$attrs.style)
    }, [
      i.label || r.value ? (c(), B($t, {
        key: 0,
        for: a,
        size: i.size === "lg" ? "lg" : void 0,
        showOptionalLabel: r.value,
        optionalLabel: i.optionalLabel
      }, {
        default: z(() => [
          se(C(i.label), 1)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : T("", !0),
      ye(p("select", Te({
        class: ["bcc-select", {
          "bcc-select-error": i.state === "error",
          "bcc-select-success": i.state === "success",
          "bcc-select-sm": i.size === "sm",
          "bcc-select-lg": i.size === "lg"
        }],
        id: a,
        disabled: i.disabled,
        required: i.required,
        multiple: i.multiple,
        "onUpdate:modelValue": s[0] || (s[0] = (l) => n.value = l)
      }, k(o)), [
        R(i.$slots, "default")
      ], 16, wo), [
        [La, n.value]
      ]),
      i.$slots.message ? (c(), B(ea, {
        key: 1,
        state: i.state
      }, {
        default: z(() => [
          R(i.$slots, "message")
        ]),
        _: 3
      }, 8, ["state"])) : T("", !0)
    ], 6));
  }
}), m0 = /* @__PURE__ */ _({
  __name: "BccStatusIndicator",
  props: {
    status: { default: "default" },
    icon: {},
    size: { default: "base" }
  },
  setup(e) {
    return (t, a) => (c(), d("div", {
      class: L(["bcc-status-indicator", {
        "bcc-status-indicator-lg": t.size === "lg",
        "bcc-status-indicator-success": t.status === "success",
        "bcc-status-indicator-danger": t.status === "danger"
      }])
    }, [
      t.icon ? (c(), B(ne(t.icon), {
        key: 0,
        class: "bcc-status-indicator-icon"
      })) : t.status == "default" ? (c(), B(k(_r), {
        key: 1,
        class: "bcc-status-indicator-icon"
      })) : t.status == "success" ? (c(), B(k(Jt), {
        key: 2,
        class: "bcc-status-indicator-icon"
      })) : t.status == "danger" ? (c(), B(k(Tr), {
        key: 3,
        class: "bcc-status-indicator-icon"
      })) : T("", !0)
    ], 2));
  }
}), xo = { class: "bcc-table-wrapper" }, _o = { class: "bcc-table" }, $o = { class: "bcc-table-header-row" }, qo = ["onClick"], Co = { class: "bcc-table-header-content" }, Eo = {
  key: 0,
  "aria-label": "Sort column",
  class: "bcc-table-header-sort"
}, Lo = { key: 1 }, g0 = /* @__PURE__ */ _({
  __name: "BccTable",
  props: {
    columns: {},
    items: {},
    sortBy: {},
    sortDirection: { default: "descending" }
  },
  emits: ["update:sortBy", "update:sortDirection"],
  setup(e, { emit: t }) {
    const a = e, { columns: n, items: r, sortBy: o, sortDirection: i } = Je(a), s = t;
    function l(b, m) {
      return m.split(".").reduce((w, v) => w[v], b);
    }
    const u = h(() => {
      if ((o == null ? void 0 : o.value) == null)
        return r.value;
      const b = n.value.find((y) => y.key == o.value);
      if (!b)
        throw "Sorting by unknown column";
      const m = [...r.value];
      return b.sortMethod ? m.sort(b.sortMethod) : m.sort((y, w) => {
        const v = l(y, b.key), g = l(w, b.key);
        return v < g ? i.value == "descending" ? 1 : -1 : v > g ? i.value == "descending" ? -1 : 1 : 0;
      });
    });
    function f(b) {
      if (b.sortable !== !1) {
        if ((o == null ? void 0 : o.value) == b.key && i.value === "descending") {
          s("update:sortDirection", "descending"), s("update:sortBy", void 0);
          return;
        }
        if ((o == null ? void 0 : o.value) == b.key) {
          s("update:sortDirection", "descending");
          return;
        }
        s("update:sortDirection", "ascending"), s("update:sortBy", b.key);
      }
    }
    return (b, m) => (c(), d("div", xo, [
      p("table", _o, [
        p("thead", null, [
          p("tr", $o, [
            (c(!0), d(Z, null, ie(k(n), (y) => (c(), d("th", {
              scope: "col",
              class: L(["bcc-table-header", { "bcc-table-header-sortable": y.sortable !== !1 }]),
              key: y.key,
              onClick: (w) => f(y)
            }, [
              p("div", Co, [
                se(C(y.text) + " ", 1),
                y.sortable !== !1 ? (c(), d("button", Eo, [
                  k(o) !== y.key ? (c(), B(k($r), {
                    key: 0,
                    class: "bcc-table-header-sort-icon bcc-table-header-sort-icon-undetermined"
                  })) : T("", !0),
                  k(o) == y.key && k(i) == "ascending" ? (c(), B(k(br), {
                    key: 1,
                    class: "bcc-table-header-sort-icon"
                  })) : T("", !0),
                  k(o) == y.key && k(i) == "descending" ? (c(), B(k(dr), {
                    key: 2,
                    class: "bcc-table-header-sort-icon"
                  })) : T("", !0)
                ])) : T("", !0)
              ])
            ], 10, qo))), 128))
          ])
        ]),
        p("tbody", null, [
          (c(!0), d(Z, null, ie(u.value, (y, w) => (c(), d("tr", { key: w }, [
            (c(!0), d(Z, null, ie(k(n), (v) => (c(), d("td", {
              class: "bcc-table-cell",
              key: v.key
            }, [
              b.$slots[`item.${v.key}`] ? R(b.$slots, `item.${v.key}`, {
                key: 0,
                item: y
              }) : (c(), d("span", Lo, C(l(y, v.key)), 1))
            ]))), 128))
          ]))), 128))
        ])
      ])
    ]));
  }
}), Bo = {
  key: 0,
  class: "bcc-tabs-bar-icon"
}, h0 = /* @__PURE__ */ _({
  __name: "BccTabs",
  props: {
    tabs: {},
    size: { default: "base" },
    fill: { type: Boolean, default: !1 }
  },
  setup(e) {
    const t = {
      sm: "bcc-tabs-sm text-label-sm",
      base: "text-label",
      lg: "bcc-tabs-lg text-label-lg"
    };
    return (a, n) => (c(), B(k(Vn), {
      as: "div",
      class: L(["bcc-tabs", { "bcc-tabs-fill": a.fill }])
    }, {
      default: z(() => [
        U(k(Zn), {
          as: "div",
          class: L(["bcc-tabs-bar", `bcc-tabs-bar--${a.tabs.length}`])
        }, {
          default: z(() => [
            (c(!0), d(Z, null, ie(a.tabs, (r, o) => (c(), B(k(Wn), {
              disabled: !!r.disabled,
              key: o,
              as: "template"
            }, {
              default: z(({ selected: i }) => [
                p("div", {
                  class: L(["bcc-tabs-bar-item", [
                    {
                      "bcc-tabs-bar-item--active": i,
                      "bcc-tabs-bar-item--disabled": !!r.disabled
                    },
                    t[a.size]
                  ]])
                }, [
                  r.icon ? (c(), d("div", Bo, [
                    (c(), B(ne(r.icon)))
                  ])) : T("", !0),
                  se(" " + C(r.title) + " ", 1),
                  r.pin ? (c(), B(k(go), Te({
                    key: 1,
                    class: "bcc-tabs-item-right",
                    ref_for: !0
                  }, r.pin), null, 16)) : T("", !0),
                  r.badge ? (c(), B(k(Sr), Te({
                    key: 2,
                    class: "bcc-tabs-item-right",
                    ref_for: !0
                  }, r.badge), {
                    default: z(() => [
                      se(C(r.badge.text), 1)
                    ]),
                    _: 2
                  }, 1040)) : T("", !0)
                ], 2)
              ]),
              _: 2
            }, 1032, ["disabled"]))), 128))
          ]),
          _: 1
        }, 8, ["class"]),
        U(k(Gn), { class: "bcc-tabs-panels" }, {
          default: z(() => [
            (c(!0), d(Z, null, ie(a.tabs, (r, o) => (c(), B(k(Kn), {
              key: `tab-${o + 1}`,
              class: "bcc-tabs-panel"
            }, {
              default: z(() => [
                R(a.$slots, `tab-${o + 1}`, { tab: r }, () => [
                  r.as ? (c(), B(ne(r.as), { key: 0 })) : T("", !0)
                ])
              ]),
              _: 2
            }, 1024))), 128))
          ]),
          _: 3
        })
      ]),
      _: 3
    }, 8, ["class"]));
  }
}), So = (e, t) => {
  const a = e.__vccOpts || e;
  for (const [n, r] of t)
    a[n] = r;
  return a;
}, Fo = {}, Po = {
  fill: "none",
  viewBox: "0 0 58 58",
  "aria-hidden": "true"
}, Ao = /* @__PURE__ */ Ht('<g transform="translate(2 1)" stroke="currentColor" stroke-width="1.5" class="h-3 w-3"><circle cx="42.601" cy="11.462" r="5" fill-opacity="1" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="1;0;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="49.063" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;1;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="42.601" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;1;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="49.125" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;1;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;1;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="4.938" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;1;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="11.462" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;1;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="5" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;0;1" calcMode="linear" repeatCount="indefinite"></animate></circle></g>', 1), Do = [
  Ao
];
function Mo(e, t) {
  return c(), d("svg", Po, Do);
}
const Oo = /* @__PURE__ */ So(Fo, [["render", Mo]]), zo = ["disabled"], Io = {
  class: "bcc-toggle-circle",
  "aria-hidden": "true"
}, Uo = {
  key: 0,
  class: "bcc-toggle-label"
}, y0 = /* @__PURE__ */ _({
  __name: "BccToggle",
  props: {
    modelValue: { type: Boolean },
    wasToggled: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    withIcon: { type: Boolean, default: !0 },
    label: { default: "" }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const a = e, { modelValue: n, wasToggled: r, disabled: o, loading: i } = Je(a), s = t, l = h({
      get() {
        return !!n.value;
      },
      set(u) {
        s("update:modelValue", u);
      }
    });
    return (u, f) => (c(), d("label", {
      class: L(["bcc-toggle", { "bcc-toggle-was-toggled": k(r) }])
    }, [
      ye(p("input", {
        type: "checkbox",
        class: "bcc-toggle-input",
        disabled: k(i) || k(o),
        "onUpdate:modelValue": f[0] || (f[0] = (b) => l.value = b)
      }, null, 8, zo), [
        [Rt, l.value]
      ]),
      p("span", Io, [
        k(i) ? (c(), B(Oo, {
          key: 0,
          class: "h-3 w-3"
        })) : u.withIcon ? (c(), d(Z, { key: 1 }, [
          U(k(Jt), { class: "hidden h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:block" }),
          U(k(Re), { class: "h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:hidden" })
        ], 64)) : T("", !0)
      ]),
      u.label ? (c(), d("span", Uo, C(u.label), 1)) : T("", !0)
    ], 2));
  }
}), Ro = {
  key: 0,
  class: "bcc-banner"
}, Ho = { class: "bcc-banner-header" }, jo = { class: "bcc-banner-title" }, No = {
  key: 0,
  class: "bcc-banner-actions"
}, w0 = /* @__PURE__ */ _({
  __name: "BccBanner",
  props: {
    title: {},
    variant: { default: "default" },
    icon: {},
    closeButton: { type: Boolean, default: !0 },
    closeOnAction: { type: Boolean, default: !0 },
    actions: {},
    open: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const a = e, n = t, r = {
      default: "bcc-banner-default",
      notification: "bcc-banner-notification"
    };
    function o(i) {
      i.onClick && i.onClick(), a.closeOnAction && n("close", i);
    }
    return (i, s) => (c(), B(Oe, { name: "bcc-close" }, {
      default: z(() => [
        i.open ? (c(), d("div", Ro, [
          p("div", Ho, [
            i.icon ? (c(), B(ne(i.icon), {
              key: 0,
              class: "bcc-banner-icon"
            })) : T("", !0),
            p("h5", jo, C(i.title), 1),
            i.closeButton ? (c(), d("button", {
              key: 1,
              onClick: s[0] || (s[0] = kt((l) => n("close"), ["prevent"])),
              "aria-label": "Close banner",
              class: "bcc-banner-close-button"
            }, [
              U(k(Re), { class: "bcc-banner-close-icon" })
            ])) : T("", !0)
          ]),
          p("div", {
            class: L(r[i.variant])
          }, [
            R(i.$slots, "default"),
            i.actions && i.actions.length ? (c(), d("div", No, [
              (c(!0), d(Z, null, ie(i.actions, (l, u) => (c(), B(Qe, {
                key: u,
                icon: l.icon,
                "icon-right": "",
                size: "sm",
                variant: i.variant === "notification" ? "tertiary" : "secondary",
                onClick: (f) => o(l)
              }, {
                default: z(() => [
                  se(C(l.label), 1)
                ]),
                _: 2
              }, 1032, ["icon", "variant", "onClick"]))), 128))
            ])) : T("", !0)
          ], 2)
        ])) : T("", !0)
      ]),
      _: 3
    }));
  }
}), Vo = /* @__PURE__ */ p("path", {
  d: "M100 50C100 77.6142 77.6142 100 50 100C22.3858 100 0 77.6142 0 50C0 22.3858 22.3858 0 50 0C77.6142 0 100 22.3858 100 50ZM9.08144 50C9.08144 72.5987 27.4013 90.9186 50 90.9186C72.5987 90.9186 90.9186 72.5987 90.9186 50C90.9186 27.4013 72.5987 9.08144 50 9.08144C27.4013 9.08144 9.08144 27.4013 9.08144 50Z",
  fill: "currentColor",
  class: "bcc-spinner-circle"
}, null, -1), Zo = /* @__PURE__ */ p("path", {
  d: "M93.9676 38.4501C96.393 37.813 97.8624 35.3208 97.0079 32.9631C95.2932 28.2319 92.871 23.7784 89.8167 19.7572C85.8452 14.5284 80.8826 10.133 75.2124 6.82206C69.5422 3.51112 63.2754 1.34943 56.7698 0.460415C51.7666 -0.223279 46.6976 -0.143977 41.7345 0.687907C39.2613 1.10246 37.813 3.60696 38.4501 6.03244C39.0873 8.45792 41.5694 9.8809 44.0505 9.51628C47.8511 8.95773 51.7191 8.93607 55.5402 9.45823C60.8642 10.1858 65.9928 11.9548 70.6331 14.6644C75.2735 17.374 79.3347 20.971 82.5849 25.2501C84.9175 28.3212 86.7997 31.7005 88.1811 35.285C89.083 37.625 91.5421 39.0873 93.9676 38.4501Z",
  fill: "currentColor",
  class: "bcc-spinner-progress"
}, null, -1), T0 = /* @__PURE__ */ _({
  __name: "BccSpinner",
  props: {
    size: { default: "base" }
  },
  setup(e) {
    const t = {
      xs: "bcc-spinner-xs",
      sm: "bcc-spinner-sm",
      base: "bcc-spinner-base",
      lg: "bcc-spinner-lg",
      xl: "bcc-spinner-xl"
    };
    return (a, n) => (c(), d("svg", {
      class: L([[t[a.size]], "bcc-spinner"]),
      xmlns: "http://www.w3.org/2000/svg",
      width: "100",
      height: "100",
      viewBox: "0 0 100 100",
      fill: "none"
    }, [
      se(" > "),
      Vo,
      Zo
    ], 2));
  }
}), Wo = { class: "bcc-progress-container" }, Go = { key: 0 }, Ko = { class: "bcc-progress" }, k0 = /* @__PURE__ */ _({
  __name: "BccProgress",
  props: {
    value: { default: 0 },
    max: { default: 100 },
    size: { default: "base" },
    showValues: { type: Boolean, default: !0 },
    showPercentage: { type: Boolean, default: !0 },
    overflow: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e, a = h(() => t.value > t.max && !t.overflow ? 100 : t.value / t.max * 100), n = h(() => t.value > t.max ? 100 : a.value);
    return (r, o) => (c(), d("div", Wo, [
      r.showPercentage || r.showValues ? (c(), B($t, {
        key: 0,
        size: r.size,
        showOptionalLabel: r.showPercentage,
        optionalLabel: Math.round(a.value) + "%"
      }, {
        default: z(() => [
          r.showValues ? (c(), d("span", Go, C(t.value.toLocaleString()) + " / " + C(t.max.toLocaleString()), 1)) : T("", !0)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : T("", !0),
      p("div", Ko, [
        p("div", {
          class: "bcc-progress-bar",
          style: be({ width: n.value + "%" })
        }, null, 4)
      ])
    ]));
  }
}), Xo = {
  key: 0,
  class: "mx-1 text-xs"
}, Yo = /* @__PURE__ */ _({
  __name: "BccReactEmoji",
  props: {
    id: {},
    emoji: {},
    count: {},
    selected: { type: Boolean }
  },
  setup(e) {
    const t = e, a = $(!1);
    return fe(
      () => t.count,
      () => {
        a.value = !0, setTimeout(() => {
          a.value = !1;
        }, 1e3);
      }
    ), (n, r) => (c(), d("button", {
      class: L(["bcc-react-emoji-list-item", {
        "bcc-react-emoji-list-item--selected": n.selected,
        "animate-wiggle": a.value
      }])
    }, [
      p("span", null, C(n.emoji), 1),
      n.count && n.count > 1 ? (c(), d("span", Xo, C(n.count), 1)) : T("", !0)
    ], 2));
  }
}), Qo = { class: "bcc-react" }, Jo = {
  class: "bcc-react-list",
  key: "list"
}, el = {
  key: 1,
  class: "bcc-react-empty"
}, tl = ["onClick"], x0 = /* @__PURE__ */ _({
  __name: "BccReact",
  props: {
    emojis: {},
    top: { type: Boolean, default: !1 },
    placeholder: { default: "Be the first to react 😉" }
  },
  emits: ["toggle"],
  setup(e, { emit: t }) {
    const a = e, n = t, r = h(() => {
      const s = a.emojis.filter((l) => l.count && l.count > 0);
      return s.sort((l, u) => u.count - l.count), s;
    }), o = $(!1);
    function i(s) {
      n("toggle", s.id), setTimeout(() => {
        o.value = !1;
      }, 250);
    }
    return (s, l) => (c(), d("div", Qo, [
      U(ot, { name: "bcc-fade" }, {
        default: z(() => [
          o.value || s.emojis.some((u) => !u.selected) ? (c(), d("button", {
            key: "toggle",
            onClick: l[0] || (l[0] = (u) => o.value = !o.value),
            class: L(["bcc-react-toggle", [s.top ? "rounded-b-full" : "rounded-t-full"]])
          }, [
            o.value ? (c(), B(k(sr), {
              key: 0,
              class: "w-6"
            })) : (c(), B(k(cr), {
              key: 1,
              class: "w-6"
            }))
          ], 2)) : T("", !0),
          p("div", Jo, [
            r.value.length > 0 ? (c(), B(ot, {
              key: 0,
              name: "bcc-explode",
              appear: ""
            }, {
              default: z(() => [
                (c(!0), d(Z, null, ie(r.value, (u) => (c(), B(Ba, {
                  key: u.id
                }, [
                  U(Yo, Te({
                    onClick: (f) => i(u),
                    ref_for: !0
                  }, u), null, 16, ["onClick"])
                ], 1024))), 128))
              ]),
              _: 1
            })) : s.placeholder ? (c(), d("p", el, [
              U(k(wr), { class: "mr-1 w-4" }),
              se(" " + C(s.placeholder), 1)
            ])) : T("", !0)
          ])
        ]),
        _: 1
      }),
      U(Oe, { name: "bcc-scale-fast" }, {
        default: z(() => [
          o.value ? (c(), d("div", {
            key: "list",
            class: L(["bcc-react-selector", { "bcc-react-selector--top": s.top }])
          }, [
            U(ot, { name: "bcc-explode" }, {
              default: z(() => [
                (c(!0), d(Z, null, ie(s.emojis, (u) => (c(), d(Z, {
                  key: u.id
                }, [
                  u.selected ? T("", !0) : (c(), d("button", {
                    key: 0,
                    onClick: (f) => i(u),
                    class: "bcc-react-selector-item"
                  }, C(u.emoji), 9, tl))
                ], 64))), 128))
              ]),
              _: 1
            })
          ], 2)) : T("", !0)
        ]),
        _: 1
      })
    ]));
  }
}), al = ["src"], rl = ["src"], nl = { class: "bcc-graphic-poster-logo bcc-graphic-poster-logo--loading" }, ya = {
  ultraWide: "42.85%",
  // 21:9
  wide: "56.25%",
  // 16:9
  landscape: "75%",
  // 4:3
  square: "100%",
  // 1:1
  portrait: "133.33%"
  // 3:4
}, pt = {
  none: "",
  sm: "rounded-sm",
  base: "rounded",
  md: "rounded-md",
  xl: "rounded-xl"
}, ol = /* @__PURE__ */ _({
  __name: "BccGraphicPoster",
  props: {
    bannerSrc: {},
    logoSrc: {},
    rounding: { default: "xl" },
    ratio: { default: "wide" }
  },
  setup(e) {
    const t = $(!1), a = $(!1);
    return (n, r) => (c(), d("div", {
      class: L(["bcc-graphic-poster", pt[n.rounding]]),
      style: be(`padding-bottom: ${ya[n.ratio]}`)
    }, [
      n.bannerSrc ? (c(), d(Z, { key: 0 }, [
        ye(p("img", {
          onLoad: r[0] || (r[0] = (o) => t.value = !0),
          src: n.bannerSrc,
          defer: "",
          class: L(["bcc-graphic-poster-banner", pt[n.rounding]])
        }, null, 42, al), [
          [Ze, t.value]
        ]),
        ye(p("div", {
          class: L(["bcc-graphic-poster-banner bcc-graphic-poster-banner--loading", pt[n.rounding]])
        }, null, 2), [
          [Ze, !t.value]
        ])
      ], 64)) : T("", !0),
      n.logoSrc ? (c(), d(Z, { key: 1 }, [
        ye(p("img", {
          onLoad: r[1] || (r[1] = (o) => a.value = !0),
          src: n.logoSrc,
          defer: "",
          class: "bcc-graphic-poster-logo"
        }, null, 40, rl), [
          [Ze, a.value]
        ]),
        ye(p("div", nl, null, 512), [
          [Ze, !a.value]
        ])
      ], 64)) : T("", !0)
    ], 6));
  }
}), ll = {
  key: 0,
  class: "bcc-graphic-open-in"
}, _0 = /* @__PURE__ */ _({
  __name: "BccGraphic",
  props: {
    bannerSrc: {},
    logoSrc: {},
    checked: { type: Boolean, default: !1 },
    linkOut: { type: [Boolean, String, Function, Object], default: !1 },
    ratio: { default: "wide" },
    rounding: { default: "xl" }
  },
  setup(e) {
    return (t, a) => (c(), d("div", {
      class: "bcc-graphic",
      style: be(`padding-bottom: ${k(ya)[t.ratio]}`)
    }, [
      t.linkOut ? (c(), d("div", ll, [
        (c(), B(ne(typeof t.linkOut == "boolean" ? k(xr) : t.linkOut), { class: "bcc-graphic-open-in-icon" }))
      ])) : T("", !0),
      t.checked ? (c(), B(k(vr), {
        key: 1,
        class: "bcc-graphic-check-icon"
      })) : T("", !0),
      U(ol, {
        class: "absolute",
        bannerSrc: t.bannerSrc,
        logoSrc: t.logoSrc,
        ratio: t.ratio,
        rounding: t.rounding
      }, null, 8, ["bannerSrc", "logoSrc", "ratio", "rounding"])
    ], 4));
  }
}), il = {
  key: 0,
  class: "bcc-header-overline"
}, sl = { class: "bcc-header-title-wrapper" }, cl = { class: "bcc-header-title" }, ul = {
  key: 1,
  class: "bcc-header-underline"
}, $0 = /* @__PURE__ */ _({
  __name: "BccHeader",
  props: {
    title: {},
    overline: {},
    underline: {}
  },
  setup(e) {
    return (t, a) => (c(), d("div", null, [
      t.overline ? (c(), d("p", il, C(t.overline), 1)) : T("", !0),
      p("div", sl, [
        p("h2", cl, C(t.title), 1),
        R(t.$slots, "infoRight")
      ]),
      t.underline ? (c(), d("p", ul, C(t.underline), 1)) : T("", !0)
    ]));
  }
}), dl = { class: "bcc-info" }, fl = { class: "bcc-info-title" }, pl = { class: "bcc-info-wrapper" }, bl = {
  key: 1,
  class: "truncate"
}, q0 = /* @__PURE__ */ _({
  __name: "BccInfo",
  props: {
    title: {},
    infoIcon: { type: [String, Function, Object] },
    infoText: {}
  },
  setup(e) {
    return (t, a) => (c(), d("div", dl, [
      p("div", null, [
        p("h4", fl, C(t.title), 1),
        p("div", pl, [
          t.infoIcon ? (c(), B(ne(t.infoIcon), {
            key: 0,
            class: "bcc-info-icon"
          })) : T("", !0),
          t.infoText ? (c(), d("p", bl, C(t.infoText), 1)) : T("", !0)
        ])
      ]),
      R(t.$slots, "infoRight")
    ]));
  }
}), vl = { class: "bcc-item-tile" }, ml = {
  key: 0,
  class: "bcc-item-tile-overline"
}, gl = { class: "bcc-item-tile-title" }, C0 = /* @__PURE__ */ _({
  __name: "BccItemTile",
  props: {
    title: {},
    overline: {}
  },
  setup(e) {
    return (t, a) => (c(), d("div", vl, [
      p("div", null, [
        t.overline ? (c(), d("p", ml, C(t.overline), 1)) : T("", !0),
        p("h2", gl, C(t.title), 1)
      ]),
      R(t.$slots, "default")
    ]));
  }
}), hl = { class: "bcc-link-item border-secondary group" }, yl = { class: "bcc-link-item-label" }, wl = { class: "bcc-link-item-arrow group-hover:pr-0" }, E0 = /* @__PURE__ */ _({
  __name: "BccLinkItem",
  setup(e) {
    return (t, a) => (c(), d("div", hl, [
      p("label", yl, [
        R(t.$slots, "default")
      ]),
      p("div", wl, [
        U(k(fr), { class: "bcc-link-item-icon" })
      ])
    ]));
  }
}), Tl = { class: "bcc-stepper-container" }, kl = {
  key: 0,
  class: "bcc-stepper-header"
}, xl = { class: "bcc-stepper-current-step" }, _l = {
  key: 0,
  class: "bcc-stepper-current-label"
}, $l = { class: "bcc-stepper-indicators" }, L0 = /* @__PURE__ */ _({
  __name: "BccStepper",
  props: {
    currentStep: { default: 0 },
    steps: { default: () => [""] },
    additionalText: { type: Boolean, default: !0 },
    showStepLabel: { type: Boolean, default: !0 },
    headingFn: { type: Function, default: (e, t) => `Step ${e} of ${t}` }
  },
  setup(e) {
    const t = e, a = h(() => ({
      current: t.currentStep + 1,
      total: t.steps.length,
      label: t.steps[t.currentStep]
    }));
    return (n, r) => (c(), d("div", Tl, [
      t.additionalText ? (c(), d("div", kl, [
        p("span", xl, C(n.headingFn(a.value.current, a.value.total)), 1),
        n.showStepLabel ? (c(), d("span", _l, C(a.value.label), 1)) : T("", !0)
      ])) : T("", !0),
      p("div", $l, [
        (c(!0), d(Z, null, ie(t.steps, (o, i) => (c(), d("div", {
          key: i,
          class: "bcc-stepper-indicator-container"
        }, [
          p("div", {
            class: L(["bcc-stepper-indicator", {
              "bcc-stepper-indicator-active": i === t.currentStep,
              "bcc-stepper-indicator-inactive": i !== t.currentStep,
              "bcc-stepper-indicator-completed": i <= t.currentStep,
              "bcc-stepper-indicator-pending": i > t.currentStep
            }])
          }, null, 2)
        ]))), 128))
      ])
    ]));
  }
}), ql = { class: "bcc-tooltip" }, B0 = /* @__PURE__ */ _({
  __name: "BccTooltip",
  props: {
    primaryPosition: { default: "top" },
    secondaryPosition: { default: "center" },
    variant: { default: "dark" },
    visible: { type: Boolean, default: !1 }
  },
  setup(e) {
    const t = e, a = {
      dark: "bcc-tooltip-dark",
      white: "bcc-tooltip-white",
      grey: "bcc-tooltip-grey"
    }, n = {
      "top-left": "bcc-tooltip-top-left",
      "top-center": "bcc-tooltip-top-center",
      "top-right": "bcc-tooltip-top-right",
      "bottom-left": "bcc-tooltip-bottom-left",
      "bottom-center": "bcc-tooltip-bottom-center",
      "bottom-right": "bcc-tooltip-bottom-right"
    }, r = h(() => `${t.primaryPosition}-${t.secondaryPosition}`);
    return (o, i) => (c(), d("div", ql, [
      o.$slots.child ? R(o.$slots, "child", { key: 0 }) : T("", !0),
      p("div", {
        class: L([
          "bcc-tooltip-content",
          n[r.value],
          a[t.variant],
          { "bcc-tooltip-visible": t.visible }
        ])
      }, [
        R(o.$slots, "default")
      ], 2)
    ]));
  }
}), Cl = { class: "bcc-accordion" }, El = { class: "bcc-accordion-title-wrap" }, Ll = { class: "bcc-accordion-title" }, Bl = {
  key: 0,
  class: "bcc-accordion-subtitle"
}, Sl = { class: "bcc-accordion-right" }, Fl = {
  key: 0,
  class: "bcc-accordion-info"
}, Pl = { class: "bcc-accordion-right-icon bcc-accordion-icon" }, Al = {
  key: 0,
  class: "bcc-accordion-content"
}, S0 = /* @__PURE__ */ _({
  __name: "BccAccordion",
  props: {
    title: { default: "" },
    open: { type: Boolean },
    subtitle: { default: "" },
    info: {},
    variant: { default: "filled" },
    size: { default: "base" }
  },
  setup(e) {
    const t = {
      filled: "bcc-accordion-filled",
      outlined: "bcc-accordion-outlined",
      soft: "bcc-accordion-soft",
      ghost: "bcc-accordion-ghost"
    }, a = {
      base: "bcc-accordion-base",
      lg: "bcc-accordion-lg"
    }, r = $(e.open ?? !1);
    return (o, i) => (c(), d("div", Cl, [
      p("div", {
        class: L(["bcc-accordion-header", {
          "bcc-accordion-active": r.value,
          [t[o.variant]]: !0,
          [a[o.size]]: !0
        }]),
        onClick: i[0] || (i[0] = () => r.value = !r.value)
      }, [
        p("div", El, [
          p("div", null, [
            R(o.$slots, "prepend")
          ]),
          p("div", null, [
            p("span", Ll, C(o.title), 1),
            o.subtitle ? (c(), d("span", Bl, C(o.subtitle), 1)) : T("", !0)
          ])
        ]),
        p("div", Sl, [
          o.info ? (c(), d("span", Fl, C(o.info), 1)) : T("", !0),
          R(o.$slots, "append"),
          p("div", Pl, [
            U(k(hr))
          ])
        ])
      ], 2),
      r.value ? (c(), d("div", Al, [
        R(o.$slots, "default")
      ])) : T("", !0)
    ]));
  }
}), Dl = {
  key: 0,
  class: "bcc-pagination-rowsperpage-container"
}, Ml = /* @__PURE__ */ p("label", { class: "text-caption-sm" }, "Rows per page", -1), Ol = ["value"], zl = { class: "text-caption-sm" }, Il = { class: "bcc-pagination-button-container" }, Ul = ["disabled"], Rl = ["onClick"], Hl = {
  key: 1,
  class: "bcc-pagination-elipsis"
}, jl = ["disabled"], F0 = /* @__PURE__ */ _({
  __name: "BccPagination",
  props: {
    total: {},
    rowsPerPageOptions: { default: () => [5, 10, 25, 50] },
    rowsPerPage: { default: 5 },
    maxButtonsDisplayed: { default: 3 },
    displayLeftEllipsis: { type: Boolean, default: !0 },
    displayRightEllipsis: { type: Boolean, default: !0 },
    align: { default: "right" },
    displayRowsPerPage: { type: Boolean, default: !0 }
  },
  emits: ["update:currentPage", "update:totalPages", "update:rowsPerPage"],
  setup(e, { emit: t }) {
    const a = e, { total: n, maxButtonsDisplayed: r, rowsPerPage: o, displayRightEllipsis: i, displayLeftEllipsis: s } = Je(a), l = t, u = $(1), f = $(o.value.toString()), b = h(() => parseInt(f.value)), m = h(() => Math.ceil(n.value / b.value)), y = h(() => r.value), w = h(() => u.value === 1), v = h(() => u.value === m.value), g = h(() => {
      let F = [], A = Math.max(1, u.value - Math.floor(y.value / 2)), q = Math.min(m.value, u.value + Math.floor(y.value / 2));
      q - A < y.value && (A === 1 ? q = Math.min(m.value, A + y.value - 1) : q === m.value && (A = Math.max(1, q - y.value + 1))), A > 1 && s.value === !0 && (F.push(1), A > 2 && F.push("..."));
      for (let N = A; N <= q; N++)
        F.push(N);
      return q < m.value && i.value === !0 && (q < m.value - 1 && F.push("..."), F.push(m.value)), F;
    }), E = (F) => {
      F !== "..." && (u.value = F);
    }, M = (F) => {
      u.value += F;
    };
    return te(() => {
      l("update:totalPages", m.value), l("update:rowsPerPage", b.value), l("update:currentPage", u.value);
    }), (F, A) => (c(), d("div", {
      class: L(["bcc-pagination", {
        "bcc-pagination-left": F.align === "left" && F.displayRowsPerPage === !0 || F.align === "right" && F.displayRowsPerPage === !1,
        "bcc-pagination-center": F.align === "center"
      }])
    }, [
      F.displayRowsPerPage === !0 ? (c(), d("div", Dl, [
        Ml,
        U(ko, {
          class: "bcc-pagination-rowsperpage",
          onChange: A[0] || (A[0] = (q) => E(1)),
          modelValue: f.value,
          "onUpdate:modelValue": A[1] || (A[1] = (q) => f.value = q),
          size: "sm"
        }, {
          default: z(() => [
            (c(!0), d(Z, null, ie(F.rowsPerPageOptions, (q, N) => (c(), d("option", {
              value: q,
              key: N
            }, C(q), 9, Ol))), 128))
          ]),
          _: 1
        }, 8, ["modelValue"]),
        p("label", zl, "of " + C(m.value) + " entries", 1)
      ])) : T("", !0),
      p("div", Il, [
        p("button", {
          onClick: A[2] || (A[2] = (q) => M(-1)),
          disabled: w.value,
          class: "bcc-pagination-button bcc-pagination-arrow-left"
        }, [
          U(k(ur), { class: "bcc-pagination-button-icon" })
        ], 8, Ul),
        (c(!0), d(Z, null, ie(g.value, (q, N) => (c(), d("div", { key: N }, [
          q !== "..." ? (c(), d("button", {
            key: 0,
            onClick: (ue) => E(q),
            class: L(["bcc-pagination-button", {
              "bcc-pagination-button-selected": q === u.value
            }])
          }, C(q), 11, Rl)) : T("", !0),
          q === "..." ? (c(), d("span", Hl, C(q), 1)) : T("", !0)
        ]))), 128)),
        p("button", {
          onClick: A[3] || (A[3] = (q) => M(1)),
          disabled: v.value,
          class: "bcc-pagination-button bcc-pagination-arrow-right"
        }, [
          U(k(pr), { class: "bcc-pagination-button-icon" })
        ], 8, jl)
      ])
    ], 2));
  }
}), Nl = { class: "bcc-nps-score" }, Vl = { class: "bcc-nps-score--label" }, Zl = { class: "bcc-nps-score--label text-right" }, Wl = ["onClick", "disabled"], P0 = /* @__PURE__ */ _({
  __name: "BccNpsScore",
  props: /* @__PURE__ */ ze({
    reverse: { type: Boolean, default: !1 },
    leftLabel: { default: "Not likely" },
    rightLabel: { default: "Very likely" },
    labelPosition: { default: "top" },
    min: { default: 0 },
    max: { default: 10 },
    disabled: { type: Boolean, default: !1 }
  }, {
    modelValue: {
      default: null
    },
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(e) {
    const t = et(e, "modelValue"), a = e;
    let n = null;
    function r(i) {
      a.disabled || (t.value === null && (t.value = 0), n && clearInterval(n), n = setInterval(() => {
        if (t.value === i)
          return n && clearInterval(n);
        t.value < i ? ++t.value : --t.value;
      }, 20));
    }
    const o = h(() => {
      let i = [];
      for (let s = a.min; s <= a.max; s++)
        i.push(s);
      return i;
    });
    return (i, s) => (c(), d("div", Nl, [
      p("div", {
        class: L(["bcc-nps-score--heading", i.labelPosition === "top" ? "order-1" : i.labelPosition === "bottom" ? "order-last" : ""])
      }, [
        p("p", Vl, C(i.leftLabel), 1),
        p("p", Zl, C(i.rightLabel), 1)
      ], 2),
      p("div", {
        class: L(["bcc-nps-score--bar order-2", { disabled: i.disabled, reverse: i.reverse }])
      }, [
        (c(!0), d(Z, null, ie(o.value, (l) => (c(), d("button", {
          key: l,
          onClick: (u) => r(l),
          disabled: i.disabled,
          class: L(["bcc-nps-score--number", {
            inactive: t.value === null || isNaN(t.value) || t.value < l,
            active: t.value === l
          }])
        }, C(l), 11, Wl))), 128))
      ], 2)
    ]));
  }
}), Gl = {
  class: "result-gauge",
  viewBox: "0 0 180 180",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
}, Kl = /* @__PURE__ */ Ht('<path d="M40.7001 85.7001C39.7001 97.3001 42.8001 108.9 49.5001 118.4L31.1001 131.3L16.4001 141.6C4.10011 124.3 -1.49989 103.2 0.300108 82.2001C2.10011 61.5001 11.1001 42.0001 25.6001 27.1001L38.3001 39.8001L54.2001 55.7001C46.4001 63.8001 41.6001 74.4001 40.6001 85.7001H40.7001Z" fill="#FFE3E3"></path><path d="M89.0001 0V40.5C76.6001 40.7 64.7001 45.7 55.7001 54.3L39.8001 38.4L27.1001 25.7C43.6001 9.5 65.8001 0.3 89.0001 0Z" fill="#FFF5ED"></path><path d="M152.9 25.7L140.2 38.4L124.3 54.3C115.3 45.7 103.5 40.8 91 40.5V0C114.2 0.2 136.4 9.4 152.9 25.6V25.7Z" fill="#FEFDE8"></path><path d="M180 89.0001H139.5C139.3 76.6001 134.3 64.7001 125.7 55.7001L141.6 39.8001L154.3 27.1001C170.5 43.7001 179.7 65.9001 179.9 89.0001H180Z" fill="#D7FFE7"></path><path d="M180 91C179.8 110.1 173.5 128.7 162 144L147.6 133.2L129.6 119.7C135.8 111.4 139.3 101.4 139.5 91H180Z" fill="#B2FFD1"></path><path d="M31 131.3L16.3 141.6C4.10005 124.3 -1.49995 103.2 0.300047 82.2001C2.10005 61.5001 11.1 42.0001 25.6 27.1001L38.3 39.8001C26.7 51.7001 19.6 67.2001 18.2 83.7001C16.7 100.6 21.2 117.4 31 131.3Z" fill="#F93A4F"></path><path d="M89.0001 0V18C70.6001 18.2 53.0001 25.5 39.8001 38.4L27.1001 25.7C43.6001 9.5 65.8001 0.3 89.0001 0Z" fill="#FE7F39"></path><path d="M152.9 25.7L140.2 38.4C127 25.6 109.4 18.3 91 18V0C114.2 0.2 136.4 9.4 152.9 25.6V25.7Z" fill="#FFEE45"></path><path d="M180 89.0001H162C161.8 70.6001 154.5 53.0001 141.6 39.8001L154.3 27.1001C170.5 43.7001 179.7 65.9001 179.9 89.0001H180Z" fill="#7DFFB3"></path><path d="M180 91C179.8 110.1 173.5 128.7 162 144L147.6 133.2C156.8 121 161.8 106.2 162 91H180Z" fill="#09DE62"></path>', 10), Xl = { class: "bcc-nps-result-labels--heading" }, Yl = { class: "bcc-nps-result-labels--label" }, Ql = 250, Ye = -170, It = 80, A0 = /* @__PURE__ */ _({
  __name: "BccNpsResult",
  props: {
    score: {},
    size: { default: "md" },
    display: {},
    underline: {},
    hideText: { type: Boolean, default: !1 },
    animated: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e;
    function a(o) {
      const s = (o + 100) / 200 * Ql + Ye;
      return s > It ? It : s < Ye ? Ye : s;
    }
    const n = $(!1);
    setTimeout(() => {
      n.value = !0;
    }, 150);
    const r = h(() => {
      const o = Ye;
      return n.value && t.score !== void 0 ? a(t.score) : o;
    });
    return (o, i) => (c(), d("div", {
      class: L(["bcc-nps-result", { animated: o.animated }])
    }, [
      (c(), d("svg", Gl, [
        Kl,
        p("path", {
          d: "M128.292 49.4565L92.4146 83.7227C91.5428 83.4108 90.5855 83.2892 89.604 83.4082C86.2246 83.8177 83.816 86.8941 84.226 90.2772C84.636 93.6603 87.7097 96.0722 91.089 95.6627C94.4684 95.2532 96.877 92.1769 96.4671 88.7937C96.4262 88.4568 96.3578 88.1298 96.2663 87.8144L130.221 51.3721C131.359 50.0885 129.568 48.3071 128.292 49.4565Z",
          fill: "currentColor",
          class: "result-gauge-dial",
          style: be(`transform: rotate(${r.value}deg)`)
        }, null, 4)
      ])),
      !o.hideText && o.size !== "xs" ? (c(), d("div", {
        key: 0,
        class: L(["bcc-nps-result-labels", o.size])
      }, [
        p("h3", Xl, C(o.display ?? o.score), 1),
        p("label", Yl, C(o.underline), 1)
      ], 2)) : T("", !0)
    ], 2));
  }
}), Jl = { class: "bcc-knob-top-left" }, e0 = { class: "bcc-knob-top-right" }, t0 = { class: "bcc-knob-label" }, D0 = /* @__PURE__ */ _({
  __name: "BccKnob",
  props: /* @__PURE__ */ ze({
    size: { type: Number, default: 400 },
    arcWidth: { type: Number, default: 20 },
    min: { type: Number, default: -720 },
    // in minutes (-12h)
    max: { type: Number, default: 720 },
    // in minutes (+12h)
    steps: { type: Number, default: 1 },
    colored: { type: Boolean, default: !1, description: "Use CSS variables for colors" },
    showHandle: { type: Boolean, default: !1 },
    hideArrows: { type: Boolean, default: !1 },
    duration: { type: Number, default: 1e3 }
    // Animation duration in ms
  }, {
    modelValue: { required: !0 },
    modelModifiers: {}
  }),
  emits: /* @__PURE__ */ ze(["drag:start", "drag:update", "drag:end"], ["update:modelValue"]),
  setup(e, { emit: t }) {
    const a = e, n = t, r = {
      arc: "#EFEFEF",
      head: "#437571",
      tail: "#A9BABA",
      leftHead: "#9B4F44",
      leftTail: "#DBBEAC",
      rightHead: "#3E8E75",
      rightTail: "#B1DECC"
    }, o = et(e, "modelValue"), i = $(null), s = $(null);
    let l = null, u = 0;
    const f = $(!1), b = $(0), m = $(0), y = $(0), w = h(() => a.size / 2), v = h(() => w.value - a.arcWidth), g = h(() => a.min / 60 * 360), E = h(() => a.max / 60 * 360), M = h(
      () => Math.max(
        -359.99,
        Math.min(359.99, Math.max(g.value, Math.min(b.value, E.value)))
      )
    );
    fe(
      o,
      (x) => {
        if (f.value)
          return;
        const O = x / (60 / a.steps) * 360;
        A(O);
      },
      { immediate: !0 }
    );
    function F(x, O) {
      return (I) => Math.round(x + (O - x) * I);
    }
    function A(x) {
      if (f.value || x === b.value)
        return;
      const O = performance.now(), I = F(b.value, x);
      function W(S) {
        const D = S - O, G = Math.min(D / a.duration, 1);
        b.value = I(G), ue(), G < 1 && requestAnimationFrame(W);
      }
      requestAnimationFrame(W);
    }
    j(() => {
      me();
      const x = s.value;
      if (x) {
        const O = Math.ceil(window.devicePixelRatio);
        x.width = a.size * O, x.height = a.size * O, l = x.getContext("2d"), l == null || l.setTransform(O, 0, 0, O, 0, 0), ue();
      }
    });
    function q(x) {
      return (x - 90) * Math.PI / 180;
    }
    function N(x, O = v.value) {
      const I = x * Math.PI / 180;
      return {
        x: w.value + O * Math.sin(I),
        y: w.value - O * Math.cos(I)
      };
    }
    function ue() {
      if (!l)
        return;
      const x = b.value;
      if (l.clearRect(0, 0, a.size, a.size), l.save(), l.shadowColor = "rgba(0,0,0,0.2)", l.shadowBlur = 4, l.beginPath(), l.arc(w.value, w.value, v.value, 0, 2 * Math.PI), l.strokeStyle = r.arc, l.lineWidth = a.arcWidth, l.stroke(), l.restore(), !a.hideArrows) {
        l.save(), l.strokeStyle = r.arc, l.lineWidth = 3, l.beginPath(), l.arc(
          w.value,
          w.value,
          v.value + 30,
          q(-30),
          // Start from around 11 o'clock
          q(-60),
          // End at top
          !0
          // Draw anticlockwise
        );
        const K = N(-60, v.value + 30);
        l.moveTo(K.x - 4, K.y - 16), l.lineTo(K.x - 1, K.y + 2), l.lineTo(K.x + 16, K.y - 4), l.stroke(), l.beginPath(), l.arc(
          w.value,
          w.value,
          v.value + 30,
          q(30),
          // Start from around 1 o'clock
          q(60),
          // End at top
          !1
          // Draw clockwise
        );
        const X = N(60, v.value + 30);
        l.moveTo(X.x - 16, X.y - 4), l.lineTo(X.x + 1, X.y + 2), l.lineTo(X.x + 4, X.y - 16), l.stroke(), l.restore();
      }
      l.strokeStyle = r.arc, l.lineWidth = 4;
      for (let K = 1; K <= 12; K++) {
        const X = K * 30;
        l.save(), l.translate(w.value, w.value), l.rotate(X * Math.PI / 180), l.beginPath(), l.moveTo(0, -v.value + a.arcWidth * 0.8), l.lineTo(0, -v.value + a.arcWidth * 2), l.stroke(), l.restore();
      }
      if (Math.abs(M.value) >= 108) {
        l.beginPath();
        const K = M.value < 0;
        l.arc(
          w.value,
          w.value,
          v.value,
          q(0),
          q(M.value),
          K
        ), a.colored ? l.strokeStyle = K ? r.leftTail : r.rightTail : l.strokeStyle = r.tail, l.lineWidth = a.arcWidth, l.stroke();
      }
      let O;
      Math.abs(x) < 108 ? O = 0 : O = x - Math.sign(x) * 108;
      const I = x, W = a.arcWidth / 2;
      l.save(), l.beginPath();
      const S = I < O;
      l.arc(
        w.value,
        w.value,
        v.value + W,
        q(O),
        q(I),
        S
      ), l.arc(
        w.value,
        w.value,
        v.value - W,
        q(I),
        q(O),
        !S
      ), l.closePath(), l.save(), l.clip();
      const D = l.createConicGradient((x - 90) * Math.PI / 180, w.value, w.value);
      a.colored ? (D.addColorStop(0, r.leftHead), D.addColorStop(100 / 360, r.leftTail), D.addColorStop(260 / 360, r.rightTail), D.addColorStop(1, r.rightHead)) : (D.addColorStop(0, r.head), D.addColorStop(100 / 360, r.tail), D.addColorStop(260 / 360, r.tail), D.addColorStop(1, r.head)), l.fillStyle = D, l.fillRect(0, 0, a.size, a.size), l.restore(), l.restore();
      const G = N(x, v.value), ae = a.arcWidth * (a.showHandle ? 0.8 : 0.5);
      l.beginPath(), l.arc(G.x, G.y, ae, 0, 2 * Math.PI), (a.showHandle || o.value) && (l.fillStyle = o.value ? a.colored ? S ? r.leftHead : r.rightHead : r.head : "#000", l.fill()), a.showHandle && (l.lineWidth = 4, l.strokeStyle = "#fff", l.stroke());
    }
    function ke(x) {
      if (!i.value)
        return 0;
      const O = i.value.getBoundingClientRect(), I = O.left + w.value, W = O.top + w.value;
      let S, D;
      if ("touches" in x && x.touches.length)
        S = x.touches[0].clientX - I, D = x.touches[0].clientY - W;
      else if ("clientX" in x)
        S = x.clientX - I, D = x.clientY - W;
      else
        return 0;
      return Math.atan2(S, -D) * 180 / Math.PI;
    }
    function Le(x) {
      f.value = !0, n("drag:start"), y.value = ke(x);
    }
    function Be(x) {
      f.value && (u && cancelAnimationFrame(u), u = requestAnimationFrame(() => {
        const O = ke(x);
        let I = O - y.value;
        I > 180 && (I -= 360), I < -180 && (I += 360);
        const W = Math.round(
          Math.max(g.value, Math.min(E.value, b.value + I))
        );
        if (W !== b.value) {
          b.value = W, Math.abs(b.value) > Math.abs(m.value) && (m.value = b.value), y.value = O;
          const S = Math.round(b.value / 360 * (60 / a.steps));
          S !== o.value && (o.value = S * a.steps, n("drag:update")), ue();
        }
      }));
    }
    function xe() {
      f.value = !1, n("drag:end");
    }
    function me() {
      if (i.value) {
        const x = getComputedStyle(i.value);
        r.arc = x.getPropertyValue("--bcc-knob-arc-bg") || r.arc, r.head = x.getPropertyValue("--bcc-knob-head") || r.head, r.tail = x.getPropertyValue("--bcc-knob-tail") || r.tail, r.leftHead = x.getPropertyValue("--bcc-knob-left-head") || r.leftHead, r.leftTail = x.getPropertyValue("--bcc-knob-left-tail") || r.leftTail, r.rightHead = x.getPropertyValue("--bcc-knob-right-head") || r.rightHead, r.rightTail = x.getPropertyValue("--bcc-knob-right-tail") || r.rightTail;
      }
    }
    return (x, O) => (c(), d("div", {
      class: "bcc-knob",
      ref_key: "knobContainer",
      ref: i,
      onMousedown: Le,
      onTouchstart: Le,
      onMousemove: Be,
      onTouchmove: Be,
      onMouseup: xe,
      onTouchend: xe,
      onMouseleave: xe
    }, [
      p("canvas", {
        ref_key: "canvasEl",
        ref: s,
        class: "object-fit w-full"
      }, null, 512),
      p("div", Jl, [
        R(x.$slots, "left")
      ]),
      p("div", e0, [
        R(x.$slots, "right")
      ]),
      p("div", t0, [
        R(x.$slots, "default")
      ])
    ], 544));
  }
}), a0 = { class: "bcc-range" }, r0 = { class: "bcc-range__container" }, n0 = ["min", "max", "step", "disabled"], M0 = /* @__PURE__ */ _({
  __name: "BccRange",
  props: /* @__PURE__ */ ze({
    min: {},
    max: {},
    step: {},
    disabled: { type: Boolean },
    hideValue: { type: Boolean }
  }, {
    modelValue: { required: !0, default: 0 },
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(e) {
    const {
      max: t = 10,
      min: a = 0,
      step: n = 1,
      disabled: r = !1,
      hideValue: o = !1
    } = e, i = et(e, "modelValue"), s = h(() => {
      const f = (i.value - a) / (t - a) * 100;
      return f > 100 ? 100 : f < 0 ? 0 : f;
    }), l = h(() => r ? "bg-gray-50 text-gray-400 dark:bg-gray-700" : s.value < 33 ? "bg-success text-success" : s.value < 66 ? "bg-warning text-warning" : "bg-danger text-danger");
    function u(f) {
      const m = Math.max(0, 1 - f / 70), y = Math.max(0, 1 - (100 - f) / 70), w = 8 * m, v = -8 * y;
      return `calc(${f}% + ${w + v}px)`;
    }
    return (f, b) => (c(), d("div", a0, [
      p("div", r0, [
        f.hideValue ? T("", !0) : (c(), d("div", {
          key: 0,
          class: L(["bcc-range__value", l.value]),
          style: be({ left: u(s.value) })
        }, C(i.value), 7)),
        ye(p("input", {
          type: "range",
          class: "bcc-range__input",
          min: f.min,
          max: f.max,
          step: f.step,
          disabled: f.disabled,
          "onUpdate:modelValue": b[0] || (b[0] = (m) => i.value = m)
        }, null, 8, n0), [
          [Sa, i.value]
        ])
      ])
    ]));
  }
});
export {
  S0 as BccAccordion,
  s0 as BccAlert,
  c0 as BccAvatar,
  Sr as BccBadge,
  w0 as BccBanner,
  Qe as BccButton,
  u0 as BccCapacityIndicator,
  d0 as BccCheckbox,
  f0 as BccCookieBanner,
  $t as BccFormLabel,
  ea as BccFormMessage,
  _0 as BccGraphic,
  $0 as BccHeader,
  q0 as BccInfo,
  p0 as BccInput,
  C0 as BccItemTile,
  D0 as BccKnob,
  E0 as BccLinkItem,
  b0 as BccModal,
  A0 as BccNpsResult,
  P0 as BccNpsScore,
  F0 as BccPagination,
  go as BccPin,
  k0 as BccProgress,
  v0 as BccRadio,
  M0 as BccRange,
  x0 as BccReact,
  ko as BccSelect,
  T0 as BccSpinner,
  m0 as BccStatusIndicator,
  L0 as BccStepper,
  g0 as BccTable,
  h0 as BccTabs,
  y0 as BccToggle,
  B0 as BccTooltip,
  i0 as bccForbundetTheme,
  l0 as tailwindPlugin,
  At as useAnimatedNumber
};
